Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.ebxml._3._0.rim
Interface RimPackage

All Superinterfaces:
  org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EPackage, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  RimPackageImpl

    public interface RimPackage

extends org.eclipse.emf.ecore.EPackage

The Package for the model. It contains accessors for the meta objects to represent

- each class,
- each feature of each class,
- each enum,
- and each data type

The schema for OASIS ebXML Registry Information Model See http://www.w3.org/XML/1998/namespace.html and http://www.w3.org/TR/REC-xml for information about this namespace. This schema document describes the XML namespace, in a form suitable for import by other schema documents. Note that local names in this namespace are intended to be defined only by the World Wide Web Consortium or its subgroups. The following names are currently defined in this namespace and should not be used with conflicting semantics by any Working Group, specification, or document instance: base (as an attribute name): denotes an attribute whose value provides a URI to be used as the base for interpreting any relative URIs in the scope of the element on which it appears; its value is inherited. This name is reserved by virtue of its definition in the XML Base specification. id (as an attribute name): denotes an attribute whose value should be interpreted as if declared to be of type ID. The xml:id specification is not yet a W3C Recommendation, but this attribute is included here to facilitate experimentation with the mechanisms it proposes. Note that it is _not_ included in the specialAttrs attribute group. lang (as an attribute name): denotes an attribute whose value is a language code for the natural language of the content of any element; its value is inherited. This name is reserved by virtue of its definition in the XML specification. space (as an attribute name): denotes an attribute whose value is a keyword indicating what whitespace processing discipline is intended for the content of the element; its value is inherited. This name is reserved by virtue of its definition in the XML specification. Father (in any context at all): denotes Jon Bosak, the chair of the original XML Working Group. This name is reserved by the following decision of the W3C XML Plenary and XML Coordination groups: In appreciation for his vision, leadership and dedication the W3C XML Plenary on this 10th day of February, 2000 reserves for Jon Bosak in perpetuity the XML name xml:Father This schema defines attributes and an attribute group suitable for use by schemas wishing to allow xml:base, xml:lang, xml:space or xml:id attributes on elements they define. To enable this, such a schema must import this schema for the XML namespace, e.g. as follows: <schema . . .> . . . <import namespace="http://www.w3.org/XML/1998/namespace" schemaLocation="http://www.w3.org/2001/xml.xsd"/> Subsequently, qualified reference to any of the attributes or the group defined below will have the desired effect, e.g. <type . . .> . . . <attributeGroup ref="xml:specialAttrs"/> will define a type which will schema-validate an instance element with any of those attributes In keeping with the XML Schema WG's standard versioning policy, this schema document will persist at http://www.w3.org/2005/08/xml.xsd. At the date of issue it can also be found at http://www.w3.org/2001/xml.xsd. The schema document at that URI may however change in the future, in order to remain compatible with the latest version of XML Schema itself, or with the XML namespace itself. In other words, if the XML Schema or XML namespaces change, the version of this document at http://www.w3.org/2001/xml.xsd will change accordingly; the version at http://www.w3.org/2005/08/xml.xsd will not change.

See Also:
  `RimFactory`

Nested Class Summary
`static interface` | `RimPackage.Literals` Defines literals for the meta objects that represent each class, each feature of each class, each enum, and each data type

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage
`org.eclipse.emf.ecore.EPackage.Descriptor, org.eclipse.emf.ecore.EPackage.Registry`

Field Summary
`static int` | `ACTION_TYPE` The meta object id for the '`Action Type`' class.
`static int` | `ACTION_TYPE_FEATURE_COUNT` The number of structural features of the 'Action Type' class.
`static int` | `ADHOC_QUERY_TYPE` The meta object id for the '`Adhoc Query Type`' class.
`static int` | `ADHOC_QUERY_TYPE__CLASSIFICATION` The feature id for the 'Classification' containment reference list.
`static int` | `ADHOC_QUERY_TYPE__DESCRIPTION` The feature id for the 'Description' containment reference.
`static int` | `ADHOC_QUERY_TYPE__EXTERNAL_IDENTIFIER` The feature id for the 'External Identifier' containment reference list.
`static int` | `ADHOC_QUERY_TYPE__HOME` The feature id for the 'Home' attribute.
`static int` | `ADHOC_QUERY_TYPE__ID` The feature id for the 'Id' attribute.
`static int` | `ADHOC_QUERY_TYPE__LID` The feature id for the 'Lid' attribute.
`static int` | `ADHOC_QUERY_TYPE__NAME` The feature id for the 'Name' containment reference.
`static int` | `ADHOC_QUERY_TYPE__OBJECT_TYPE` The feature id for the 'Object Type' attribute.
`static int` | `ADHOC_QUERY_TYPE__QUERY_EXPRESSION` The feature id for the 'Query Expression' containment reference.
`static int` | `ADHOC_QUERY_TYPE__SLOT` The feature id for the 'Slot' containment reference list.
`static int` | `ADHOC_QUERY_TYPE__STATUS` The feature id for the 'Status' attribute.
`static int` | `ADHOC_QUERY_TYPE__VERSION_INFO` The feature id for the 'Version Info' containment reference.
`static int` | `ADHOC_QUERY_TYPE_FEATURE_COUNT` The number of structural features of the 'Adhoc Query Type' class.
`static int` | `ASSOCIATION_TYPE1` The meta object id for the '`Association Type1`' class.
`static int` | `ASSOCIATION_TYPE1__ASSOCIATION_TYPE` The feature id for the 'Association Type' attribute.
`static int` | `ASSOCIATION_TYPE1__CLASSIFICATION` The feature id for the 'Classification' containment reference list.
`static int` | `ASSOCIATION_TYPE1__DESCRIPTION` The feature id for the 'Description' containment reference.
`static int` | `ASSOCIATION_TYPE1__EXTERNAL_IDENTIFIER` The feature id for the 'External Identifier' containment reference list.
`static int` | `ASSOCIATION_TYPE1__HOME` The feature id for the 'Home' attribute.
`static int` | `ASSOCIATION_TYPE1__ID` The feature id for the 'Id' attribute.
`static int` | `ASSOCIATION_TYPE1__LID` The feature id for the 'Lid' attribute.
`static int` | `ASSOCIATION_TYPE1__NAME` The feature id for the 'Name' containment reference.
`static int` | `ASSOCIATION_TYPE1__OBJECT_TYPE` The feature id for the 'Object Type' attribute.
`static int` | `ASSOCIATION_TYPE1__SLOT` The feature id for the 'Slot' containment reference list.
`static int` | `ASSOCIATION_TYPE1__SOURCE_OBJECT` The feature id for the 'Source Object' attribute.
`static int` | `ASSOCIATION_TYPE1__STATUS` The feature id for the 'Status' attribute.
`static int` | `ASSOCIATION_TYPE1__TARGET_OBJECT` The feature id for the 'Target Object' attribute.
`static int` | `ASSOCIATION_TYPE1__VERSION_INFO` The feature id for the 'Version Info' containment reference.
`static int` | `ASSOCIATION_TYPE1_FEATURE_COUNT` The number of structural features of the 'Association Type1' class.
`static int` | `AUDITABLE_EVENT_TYPE` The meta object id for the '`Auditable Event Type`' class.
`static int` | `AUDITABLE_EVENT_TYPE__AFFECTED_OBJECTS` The feature id for the 'Affected Objects' containment reference.
`static int` | `AUDITABLE_EVENT_TYPE__CLASSIFICATION` The feature id for the 'Classification' containment reference list.
`static int` | `AUDITABLE_EVENT_TYPE__DESCRIPTION` The feature id for the 'Description' containment reference.
`static int` | `AUDITABLE_EVENT_TYPE__EVENT_TYPE` The feature id for the 'Event Type' attribute.
`static int` | `AUDITABLE_EVENT_TYPE__EXTERNAL_IDENTIFIER` The feature id for the 'External Identifier' containment reference list.
`static int` | `AUDITABLE_EVENT_TYPE__HOME` The feature id for the 'Home' attribute.
`static int` | `AUDITABLE_EVENT_TYPE__ID` The feature id for the 'Id' attribute.
`static int` | `AUDITABLE_EVENT_TYPE__LID` The feature id for the 'Lid' attribute.
`static int` | `AUDITABLE_EVENT_TYPE__NAME` The feature id for the 'Name' containment reference.
`static int` | `AUDITABLE_EVENT_TYPE__OBJECT_TYPE` The feature id for the 'Object Type' attribute.
`static int` | `AUDITABLE_EVENT_TYPE__REQUEST_ID` The feature id for the 'Request Id' attribute.
`static int` | `AUDITABLE_EVENT_TYPE__SLOT` The feature id for the 'Slot' containment reference list.
`static int` | `AUDITABLE_EVENT_TYPE__STATUS` The feature id for the 'Status' attribute.
`static int` | `AUDITABLE_EVENT_TYPE__TIMESTAMP` The feature id for the 'Timestamp' attribute.
`static int` | `AUDITABLE_EVENT_TYPE__USER` The feature id for the 'User' attribute.
`static int` | `AUDITABLE_EVENT_TYPE__VERSION_INFO` The feature id for the 'Version Info' containment reference.
`static int` | `AUDITABLE_EVENT_TYPE_FEATURE_COUNT` The number of structural features of the 'Auditable Event Type' class.
`static int` | `CLASSIFICATION_NODE_TYPE` The meta object id for the '`Classification Node Type`' class.
`static int` | `CLASSIFICATION_NODE_TYPE__CLASSIFICATION` The feature id for the 'Classification' containment reference list.
`static int` | `CLASSIFICATION_NODE_TYPE__CLASSIFICATION_NODE` The feature id for the 'Classification Node' containment reference list.
`static int` | `CLASSIFICATION_NODE_TYPE__CODE` The feature id for the 'Code' attribute.
`static int` | `CLASSIFICATION_NODE_TYPE__DESCRIPTION` The feature id for the 'Description' containment reference.
`static int` | `CLASSIFICATION_NODE_TYPE__EXTERNAL_IDENTIFIER` The feature id for the 'External Identifier' containment reference list.
`static int` | `CLASSIFICATION_NODE_TYPE__HOME` The feature id for the 'Home' attribute.
`static int` | `CLASSIFICATION_NODE_TYPE__ID` The feature id for the 'Id' attribute.
`static int` | `CLASSIFICATION_NODE_TYPE__LID` The feature id for the 'Lid' attribute.
`static int` | `CLASSIFICATION_NODE_TYPE__NAME` The feature id for the 'Name' containment reference.
`static int` | `CLASSIFICATION_NODE_TYPE__OBJECT_TYPE` The feature id for the 'Object Type' attribute.
`static int` | `CLASSIFICATION_NODE_TYPE__PARENT` The feature id for the 'Parent' attribute.
`static int` | `CLASSIFICATION_NODE_TYPE__PATH` The feature id for the 'Path' attribute.
`static int` | `CLASSIFICATION_NODE_TYPE__SLOT` The feature id for the 'Slot' containment reference list.
`static int` | `CLASSIFICATION_NODE_TYPE__STATUS` The feature id for the 'Status' attribute.
`static int` | `CLASSIFICATION_NODE_TYPE__VERSION_INFO` The feature id for the 'Version Info' containment reference.
`static int` | `CLASSIFICATION_NODE_TYPE_FEATURE_COUNT` The number of structural features of the 'Classification Node Type' class.
`static int` | `CLASSIFICATION_SCHEME_TYPE` The meta object id for the '`Classification Scheme Type`' class.
`static int` | `CLASSIFICATION_SCHEME_TYPE__CLASSIFICATION` The feature id for the 'Classification' containment reference list.
`static int` | `CLASSIFICATION_SCHEME_TYPE__CLASSIFICATION_NODE` The feature id for the 'Classification Node' containment reference list.
`static int` | `CLASSIFICATION_SCHEME_TYPE__DESCRIPTION` The feature id for the 'Description' containment reference.
`static int` | `CLASSIFICATION_SCHEME_TYPE__EXTERNAL_IDENTIFIER` The feature id for the 'External Identifier' containment reference list.
`static int` | `CLASSIFICATION_SCHEME_TYPE__HOME` The feature id for the 'Home' attribute.
`static int` | `CLASSIFICATION_SCHEME_TYPE__ID` The feature id for the 'Id' attribute.
`static int` | `CLASSIFICATION_SCHEME_TYPE__IS_INTERNAL` The feature id for the 'Is Internal' attribute.
`static int` | `CLASSIFICATION_SCHEME_TYPE__LID` The feature id for the 'Lid' attribute.
`static int` | `CLASSIFICATION_SCHEME_TYPE__NAME` The feature id for the 'Name' containment reference.
`static int` | `CLASSIFICATION_SCHEME_TYPE__NODE_TYPE` The feature id for the 'Node Type' attribute.
`static int` | `CLASSIFICATION_SCHEME_TYPE__OBJECT_TYPE` The feature id for the 'Object Type' attribute.
`static int` | `CLASSIFICATION_SCHEME_TYPE__SLOT` The feature id for the 'Slot' containment reference list.
`static int` | `CLASSIFICATION_SCHEME_TYPE__STATUS` The feature id for the 'Status' attribute.
`static int` | `CLASSIFICATION_SCHEME_TYPE__VERSION_INFO` The feature id for the 'Version Info' containment reference.
`static int` | `CLASSIFICATION_SCHEME_TYPE_FEATURE_COUNT` The number of structural features of the 'Classification Scheme Type' class.
`static int` | `CLASSIFICATION_TYPE` The meta object id for the '`Classification Type`' class.
`static int` | `CLASSIFICATION_TYPE__CLASSIFICATION` The feature id for the 'Classification' containment reference list.
`static int` | `CLASSIFICATION_TYPE__CLASSIFICATION_NODE` The feature id for the 'Classification Node' attribute.
`static int` | `CLASSIFICATION_TYPE__CLASSIFICATION_SCHEME` The feature id for the 'Classification Scheme' attribute.
`static int` | `CLASSIFICATION_TYPE__CLASSIFIED_OBJECT` The feature id for the 'Classified Object' attribute.
`static int` | `CLASSIFICATION_TYPE__DESCRIPTION` The feature id for the 'Description' containment reference.
`static int` | `CLASSIFICATION_TYPE__EXTERNAL_IDENTIFIER` The feature id for the 'External Identifier' containment reference list.
`static int` | `CLASSIFICATION_TYPE__HOME` The feature id for the 'Home' attribute.
`static int` | `CLASSIFICATION_TYPE__ID` The feature id for the 'Id' attribute.
`static int` | `CLASSIFICATION_TYPE__LID` The feature id for the 'Lid' attribute.
`static int` | `CLASSIFICATION_TYPE__NAME` The feature id for the 'Name' containment reference.
`static int` | `CLASSIFICATION_TYPE__NODE_REPRESENTATION` The feature id for the 'Node Representation' attribute.
`static int` | `CLASSIFICATION_TYPE__OBJECT_TYPE` The feature id for the 'Object Type' attribute.
`static int` | `CLASSIFICATION_TYPE__SLOT` The feature id for the 'Slot' containment reference list.
`static int` | `CLASSIFICATION_TYPE__STATUS` The feature id for the 'Status' attribute.
`static int` | `CLASSIFICATION_TYPE__VERSION_INFO` The feature id for the 'Version Info' containment reference.
`static int` | `CLASSIFICATION_TYPE_FEATURE_COUNT` The number of structural features of the 'Classification Type' class.
`static int` | `CONFORMANCE_PROFILE_TYPE` The meta object id for the '`Conformance Profile Type`' enum.
`static int` | `CONFORMANCE_PROFILE_TYPE_OBJECT` The meta object id for the 'Conformance Profile Type Object' data type.
`static int` | `DOCUMENT_ROOT` The meta object id for the '`Document Root`' class.
`static int` | `DOCUMENT_ROOT__ACTION` The feature id for the 'Action' containment reference.
`static int` | `DOCUMENT_ROOT__ADDRESS` The feature id for the 'Address' containment reference.
`static int` | `DOCUMENT_ROOT__ADHOC_QUERY` The feature id for the 'Adhoc Query' containment reference.
`static int` | `DOCUMENT_ROOT__ASSOCIATION` The feature id for the 'Association' containment reference.
`static int` | `DOCUMENT_ROOT__AUDITABLE_EVENT` The feature id for the 'Auditable Event' containment reference.
`static int` | `DOCUMENT_ROOT__CLASSIFICATION` The feature id for the 'Classification' containment reference.
`static int` | `DOCUMENT_ROOT__CLASSIFICATION_NODE` The feature id for the 'Classification Node' containment reference.
`static int` | `DOCUMENT_ROOT__CLASSIFICATION_SCHEME` The feature id for the 'Classification Scheme' containment reference.
`static int` | `DOCUMENT_ROOT__DESCRIPTION` The feature id for the 'Description' containment reference.
`static int` | `DOCUMENT_ROOT__EMAIL_ADDRESS` The feature id for the 'Email Address' containment reference.
`static int` | `DOCUMENT_ROOT__EXTERNAL_IDENTIFIER` The feature id for the 'External Identifier' containment reference.
`static int` | `DOCUMENT_ROOT__EXTERNAL_LINK` The feature id for the 'External Link' containment reference.
`static int` | `DOCUMENT_ROOT__EXTRINSIC_OBJECT` The feature id for the 'Extrinsic Object' containment reference.
`static int` | `DOCUMENT_ROOT__FEDERATION` The feature id for the 'Federation' containment reference.
`static int` | `DOCUMENT_ROOT__IDENTIFIABLE` The feature id for the 'Identifiable' containment reference.
`static int` | `DOCUMENT_ROOT__INTERNATIONAL_STRING` The feature id for the 'International String' containment reference.
`static int` | `DOCUMENT_ROOT__LOCALIZED_STRING` The feature id for the 'Localized String' containment reference.
`static int` | `DOCUMENT_ROOT__MIXED` The feature id for the 'Mixed' attribute list.
`static int` | `DOCUMENT_ROOT__NAME` The feature id for the 'Name' containment reference.
`static int` | `DOCUMENT_ROOT__NOTIFICATION` The feature id for the 'Notification' containment reference.
`static int` | `DOCUMENT_ROOT__NOTIFY_ACTION` The feature id for the 'Notify Action' containment reference.
`static int` | `DOCUMENT_ROOT__OBJECT_REF` The feature id for the 'Object Ref' containment reference.
`static int` | `DOCUMENT_ROOT__OBJECT_REF_LIST` The feature id for the 'Object Ref List' containment reference.
`static int` | `DOCUMENT_ROOT__ORGANIZATION` The feature id for the 'Organization' containment reference.
`static int` | `DOCUMENT_ROOT__PERSON` The feature id for the 'Person' containment reference.
`static int` | `DOCUMENT_ROOT__PERSON_NAME` The feature id for the 'Person Name' containment reference.
`static int` | `DOCUMENT_ROOT__POSTAL_ADDRESS` The feature id for the 'Postal Address' containment reference.
`static int` | `DOCUMENT_ROOT__QUERY_EXPRESSION` The feature id for the 'Query Expression' containment reference.
`static int` | `DOCUMENT_ROOT__REGISTRY` The feature id for the 'Registry' containment reference.
`static int` | `DOCUMENT_ROOT__REGISTRY_OBJECT` The feature id for the 'Registry Object' containment reference.
`static int` | `DOCUMENT_ROOT__REGISTRY_OBJECT_LIST` The feature id for the 'Registry Object List' containment reference.
`static int` | `DOCUMENT_ROOT__REGISTRY_PACKAGE` The feature id for the 'Registry Package' containment reference.
`static int` | `DOCUMENT_ROOT__SERVICE` The feature id for the 'Service' containment reference.
`static int` | `DOCUMENT_ROOT__SERVICE_BINDING` The feature id for the 'Service Binding' containment reference.
`static int` | `DOCUMENT_ROOT__SLOT` The feature id for the 'Slot' containment reference.
`static int` | `DOCUMENT_ROOT__SLOT_LIST` The feature id for the 'Slot List' containment reference.
`static int` | `DOCUMENT_ROOT__SPECIFICATION_LINK` The feature id for the 'Specification Link' containment reference.
`static int` | `DOCUMENT_ROOT__SUBSCRIPTION` The feature id for the 'Subscription' containment reference.
`static int` | `DOCUMENT_ROOT__TELEPHONE_NUMBER` The feature id for the 'Telephone Number' containment reference.
`static int` | `DOCUMENT_ROOT__USAGE_DESCRIPTION` The feature id for the 'Usage Description' containment reference.
`static int` | `DOCUMENT_ROOT__USAGE_PARAMETER` The feature id for the 'Usage Parameter' attribute.
`static int` | `DOCUMENT_ROOT__USER` The feature id for the 'User' containment reference.
`static int` | `DOCUMENT_ROOT__VALUE` The feature id for the 'Value' attribute.
`static int` | `DOCUMENT_ROOT__VALUE_LIST` The feature id for the 'Value List' containment reference.
`static int` | `DOCUMENT_ROOT__XMLNS_PREFIX_MAP` The feature id for the 'XMLNS Prefix Map' map.
`static int` | `DOCUMENT_ROOT__XSI_SCHEMA_LOCATION` The feature id for the 'XSI Schema Location' map.
`static int` | `DOCUMENT_ROOT_FEATURE_COUNT` The number of structural features of the 'Document Root' class.
`static RimPackage` | `eINSTANCE` The singleton instance of the package.
`static int` | `EMAIL_ADDRESS_TYPE` The meta object id for the '`Email Address Type`' class.
`static int` | `EMAIL_ADDRESS_TYPE__ADDRESS` The feature id for the 'Address' attribute.
`static int` | `EMAIL_ADDRESS_TYPE__TYPE` The feature id for the 'Type' attribute.
`static int` | `EMAIL_ADDRESS_TYPE_FEATURE_COUNT` The number of structural features of the 'Email Address Type' class.
`static java.lang.String` | `eNAME` The package name.
`static java.lang.String` | `eNS_PREFIX` The package namespace name.
`static java.lang.String` | `eNS_URI` The package namespace URI.
`static int` | `EXTERNAL_IDENTIFIER_TYPE` The meta object id for the '`External Identifier Type`' class.
`static int` | `EXTERNAL_IDENTIFIER_TYPE__CLASSIFICATION` The feature id for the 'Classification' containment reference list.
`static int` | `EXTERNAL_IDENTIFIER_TYPE__DESCRIPTION` The feature id for the 'Description' containment reference.
`static int` | `EXTERNAL_IDENTIFIER_TYPE__EXTERNAL_IDENTIFIER` The feature id for the 'External Identifier' containment reference list.
`static int` | `EXTERNAL_IDENTIFIER_TYPE__HOME` The feature id for the 'Home' attribute.
`static int` | `EXTERNAL_IDENTIFIER_TYPE__ID` The feature id for the 'Id' attribute.
`static int` | `EXTERNAL_IDENTIFIER_TYPE__IDENTIFICATION_SCHEME` The feature id for the 'Identification Scheme' attribute.
`static int` | `EXTERNAL_IDENTIFIER_TYPE__LID` The feature id for the 'Lid' attribute.
`static int` | `EXTERNAL_IDENTIFIER_TYPE__NAME` The feature id for the 'Name' containment reference.
`static int` | `EXTERNAL_IDENTIFIER_TYPE__OBJECT_TYPE` The feature id for the 'Object Type' attribute.
`static int` | `EXTERNAL_IDENTIFIER_TYPE__REGISTRY_OBJECT` The feature id for the 'Registry Object' attribute.
`static int` | `EXTERNAL_IDENTIFIER_TYPE__SLOT` The feature id for the 'Slot' containment reference list.
`static int` | `EXTERNAL_IDENTIFIER_TYPE__STATUS` The feature id for the 'Status' attribute.
`static int` | `EXTERNAL_IDENTIFIER_TYPE__VALUE` The feature id for the 'Value' attribute.
`static int` | `EXTERNAL_IDENTIFIER_TYPE__VERSION_INFO` The feature id for the 'Version Info' containment reference.
`static int` | `EXTERNAL_IDENTIFIER_TYPE_FEATURE_COUNT` The number of structural features of the 'External Identifier Type' class.
`static int` | `EXTERNAL_LINK_TYPE` The meta object id for the '`External Link Type`' class.
`static int` | `EXTERNAL_LINK_TYPE__CLASSIFICATION` The feature id for the 'Classification' containment reference list.
`static int` | `EXTERNAL_LINK_TYPE__DESCRIPTION` The feature id for the 'Description' containment reference.
`static int` | `EXTERNAL_LINK_TYPE__EXTERNAL_IDENTIFIER` The feature id for the 'External Identifier' containment reference list.
`static int` | `EXTERNAL_LINK_TYPE__EXTERNAL_URI` The feature id for the 'External URI' attribute.
`static int` | `EXTERNAL_LINK_TYPE__HOME` The feature id for the 'Home' attribute.
`static int` | `EXTERNAL_LINK_TYPE__ID` The feature id for the 'Id' attribute.
`static int` | `EXTERNAL_LINK_TYPE__LID` The feature id for the 'Lid' attribute.
`static int` | `EXTERNAL_LINK_TYPE__NAME` The feature id for the 'Name' containment reference.
`static int` | `EXTERNAL_LINK_TYPE__OBJECT_TYPE` The feature id for the 'Object Type' attribute.
`static int` | `EXTERNAL_LINK_TYPE__SLOT` The feature id for the 'Slot' containment reference list.
`static int` | `EXTERNAL_LINK_TYPE__STATUS` The feature id for the 'Status' attribute.
`static int` | `EXTERNAL_LINK_TYPE__VERSION_INFO` The feature id for the 'Version Info' containment reference.
`static int` | `EXTERNAL_LINK_TYPE_FEATURE_COUNT` The number of structural features of the 'External Link Type' class.
`static int` | `EXTRINSIC_OBJECT_TYPE` The meta object id for the '`Extrinsic Object Type`' class.
`static int` | `EXTRINSIC_OBJECT_TYPE__CLASSIFICATION` The feature id for the 'Classification' containment reference list.
`static int` | `EXTRINSIC_OBJECT_TYPE__CONTENT_VERSION_INFO` The feature id for the 'Content Version Info' containment reference.
`static int` | `EXTRINSIC_OBJECT_TYPE__DESCRIPTION` The feature id for the 'Description' containment reference.
`static int` | `EXTRINSIC_OBJECT_TYPE__EXTERNAL_IDENTIFIER` The feature id for the 'External Identifier' containment reference list.
`static int` | `EXTRINSIC_OBJECT_TYPE__HOME` The feature id for the 'Home' attribute.
`static int` | `EXTRINSIC_OBJECT_TYPE__ID` The feature id for the 'Id' attribute.
`static int` | `EXTRINSIC_OBJECT_TYPE__IS_OPAQUE` The feature id for the 'Is Opaque' attribute.
`static int` | `EXTRINSIC_OBJECT_TYPE__LID` The feature id for the 'Lid' attribute.
`static int` | `EXTRINSIC_OBJECT_TYPE__MIME_TYPE` The feature id for the 'Mime Type' attribute.
`static int` | `EXTRINSIC_OBJECT_TYPE__NAME` The feature id for the 'Name' containment reference.
`static int` | `EXTRINSIC_OBJECT_TYPE__OBJECT_TYPE` The feature id for the 'Object Type' attribute.
`static int` | `EXTRINSIC_OBJECT_TYPE__SLOT` The feature id for the 'Slot' containment reference list.
`static int` | `EXTRINSIC_OBJECT_TYPE__STATUS` The feature id for the 'Status' attribute.
`static int` | `EXTRINSIC_OBJECT_TYPE__VERSION_INFO` The feature id for the 'Version Info' containment reference.
`static int` | `EXTRINSIC_OBJECT_TYPE_FEATURE_COUNT` The number of structural features of the 'Extrinsic Object Type' class.
`static int` | `FEDERATION_TYPE` The meta object id for the '`Federation Type`' class.
`static int` | `FEDERATION_TYPE__CLASSIFICATION` The feature id for the 'Classification' containment reference list.
`static int` | `FEDERATION_TYPE__DESCRIPTION` The feature id for the 'Description' containment reference.
`static int` | `FEDERATION_TYPE__EXTERNAL_IDENTIFIER` The feature id for the 'External Identifier' containment reference list.
`static int` | `FEDERATION_TYPE__HOME` The feature id for the 'Home' attribute.
`static int` | `FEDERATION_TYPE__ID` The feature id for the 'Id' attribute.
`static int` | `FEDERATION_TYPE__LID` The feature id for the 'Lid' attribute.
`static int` | `FEDERATION_TYPE__NAME` The feature id for the 'Name' containment reference.
`static int` | `FEDERATION_TYPE__OBJECT_TYPE` The feature id for the 'Object Type' attribute.
`static int` | `FEDERATION_TYPE__REPLICATION_SYNC_LATENCY` The feature id for the 'Replication Sync Latency' attribute.
`static int` | `FEDERATION_TYPE__SLOT` The feature id for the 'Slot' containment reference list.
`static int` | `FEDERATION_TYPE__STATUS` The feature id for the 'Status' attribute.
`static int` | `FEDERATION_TYPE__VERSION_INFO` The feature id for the 'Version Info' containment reference.
`static int` | `FEDERATION_TYPE_FEATURE_COUNT` The number of structural features of the 'Federation Type' class.
`static int` | `FREE_FORM_TEXT` The meta object id for the 'Free Form Text' data type.
`static int` | `IDENTIFIABLE_TYPE` The meta object id for the '`Identifiable Type`' class.
`static int` | `IDENTIFIABLE_TYPE__HOME` The feature id for the 'Home' attribute.
`static int` | `IDENTIFIABLE_TYPE__ID` The feature id for the 'Id' attribute.
`static int` | `IDENTIFIABLE_TYPE__SLOT` The feature id for the 'Slot' containment reference list.
`static int` | `IDENTIFIABLE_TYPE_FEATURE_COUNT` The number of structural features of the 'Identifiable Type' class.
`static int` | `INTERNATIONAL_STRING_TYPE` The meta object id for the '`International String Type`' class.
`static int` | `INTERNATIONAL_STRING_TYPE__GROUP` The feature id for the 'Group' attribute list.
`static int` | `INTERNATIONAL_STRING_TYPE__LOCALIZED_STRING` The feature id for the 'Localized String' containment reference list.
`static int` | `INTERNATIONAL_STRING_TYPE_FEATURE_COUNT` The number of structural features of the 'International String Type' class.
`static int` | `LOCALIZED_STRING_TYPE` The meta object id for the '`Localized String Type`' class.
`static int` | `LOCALIZED_STRING_TYPE__CHARSET` The feature id for the 'Charset' attribute.
`static int` | `LOCALIZED_STRING_TYPE__LANG` The feature id for the 'Lang' attribute.
`static int` | `LOCALIZED_STRING_TYPE__VALUE` The feature id for the 'Value' attribute.
`static int` | `LOCALIZED_STRING_TYPE_FEATURE_COUNT` The number of structural features of the 'Localized String Type' class.
`static int` | `LONG_NAME` The meta object id for the 'Long Name' data type.
`static int` | `NOTIFICATION_TYPE` The meta object id for the '`Notification Type`' class.
`static int` | `NOTIFICATION_TYPE__CLASSIFICATION` The feature id for the 'Classification' containment reference list.
`static int` | `NOTIFICATION_TYPE__DESCRIPTION` The feature id for the 'Description' containment reference.
`static int` | `NOTIFICATION_TYPE__EXTERNAL_IDENTIFIER` The feature id for the 'External Identifier' containment reference list.
`static int` | `NOTIFICATION_TYPE__HOME` The feature id for the 'Home' attribute.
`static int` | `NOTIFICATION_TYPE__ID` The feature id for the 'Id' attribute.
`static int` | `NOTIFICATION_TYPE__LID` The feature id for the 'Lid' attribute.
`static int` | `NOTIFICATION_TYPE__NAME` The feature id for the 'Name' containment reference.
`static int` | `NOTIFICATION_TYPE__OBJECT_TYPE` The feature id for the 'Object Type' attribute.
`static int` | `NOTIFICATION_TYPE__REGISTRY_OBJECT_LIST` The feature id for the 'Registry Object List' containment reference.
`static int` | `NOTIFICATION_TYPE__SLOT` The feature id for the 'Slot' containment reference list.
`static int` | `NOTIFICATION_TYPE__STATUS` The feature id for the 'Status' attribute.
`static int` | `NOTIFICATION_TYPE__SUBSCRIPTION` The feature id for the 'Subscription' attribute.
`static int` | `NOTIFICATION_TYPE__VERSION_INFO` The feature id for the 'Version Info' containment reference.
`static int` | `NOTIFICATION_TYPE_FEATURE_COUNT` The number of structural features of the 'Notification Type' class.
`static int` | `NOTIFY_ACTION_TYPE` The meta object id for the '`Notify Action Type`' class.
`static int` | `NOTIFY_ACTION_TYPE__END_POINT` The feature id for the 'End Point' attribute.
`static int` | `NOTIFY_ACTION_TYPE__NOTIFICATION_OPTION` The feature id for the 'Notification Option' attribute.
`static int` | `NOTIFY_ACTION_TYPE_FEATURE_COUNT` The number of structural features of the 'Notify Action Type' class.
`static int` | `OBJECT_REF_LIST_TYPE` The meta object id for the '`Object Ref List Type`' class.
`static int` | `OBJECT_REF_LIST_TYPE__GROUP` The feature id for the 'Group' attribute list.
`static int` | `OBJECT_REF_LIST_TYPE__OBJECT_REF` The feature id for the 'Object Ref' containment reference list.
`static int` | `OBJECT_REF_LIST_TYPE_FEATURE_COUNT` The number of structural features of the 'Object Ref List Type' class.
`static int` | `OBJECT_REF_TYPE` The meta object id for the '`Object Ref Type`' class.
`static int` | `OBJECT_REF_TYPE__CREATE_REPLICA` The feature id for the 'Create Replica' attribute.
`static int` | `OBJECT_REF_TYPE__HOME` The feature id for the 'Home' attribute.
`static int` | `OBJECT_REF_TYPE__ID` The feature id for the 'Id' attribute.
`static int` | `OBJECT_REF_TYPE__SLOT` The feature id for the 'Slot' containment reference list.
`static int` | `OBJECT_REF_TYPE_FEATURE_COUNT` The number of structural features of the 'Object Ref Type' class.
`static int` | `ORGANIZATION_TYPE` The meta object id for the '`Organization Type`' class.
`static int` | `ORGANIZATION_TYPE__ADDRESS` The feature id for the 'Address' containment reference list.
`static int` | `ORGANIZATION_TYPE__CLASSIFICATION` The feature id for the 'Classification' containment reference list.
`static int` | `ORGANIZATION_TYPE__DESCRIPTION` The feature id for the 'Description' containment reference.
`static int` | `ORGANIZATION_TYPE__EMAIL_ADDRESS` The feature id for the 'Email Address' containment reference list.
`static int` | `ORGANIZATION_TYPE__EXTERNAL_IDENTIFIER` The feature id for the 'External Identifier' containment reference list.
`static int` | `ORGANIZATION_TYPE__HOME` The feature id for the 'Home' attribute.
`static int` | `ORGANIZATION_TYPE__ID` The feature id for the 'Id' attribute.
`static int` | `ORGANIZATION_TYPE__LID` The feature id for the 'Lid' attribute.
`static int` | `ORGANIZATION_TYPE__NAME` The feature id for the 'Name' containment reference.
`static int` | `ORGANIZATION_TYPE__OBJECT_TYPE` The feature id for the 'Object Type' attribute.
`static int` | `ORGANIZATION_TYPE__PARENT` The feature id for the 'Parent' attribute.
`static int` | `ORGANIZATION_TYPE__PRIMARY_CONTACT` The feature id for the 'Primary Contact' attribute.
`static int` | `ORGANIZATION_TYPE__SLOT` The feature id for the 'Slot' containment reference list.
`static int` | `ORGANIZATION_TYPE__STATUS` The feature id for the 'Status' attribute.
`static int` | `ORGANIZATION_TYPE__TELEPHONE_NUMBER` The feature id for the 'Telephone Number' containment reference list.
`static int` | `ORGANIZATION_TYPE__VERSION_INFO` The feature id for the 'Version Info' containment reference.
`static int` | `ORGANIZATION_TYPE_FEATURE_COUNT` The number of structural features of the 'Organization Type' class.
`static int` | `PERSON_NAME_TYPE` The meta object id for the '`Person Name Type`' class.
`static int` | `PERSON_NAME_TYPE__FIRST_NAME` The feature id for the 'First Name' attribute.
`static int` | `PERSON_NAME_TYPE__LAST_NAME` The feature id for the 'Last Name' attribute.
`static int` | `PERSON_NAME_TYPE__MIDDLE_NAME` The feature id for the 'Middle Name' attribute.
`static int` | `PERSON_NAME_TYPE_FEATURE_COUNT` The number of structural features of the 'Person Name Type' class.
`static int` | `PERSON_TYPE` The meta object id for the '`Person Type`' class.
`static int` | `PERSON_TYPE__ADDRESS` The feature id for the 'Address' containment reference list.
`static int` | `PERSON_TYPE__CLASSIFICATION` The feature id for the 'Classification' containment reference list.
`static int` | `PERSON_TYPE__DESCRIPTION` The feature id for the 'Description' containment reference.
`static int` | `PERSON_TYPE__EMAIL_ADDRESS` The feature id for the 'Email Address' containment reference list.
`static int` | `PERSON_TYPE__EXTERNAL_IDENTIFIER` The feature id for the 'External Identifier' containment reference list.
`static int` | `PERSON_TYPE__HOME` The feature id for the 'Home' attribute.
`static int` | `PERSON_TYPE__ID` The feature id for the 'Id' attribute.
`static int` | `PERSON_TYPE__LID` The feature id for the 'Lid' attribute.
`static int` | `PERSON_TYPE__NAME` The feature id for the 'Name' containment reference.
`static int` | `PERSON_TYPE__OBJECT_TYPE` The feature id for the 'Object Type' attribute.
`static int` | `PERSON_TYPE__PERSON_NAME` The feature id for the 'Person Name' containment reference.
`static int` | `PERSON_TYPE__SLOT` The feature id for the 'Slot' containment reference list.
`static int` | `PERSON_TYPE__STATUS` The feature id for the 'Status' attribute.
`static int` | `PERSON_TYPE__TELEPHONE_NUMBER` The feature id for the 'Telephone Number' containment reference list.
`static int` | `PERSON_TYPE__VERSION_INFO` The feature id for the 'Version Info' containment reference.
`static int` | `PERSON_TYPE_FEATURE_COUNT` The number of structural features of the 'Person Type' class.
`static int` | `POSTAL_ADDRESS_TYPE` The meta object id for the '`Postal Address Type`' class.
`static int` | `POSTAL_ADDRESS_TYPE__CITY` The feature id for the 'City' attribute.
`static int` | `POSTAL_ADDRESS_TYPE__COUNTRY` The feature id for the 'Country' attribute.
`static int` | `POSTAL_ADDRESS_TYPE__POSTAL_CODE` The feature id for the 'Postal Code' attribute.
`static int` | `POSTAL_ADDRESS_TYPE__STATE_OR_PROVINCE` The feature id for the 'State Or Province' attribute.
`static int` | `POSTAL_ADDRESS_TYPE__STREET` The feature id for the 'Street' attribute.
`static int` | `POSTAL_ADDRESS_TYPE__STREET_NUMBER` The feature id for the 'Street Number' attribute.
`static int` | `POSTAL_ADDRESS_TYPE_FEATURE_COUNT` The number of structural features of the 'Postal Address Type' class.
`static int` | `QUERY_EXPRESSION_TYPE` The meta object id for the '`Query Expression Type`' class.
`static int` | `QUERY_EXPRESSION_TYPE__ANY` The feature id for the 'Any' attribute list.
`static int` | `QUERY_EXPRESSION_TYPE__MIXED` The feature id for the 'Mixed' attribute list.
`static int` | `QUERY_EXPRESSION_TYPE__QUERY_LANGUAGE` The feature id for the 'Query Language' attribute.
`static int` | `QUERY_EXPRESSION_TYPE_FEATURE_COUNT` The number of structural features of the 'Query Expression Type' class.
`static int` | `REFERENCE_URI` The meta object id for the 'Reference URI' data type.
`static int` | `REGISTRY_OBJECT_LIST_TYPE` The meta object id for the '`Registry Object List Type`' class.
`static int` | `REGISTRY_OBJECT_LIST_TYPE__IDENTIFIABLE` The feature id for the 'Identifiable' containment reference list.
`static int` | `REGISTRY_OBJECT_LIST_TYPE__IDENTIFIABLE_GROUP` The feature id for the 'Identifiable Group' attribute list.
`static int` | `REGISTRY_OBJECT_LIST_TYPE_FEATURE_COUNT` The number of structural features of the 'Registry Object List Type' class.
`static int` | `REGISTRY_OBJECT_TYPE` The meta object id for the '`Registry Object Type`' class.
`static int` | `REGISTRY_OBJECT_TYPE__CLASSIFICATION` The feature id for the 'Classification' containment reference list.
`static int` | `REGISTRY_OBJECT_TYPE__DESCRIPTION` The feature id for the 'Description' containment reference.
`static int` | `REGISTRY_OBJECT_TYPE__EXTERNAL_IDENTIFIER` The feature id for the 'External Identifier' containment reference list.
`static int` | `REGISTRY_OBJECT_TYPE__HOME` The feature id for the 'Home' attribute.
`static int` | `REGISTRY_OBJECT_TYPE__ID` The feature id for the 'Id' attribute.
`static int` | `REGISTRY_OBJECT_TYPE__LID` The feature id for the 'Lid' attribute.
`static int` | `REGISTRY_OBJECT_TYPE__NAME` The feature id for the 'Name' containment reference.
`static int` | `REGISTRY_OBJECT_TYPE__OBJECT_TYPE` The feature id for the 'Object Type' attribute.
`static int` | `REGISTRY_OBJECT_TYPE__SLOT` The feature id for the 'Slot' containment reference list.
`static int` | `REGISTRY_OBJECT_TYPE__STATUS` The feature id for the 'Status' attribute.
`static int` | `REGISTRY_OBJECT_TYPE__VERSION_INFO` The feature id for the 'Version Info' containment reference.
`static int` | `REGISTRY_OBJECT_TYPE_FEATURE_COUNT` The number of structural features of the 'Registry Object Type' class.
`static int` | `REGISTRY_PACKAGE_TYPE` The meta object id for the '`Registry Package Type`' class.
`static int` | `REGISTRY_PACKAGE_TYPE__CLASSIFICATION` The feature id for the 'Classification' containment reference list.
`static int` | `REGISTRY_PACKAGE_TYPE__DESCRIPTION` The feature id for the 'Description' containment reference.
`static int` | `REGISTRY_PACKAGE_TYPE__EXTERNAL_IDENTIFIER` The feature id for the 'External Identifier' containment reference list.
`static int` | `REGISTRY_PACKAGE_TYPE__HOME` The feature id for the 'Home' attribute.
`static int` | `REGISTRY_PACKAGE_TYPE__ID` The feature id for the 'Id' attribute.
`static int` | `REGISTRY_PACKAGE_TYPE__LID` The feature id for the 'Lid' attribute.
`static int` | `REGISTRY_PACKAGE_TYPE__NAME` The feature id for the 'Name' containment reference.
`static int` | `REGISTRY_PACKAGE_TYPE__OBJECT_TYPE` The feature id for the 'Object Type' attribute.
`static int` | `REGISTRY_PACKAGE_TYPE__REGISTRY_OBJECT_LIST` The feature id for the 'Registry Object List' containment reference.
`static int` | `REGISTRY_PACKAGE_TYPE__SLOT` The feature id for the 'Slot' containment reference list.
`static int` | `REGISTRY_PACKAGE_TYPE__STATUS` The feature id for the 'Status' attribute.
`static int` | `REGISTRY_PACKAGE_TYPE__VERSION_INFO` The feature id for the 'Version Info' containment reference.
`static int` | `REGISTRY_PACKAGE_TYPE_FEATURE_COUNT` The number of structural features of the 'Registry Package Type' class.
`static int` | `REGISTRY_TYPE` The meta object id for the '`Registry Type`' class.
`static int` | `REGISTRY_TYPE__CATALOGING_LATENCY` The feature id for the 'Cataloging Latency' attribute.
`static int` | `REGISTRY_TYPE__CLASSIFICATION` The feature id for the 'Classification' containment reference list.
`static int` | `REGISTRY_TYPE__CONFORMANCE_PROFILE` The feature id for the 'Conformance Profile' attribute.
`static int` | `REGISTRY_TYPE__DESCRIPTION` The feature id for the 'Description' containment reference.
`static int` | `REGISTRY_TYPE__EXTERNAL_IDENTIFIER` The feature id for the 'External Identifier' containment reference list.
`static int` | `REGISTRY_TYPE__HOME` The feature id for the 'Home' attribute.
`static int` | `REGISTRY_TYPE__ID` The feature id for the 'Id' attribute.
`static int` | `REGISTRY_TYPE__LID` The feature id for the 'Lid' attribute.
`static int` | `REGISTRY_TYPE__NAME` The feature id for the 'Name' containment reference.
`static int` | `REGISTRY_TYPE__OBJECT_TYPE` The feature id for the 'Object Type' attribute.
`static int` | `REGISTRY_TYPE__OPERATOR` The feature id for the 'Operator' attribute.
`static int` | `REGISTRY_TYPE__REPLICATION_SYNC_LATENCY` The feature id for the 'Replication Sync Latency' attribute.
`static int` | `REGISTRY_TYPE__SLOT` The feature id for the 'Slot' containment reference list.
`static int` | `REGISTRY_TYPE__SPECIFICATION_VERSION` The feature id for the 'Specification Version' attribute.
`static int` | `REGISTRY_TYPE__STATUS` The feature id for the 'Status' attribute.
`static int` | `REGISTRY_TYPE__VERSION_INFO` The feature id for the 'Version Info' containment reference.
`static int` | `REGISTRY_TYPE_FEATURE_COUNT` The number of structural features of the 'Registry Type' class.
`static int` | `SERVICE_BINDING_TYPE` The meta object id for the '`Service Binding Type`' class.
`static int` | `SERVICE_BINDING_TYPE__ACCESS_URI` The feature id for the 'Access URI' attribute.
`static int` | `SERVICE_BINDING_TYPE__CLASSIFICATION` The feature id for the 'Classification' containment reference list.
`static int` | `SERVICE_BINDING_TYPE__DESCRIPTION` The feature id for the 'Description' containment reference.
`static int` | `SERVICE_BINDING_TYPE__EXTERNAL_IDENTIFIER` The feature id for the 'External Identifier' containment reference list.
`static int` | `SERVICE_BINDING_TYPE__HOME` The feature id for the 'Home' attribute.
`static int` | `SERVICE_BINDING_TYPE__ID` The feature id for the 'Id' attribute.
`static int` | `SERVICE_BINDING_TYPE__LID` The feature id for the 'Lid' attribute.
`static int` | `SERVICE_BINDING_TYPE__NAME` The feature id for the 'Name' containment reference.
`static int` | `SERVICE_BINDING_TYPE__OBJECT_TYPE` The feature id for the 'Object Type' attribute.
`static int` | `SERVICE_BINDING_TYPE__SERVICE` The feature id for the 'Service' attribute.
`static int` | `SERVICE_BINDING_TYPE__SLOT` The feature id for the 'Slot' containment reference list.
`static int` | `SERVICE_BINDING_TYPE__SPECIFICATION_LINK` The feature id for the 'Specification Link' containment reference list.
`static int` | `SERVICE_BINDING_TYPE__STATUS` The feature id for the 'Status' attribute.
`static int` | `SERVICE_BINDING_TYPE__TARGET_BINDING` The feature id for the 'Target Binding' attribute.
`static int` | `SERVICE_BINDING_TYPE__VERSION_INFO` The feature id for the 'Version Info' containment reference.
`static int` | `SERVICE_BINDING_TYPE_FEATURE_COUNT` The number of structural features of the 'Service Binding Type' class.
`static int` | `SERVICE_TYPE` The meta object id for the '`Service Type`' class.
`static int` | `SERVICE_TYPE__CLASSIFICATION` The feature id for the 'Classification' containment reference list.
`static int` | `SERVICE_TYPE__DESCRIPTION` The feature id for the 'Description' containment reference.
`static int` | `SERVICE_TYPE__EXTERNAL_IDENTIFIER` The feature id for the 'External Identifier' containment reference list.
`static int` | `SERVICE_TYPE__HOME` The feature id for the 'Home' attribute.
`static int` | `SERVICE_TYPE__ID` The feature id for the 'Id' attribute.
`static int` | `SERVICE_TYPE__LID` The feature id for the 'Lid' attribute.
`static int` | `SERVICE_TYPE__NAME` The feature id for the 'Name' containment reference.
`static int` | `SERVICE_TYPE__OBJECT_TYPE` The feature id for the 'Object Type' attribute.
`static int` | `SERVICE_TYPE__SERVICE_BINDING` The feature id for the 'Service Binding' containment reference list.
`static int` | `SERVICE_TYPE__SLOT` The feature id for the 'Slot' containment reference list.
`static int` | `SERVICE_TYPE__STATUS` The feature id for the 'Status' attribute.
`static int` | `SERVICE_TYPE__VERSION_INFO` The feature id for the 'Version Info' containment reference.
`static int` | `SERVICE_TYPE_FEATURE_COUNT` The number of structural features of the 'Service Type' class.
`static int` | `SHORT_NAME` The meta object id for the 'Short Name' data type.
`static int` | `SLOT_LIST_TYPE` The meta object id for the '`Slot List Type`' class.
`static int` | `SLOT_LIST_TYPE__SLOT` The feature id for the 'Slot' containment reference list.
`static int` | `SLOT_LIST_TYPE_FEATURE_COUNT` The number of structural features of the 'Slot List Type' class.
`static int` | `SLOT_TYPE1` The meta object id for the '`Slot Type1`' class.
`static int` | `SLOT_TYPE1__NAME` The feature id for the 'Name' attribute.
`static int` | `SLOT_TYPE1__SLOT_TYPE` The feature id for the 'Slot Type' attribute.
`static int` | `SLOT_TYPE1__VALUE_LIST` The feature id for the 'Value List' containment reference.
`static int` | `SLOT_TYPE1_FEATURE_COUNT` The number of structural features of the 'Slot Type1' class.
`static int` | `SPECIFICATION_LINK_TYPE` The meta object id for the '`Specification Link Type`' class.
`static int` | `SPECIFICATION_LINK_TYPE__CLASSIFICATION` The feature id for the 'Classification' containment reference list.
`static int` | `SPECIFICATION_LINK_TYPE__DESCRIPTION` The feature id for the 'Description' containment reference.
`static int` | `SPECIFICATION_LINK_TYPE__EXTERNAL_IDENTIFIER` The feature id for the 'External Identifier' containment reference list.
`static int` | `SPECIFICATION_LINK_TYPE__HOME` The feature id for the 'Home' attribute.
`static int` | `SPECIFICATION_LINK_TYPE__ID` The feature id for the 'Id' attribute.
`static int` | `SPECIFICATION_LINK_TYPE__LID` The feature id for the 'Lid' attribute.
`static int` | `SPECIFICATION_LINK_TYPE__NAME` The feature id for the 'Name' containment reference.
`static int` | `SPECIFICATION_LINK_TYPE__OBJECT_TYPE` The feature id for the 'Object Type' attribute.
`static int` | `SPECIFICATION_LINK_TYPE__SERVICE_BINDING` The feature id for the 'Service Binding' attribute.
`static int` | `SPECIFICATION_LINK_TYPE__SLOT` The feature id for the 'Slot' containment reference list.
`static int` | `SPECIFICATION_LINK_TYPE__SPECIFICATION_OBJECT` The feature id for the 'Specification Object' attribute.
`static int` | `SPECIFICATION_LINK_TYPE__STATUS` The feature id for the 'Status' attribute.
`static int` | `SPECIFICATION_LINK_TYPE__USAGE_DESCRIPTION` The feature id for the 'Usage Description' containment reference.
`static int` | `SPECIFICATION_LINK_TYPE__USAGE_PARAMETER` The feature id for the 'Usage Parameter' attribute list.
`static int` | `SPECIFICATION_LINK_TYPE__VERSION_INFO` The feature id for the 'Version Info' containment reference.
`static int` | `SPECIFICATION_LINK_TYPE_FEATURE_COUNT` The number of structural features of the 'Specification Link Type' class.
`static int` | `STRING16` The meta object id for the 'String16' data type.
`static int` | `STRING32` The meta object id for the 'String32' data type.
`static int` | `STRING4` The meta object id for the 'String4' data type.
`static int` | `STRING8` The meta object id for the 'String8' data type.
`static int` | `SUBSCRIPTION_TYPE` The meta object id for the '`Subscription Type`' class.
`static int` | `SUBSCRIPTION_TYPE__ACTION` The feature id for the 'Action' containment reference list.
`static int` | `SUBSCRIPTION_TYPE__ACTION_GROUP` The feature id for the 'Action Group' attribute list.
`static int` | `SUBSCRIPTION_TYPE__CLASSIFICATION` The feature id for the 'Classification' containment reference list.
`static int` | `SUBSCRIPTION_TYPE__DESCRIPTION` The feature id for the 'Description' containment reference.
`static int` | `SUBSCRIPTION_TYPE__END_TIME` The feature id for the 'End Time' attribute.
`static int` | `SUBSCRIPTION_TYPE__EXTERNAL_IDENTIFIER` The feature id for the 'External Identifier' containment reference list.
`static int` | `SUBSCRIPTION_TYPE__HOME` The feature id for the 'Home' attribute.
`static int` | `SUBSCRIPTION_TYPE__ID` The feature id for the 'Id' attribute.
`static int` | `SUBSCRIPTION_TYPE__LID` The feature id for the 'Lid' attribute.
`static int` | `SUBSCRIPTION_TYPE__NAME` The feature id for the 'Name' containment reference.
`static int` | `SUBSCRIPTION_TYPE__NOTIFICATION_INTERVAL` The feature id for the 'Notification Interval' attribute.
`static int` | `SUBSCRIPTION_TYPE__OBJECT_TYPE` The feature id for the 'Object Type' attribute.
`static int` | `SUBSCRIPTION_TYPE__SELECTOR` The feature id for the 'Selector' attribute.
`static int` | `SUBSCRIPTION_TYPE__SLOT` The feature id for the 'Slot' containment reference list.
`static int` | `SUBSCRIPTION_TYPE__START_TIME` The feature id for the 'Start Time' attribute.
`static int` | `SUBSCRIPTION_TYPE__STATUS` The feature id for the 'Status' attribute.
`static int` | `SUBSCRIPTION_TYPE__VERSION_INFO` The feature id for the 'Version Info' containment reference.
`static int` | `SUBSCRIPTION_TYPE_FEATURE_COUNT` The number of structural features of the 'Subscription Type' class.
`static int` | `TELEPHONE_NUMBER_LIST_TYPE` The meta object id for the '`Telephone Number List Type`' class.
`static int` | `TELEPHONE_NUMBER_LIST_TYPE__TELEPHONE_NUMBER` The feature id for the 'Telephone Number' containment reference list.
`static int` | `TELEPHONE_NUMBER_LIST_TYPE_FEATURE_COUNT` The number of structural features of the 'Telephone Number List Type' class.
`static int` | `TELEPHONE_NUMBER_TYPE` The meta object id for the '`Telephone Number Type`' class.
`static int` | `TELEPHONE_NUMBER_TYPE__AREA_CODE` The feature id for the 'Area Code' attribute.
`static int` | `TELEPHONE_NUMBER_TYPE__COUNTRY_CODE` The feature id for the 'Country Code' attribute.
`static int` | `TELEPHONE_NUMBER_TYPE__EXTENSION` The feature id for the 'Extension' attribute.
`static int` | `TELEPHONE_NUMBER_TYPE__NUMBER` The feature id for the 'Number' attribute.
`static int` | `TELEPHONE_NUMBER_TYPE__PHONE_TYPE` The feature id for the 'Phone Type' attribute.
`static int` | `TELEPHONE_NUMBER_TYPE_FEATURE_COUNT` The number of structural features of the 'Telephone Number Type' class.
`static int` | `USER_TYPE` The meta object id for the '`User Type`' class.
`static int` | `USER_TYPE__ADDRESS` The feature id for the 'Address' containment reference list.
`static int` | `USER_TYPE__CLASSIFICATION` The feature id for the 'Classification' containment reference list.
`static int` | `USER_TYPE__DESCRIPTION` The feature id for the 'Description' containment reference.
`static int` | `USER_TYPE__EMAIL_ADDRESS` The feature id for the 'Email Address' containment reference list.
`static int` | `USER_TYPE__EXTERNAL_IDENTIFIER` The feature id for the 'External Identifier' containment reference list.
`static int` | `USER_TYPE__HOME` The feature id for the 'Home' attribute.
`static int` | `USER_TYPE__ID` The feature id for the 'Id' attribute.
`static int` | `USER_TYPE__LID` The feature id for the 'Lid' attribute.
`static int` | `USER_TYPE__NAME` The feature id for the 'Name' containment reference.
`static int` | `USER_TYPE__OBJECT_TYPE` The feature id for the 'Object Type' attribute.
`static int` | `USER_TYPE__PERSON_NAME` The feature id for the 'Person Name' containment reference.
`static int` | `USER_TYPE__SLOT` The feature id for the 'Slot' containment reference list.
`static int` | `USER_TYPE__STATUS` The feature id for the 'Status' attribute.
`static int` | `USER_TYPE__TELEPHONE_NUMBER` The feature id for the 'Telephone Number' containment reference list.
`static int` | `USER_TYPE__VERSION_INFO` The feature id for the 'Version Info' containment reference.
`static int` | `USER_TYPE_FEATURE_COUNT` The number of structural features of the 'User Type' class.
`static int` | `VALUE_LIST_TYPE` The meta object id for the '`Value List Type`' class.
`static int` | `VALUE_LIST_TYPE__GROUP` The feature id for the 'Group' attribute list.
`static int` | `VALUE_LIST_TYPE__VALUE` The feature id for the 'Value' attribute list.
`static int` | `VALUE_LIST_TYPE_FEATURE_COUNT` The number of structural features of the 'Value List Type' class.
`static int` | `VERSION_INFO_TYPE` The meta object id for the '`Version Info Type`' class.
`static int` | `VERSION_INFO_TYPE__COMMENT` The feature id for the 'Comment' attribute.
`static int` | `VERSION_INFO_TYPE__VERSION_NAME` The feature id for the 'Version Name' attribute.
`static int` | `VERSION_INFO_TYPE_FEATURE_COUNT` The number of structural features of the 'Version Info Type' class.

Method Summary
`org.eclipse.emf.ecore.EClass` | `getActionType()` Returns the meta object for class '`Action Type`'.
`org.eclipse.emf.ecore.EReference` | `getAdhocQueryType_QueryExpression()` Returns the meta object for the containment reference '`Query Expression`'.
`org.eclipse.emf.ecore.EClass` | `getAdhocQueryType()` Returns the meta object for class '`Adhoc Query Type`'.
`org.eclipse.emf.ecore.EAttribute` | `getAssociationType1_AssociationType()` Returns the meta object for the attribute '`Association Type`'.
`org.eclipse.emf.ecore.EAttribute` | `getAssociationType1_SourceObject()` Returns the meta object for the attribute '`Source Object`'.
`org.eclipse.emf.ecore.EAttribute` | `getAssociationType1_TargetObject()` Returns the meta object for the attribute '`Target Object`'.
`org.eclipse.emf.ecore.EClass` | `getAssociationType1()` Returns the meta object for class '`Association Type1`'.
`org.eclipse.emf.ecore.EReference` | `getAuditableEventType_AffectedObjects()` Returns the meta object for the containment reference '`Affected Objects`'.
`org.eclipse.emf.ecore.EAttribute` | `getAuditableEventType_EventType()` Returns the meta object for the attribute '`Event Type`'.
`org.eclipse.emf.ecore.EAttribute` | `getAuditableEventType_RequestId()` Returns the meta object for the attribute '`Request Id`'.
`org.eclipse.emf.ecore.EAttribute` | `getAuditableEventType_Timestamp()` Returns the meta object for the attribute '`Timestamp`'.
`org.eclipse.emf.ecore.EAttribute` | `getAuditableEventType_User()` Returns the meta object for the attribute '`User`'.
`org.eclipse.emf.ecore.EClass` | `getAuditableEventType()` Returns the meta object for class '`Auditable Event Type`'.
`org.eclipse.emf.ecore.EReference` | `getClassificationNodeType_ClassificationNode()` Returns the meta object for the containment reference list '`Classification Node`'.
`org.eclipse.emf.ecore.EAttribute` | `getClassificationNodeType_Code()` Returns the meta object for the attribute '`Code`'.
`org.eclipse.emf.ecore.EAttribute` | `getClassificationNodeType_Parent()` Returns the meta object for the attribute '`Parent`'.
`org.eclipse.emf.ecore.EAttribute` | `getClassificationNodeType_Path()` Returns the meta object for the attribute '`Path`'.
`org.eclipse.emf.ecore.EClass` | `getClassificationNodeType()` Returns the meta object for class '`Classification Node Type`'.
`org.eclipse.emf.ecore.EReference` | `getClassificationSchemeType_ClassificationNode()` Returns the meta object for the containment reference list '`Classification Node`'.
`org.eclipse.emf.ecore.EAttribute` | `getClassificationSchemeType_IsInternal()` Returns the meta object for the attribute '`Is Internal`'.
`org.eclipse.emf.ecore.EAttribute` | `getClassificationSchemeType_NodeType()` Returns the meta object for the attribute '`Node Type`'.
`org.eclipse.emf.ecore.EClass` | `getClassificationSchemeType()` Returns the meta object for class '`Classification Scheme Type`'.
`org.eclipse.emf.ecore.EAttribute` | `getClassificationType_ClassificationNode()` Returns the meta object for the attribute '`Classification Node`'.
`org.eclipse.emf.ecore.EAttribute` | `getClassificationType_ClassificationScheme()` Returns the meta object for the attribute '`Classification Scheme`'.
`org.eclipse.emf.ecore.EAttribute` | `getClassificationType_ClassifiedObject()` Returns the meta object for the attribute '`Classified Object`'.
`org.eclipse.emf.ecore.EAttribute` | `getClassificationType_NodeRepresentation()` Returns the meta object for the attribute '`Node Representation`'.
`org.eclipse.emf.ecore.EClass` | `getClassificationType()` Returns the meta object for class '`Classification Type`'.
`org.eclipse.emf.ecore.EEnum` | `getConformanceProfileType()` Returns the meta object for enum '`Conformance Profile Type`'.
`org.eclipse.emf.ecore.EDataType` | `getConformanceProfileTypeObject()` Returns the meta object for data type '`Conformance Profile Type Object`'.
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_Action()` Returns the meta object for the containment reference '`Action`'.
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_Address()` Returns the meta object for the containment reference '`Address`'.
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_AdhocQuery()` Returns the meta object for the containment reference '`Adhoc Query`'.
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_Association()` Returns the meta object for the containment reference '`Association`'.
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_AuditableEvent()` Returns the meta object for the containment reference '`Auditable Event`'.
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_Classification()` Returns the meta object for the containment reference '`Classification`'.
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_ClassificationNode()` Returns the meta object for the containment reference '`Classification Node`'.
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_ClassificationScheme()` Returns the meta object for the containment reference '`Classification Scheme`'.
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_Description()` Returns the meta object for the containment reference '`Description`'.
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_EmailAddress()` Returns the meta object for the containment reference '`Email Address`'.
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_ExternalIdentifier()` Returns the meta object for the containment reference '`External Identifier`'.
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_ExternalLink()` Returns the meta object for the containment reference '`External Link`'.
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_ExtrinsicObject()` Returns the meta object for the containment reference '`Extrinsic Object`'.
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_Federation()` Returns the meta object for the containment reference '`Federation`'.
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_Identifiable()` Returns the meta object for the containment reference '`Identifiable`'.
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_InternationalString()` Returns the meta object for the containment reference '`International String`'.
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_LocalizedString()` Returns the meta object for the containment reference '`Localized String`'.
`org.eclipse.emf.ecore.EAttribute` | `getDocumentRoot_Mixed()` Returns the meta object for the attribute list '`Mixed`'.
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_Name()` Returns the meta object for the containment reference '`Name`'.
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_Notification()` Returns the meta object for the containment reference '`Notification`'.
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_NotifyAction()` Returns the meta object for the containment reference '`Notify Action`'.
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_ObjectRef()` Returns the meta object for the containment reference '`Object Ref`'.
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_ObjectRefList()` Returns the meta object for the containment reference '`Object Ref List`'.
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_Organization()` Returns the meta object for the containment reference '`Organization`'.
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_Person()` Returns the meta object for the containment reference '`Person`'.
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_PersonName()` Returns the meta object for the containment reference '`Person Name`'.
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_PostalAddress()` Returns the meta object for the containment reference '`Postal Address`'.
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_QueryExpression()` Returns the meta object for the containment reference '`Query Expression`'.
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_Registry()` Returns the meta object for the containment reference '`Registry`'.
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_RegistryObject()` Returns the meta object for the containment reference '`Registry Object`'.
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_RegistryObjectList()` Returns the meta object for the containment reference '`Registry Object List`'.
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_RegistryPackage()` Returns the meta object for the containment reference '`Registry Package`'.
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_Service()` Returns the meta object for the containment reference '`Service`'.
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_ServiceBinding()` Returns the meta object for the containment reference '`Service Binding`'.
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_Slot()` Returns the meta object for the containment reference '`Slot`'.
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_SlotList()` Returns the meta object for the containment reference '`Slot List`'.
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_SpecificationLink()` Returns the meta object for the containment reference '`Specification Link`'.
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_Subscription()` Returns the meta object for the containment reference '`Subscription`'.
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_TelephoneNumber()` Returns the meta object for the containment reference '`Telephone Number`'.
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_UsageDescription()` Returns the meta object for the containment reference '`Usage Description`'.
`org.eclipse.emf.ecore.EAttribute` | `getDocumentRoot_UsageParameter()` Returns the meta object for the attribute '`Usage Parameter`'.
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_User()` Returns the meta object for the containment reference '`User`'.
`org.eclipse.emf.ecore.EAttribute` | `getDocumentRoot_Value()` Returns the meta object for the attribute '`Value`'.
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_ValueList()` Returns the meta object for the containment reference '`Value List`'.
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_XMLNSPrefixMap()` Returns the meta object for the map '`XMLNS Prefix Map`'.
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_XSISchemaLocation()` Returns the meta object for the map '`XSI Schema Location`'.
`org.eclipse.emf.ecore.EClass` | `getDocumentRoot()` Returns the meta object for class '`Document Root`'.
`org.eclipse.emf.ecore.EAttribute` | `getEmailAddressType_Address()` Returns the meta object for the attribute '`Address`'.
`org.eclipse.emf.ecore.EAttribute` | `getEmailAddressType_Type()` Returns the meta object for the attribute '`Type`'.
`org.eclipse.emf.ecore.EClass` | `getEmailAddressType()` Returns the meta object for class '`Email Address Type`'.
`org.eclipse.emf.ecore.EAttribute` | `getExternalIdentifierType_IdentificationScheme()` Returns the meta object for the attribute '`Identification Scheme`'.
`org.eclipse.emf.ecore.EAttribute` | `getExternalIdentifierType_RegistryObject()` Returns the meta object for the attribute '`Registry Object`'.
`org.eclipse.emf.ecore.EAttribute` | `getExternalIdentifierType_Value()` Returns the meta object for the attribute '`Value`'.
`org.eclipse.emf.ecore.EClass` | `getExternalIdentifierType()` Returns the meta object for class '`External Identifier Type`'.
`org.eclipse.emf.ecore.EAttribute` | `getExternalLinkType_ExternalURI()` Returns the meta object for the attribute '`External URI`'.
`org.eclipse.emf.ecore.EClass` | `getExternalLinkType()` Returns the meta object for class '`External Link Type`'.
`org.eclipse.emf.ecore.EReference` | `getExtrinsicObjectType_ContentVersionInfo()` Returns the meta object for the containment reference '`Content Version Info`'.
`org.eclipse.emf.ecore.EAttribute` | `getExtrinsicObjectType_IsOpaque()` Returns the meta object for the attribute '`Is Opaque`'.
`org.eclipse.emf.ecore.EAttribute` | `getExtrinsicObjectType_MimeType()` Returns the meta object for the attribute '`Mime Type`'.
`org.eclipse.emf.ecore.EClass` | `getExtrinsicObjectType()` Returns the meta object for class '`Extrinsic Object Type`'.
`org.eclipse.emf.ecore.EAttribute` | `getFederationType_ReplicationSyncLatency()` Returns the meta object for the attribute '`Replication Sync Latency`'.
`org.eclipse.emf.ecore.EClass` | `getFederationType()` Returns the meta object for class '`Federation Type`'.
`org.eclipse.emf.ecore.EDataType` | `getFreeFormText()` Returns the meta object for data type '`Free Form Text`'.
`org.eclipse.emf.ecore.EAttribute` | `getIdentifiableType_Home()` Returns the meta object for the attribute '`Home`'.
`org.eclipse.emf.ecore.EAttribute` | `getIdentifiableType_Id()` Returns the meta object for the attribute '`Id`'.
`org.eclipse.emf.ecore.EReference` | `getIdentifiableType_Slot()` Returns the meta object for the containment reference list '`Slot`'.
`org.eclipse.emf.ecore.EClass` | `getIdentifiableType()` Returns the meta object for class '`Identifiable Type`'.
`org.eclipse.emf.ecore.EAttribute` | `getInternationalStringType_Group()` Returns the meta object for the attribute list '`Group`'.
`org.eclipse.emf.ecore.EReference` | `getInternationalStringType_LocalizedString()` Returns the meta object for the containment reference list '`Localized String`'.
`org.eclipse.emf.ecore.EClass` | `getInternationalStringType()` Returns the meta object for class '`International String Type`'.
`org.eclipse.emf.ecore.EAttribute` | `getLocalizedStringType_Charset()` Returns the meta object for the attribute '`Charset`'.
`org.eclipse.emf.ecore.EAttribute` | `getLocalizedStringType_Lang()` Returns the meta object for the attribute '`Lang`'.
`org.eclipse.emf.ecore.EAttribute` | `getLocalizedStringType_Value()` Returns the meta object for the attribute '`Value`'.
`org.eclipse.emf.ecore.EClass` | `getLocalizedStringType()` Returns the meta object for class '`Localized String Type`'.
`org.eclipse.emf.ecore.EDataType` | `getLongName()` Returns the meta object for data type '`Long Name`'.
`org.eclipse.emf.ecore.EReference` | `getNotificationType_RegistryObjectList()` Returns the meta object for the containment reference '`Registry Object List`'.
`org.eclipse.emf.ecore.EAttribute` | `getNotificationType_Subscription()` Returns the meta object for the attribute '`Subscription`'.
`org.eclipse.emf.ecore.EClass` | `getNotificationType()` Returns the meta object for class '`Notification Type`'.
`org.eclipse.emf.ecore.EAttribute` | `getNotifyActionType_EndPoint()` Returns the meta object for the attribute '`End Point`'.
`org.eclipse.emf.ecore.EAttribute` | `getNotifyActionType_NotificationOption()` Returns the meta object for the attribute '`Notification Option`'.
`org.eclipse.emf.ecore.EClass` | `getNotifyActionType()` Returns the meta object for class '`Notify Action Type`'.
`org.eclipse.emf.ecore.EAttribute` | `getObjectRefListType_Group()` Returns the meta object for the attribute list '`Group`'.
`org.eclipse.emf.ecore.EReference` | `getObjectRefListType_ObjectRef()` Returns the meta object for the containment reference list '`Object Ref`'.
`org.eclipse.emf.ecore.EClass` | `getObjectRefListType()` Returns the meta object for class '`Object Ref List Type`'.
`org.eclipse.emf.ecore.EAttribute` | `getObjectRefType_CreateReplica()` Returns the meta object for the attribute '`Create Replica`'.
`org.eclipse.emf.ecore.EClass` | `getObjectRefType()` Returns the meta object for class '`Object Ref Type`'.
`org.eclipse.emf.ecore.EReference` | `getOrganizationType_Address()` Returns the meta object for the containment reference list '`Address`'.
`org.eclipse.emf.ecore.EReference` | `getOrganizationType_EmailAddress()` Returns the meta object for the containment reference list '`Email Address`'.
`org.eclipse.emf.ecore.EAttribute` | `getOrganizationType_Parent()` Returns the meta object for the attribute '`Parent`'.
`org.eclipse.emf.ecore.EAttribute` | `getOrganizationType_PrimaryContact()` Returns the meta object for the attribute '`Primary Contact`'.
`org.eclipse.emf.ecore.EReference` | `getOrganizationType_TelephoneNumber()` Returns the meta object for the containment reference list '`Telephone Number`'.
`org.eclipse.emf.ecore.EClass` | `getOrganizationType()` Returns the meta object for class '`Organization Type`'.
`org.eclipse.emf.ecore.EAttribute` | `getPersonNameType_FirstName()` Returns the meta object for the attribute '`First Name`'.
`org.eclipse.emf.ecore.EAttribute` | `getPersonNameType_LastName()` Returns the meta object for the attribute '`Last Name`'.
`org.eclipse.emf.ecore.EAttribute` | `getPersonNameType_MiddleName()` Returns the meta object for the attribute '`Middle Name`'.
`org.eclipse.emf.ecore.EClass` | `getPersonNameType()` Returns the meta object for class '`Person Name Type`'.
`org.eclipse.emf.ecore.EReference` | `getPersonType_Address()` Returns the meta object for the containment reference list '`Address`'.
`org.eclipse.emf.ecore.EReference` | `getPersonType_EmailAddress()` Returns the meta object for the containment reference list '`Email Address`'.
`org.eclipse.emf.ecore.EReference` | `getPersonType_PersonName()` Returns the meta object for the containment reference '`Person Name`'.
`org.eclipse.emf.ecore.EReference` | `getPersonType_TelephoneNumber()` Returns the meta object for the containment reference list '`Telephone Number`'.
`org.eclipse.emf.ecore.EClass` | `getPersonType()` Returns the meta object for class '`Person Type`'.
`org.eclipse.emf.ecore.EAttribute` | `getPostalAddressType_City()` Returns the meta object for the attribute '`City`'.
`org.eclipse.emf.ecore.EAttribute` | `getPostalAddressType_Country()` Returns the meta object for the attribute '`Country`'.
`org.eclipse.emf.ecore.EAttribute` | `getPostalAddressType_PostalCode()` Returns the meta object for the attribute '`Postal Code`'.
`org.eclipse.emf.ecore.EAttribute` | `getPostalAddressType_StateOrProvince()` Returns the meta object for the attribute '`State Or Province`'.
`org.eclipse.emf.ecore.EAttribute` | `getPostalAddressType_Street()` Returns the meta object for the attribute '`Street`'.
`org.eclipse.emf.ecore.EAttribute` | `getPostalAddressType_StreetNumber()` Returns the meta object for the attribute '`Street Number`'.
`org.eclipse.emf.ecore.EClass` | `getPostalAddressType()` Returns the meta object for class '`Postal Address Type`'.
`org.eclipse.emf.ecore.EAttribute` | `getQueryExpressionType_Any()` Returns the meta object for the attribute list '`Any`'.
`org.eclipse.emf.ecore.EAttribute` | `getQueryExpressionType_Mixed()` Returns the meta object for the attribute list '`Mixed`'.
`org.eclipse.emf.ecore.EAttribute` | `getQueryExpressionType_QueryLanguage()` Returns the meta object for the attribute '`Query Language`'.
`org.eclipse.emf.ecore.EClass` | `getQueryExpressionType()` Returns the meta object for class '`Query Expression Type`'.
`org.eclipse.emf.ecore.EDataType` | `getReferenceURI()` Returns the meta object for data type '`Reference URI`'.
`org.eclipse.emf.ecore.EReference` | `getRegistryObjectListType_Identifiable()` Returns the meta object for the containment reference list '`Identifiable`'.
`org.eclipse.emf.ecore.EAttribute` | `getRegistryObjectListType_IdentifiableGroup()` Returns the meta object for the attribute list '`Identifiable Group`'.
`org.eclipse.emf.ecore.EClass` | `getRegistryObjectListType()` Returns the meta object for class '`Registry Object List Type`'.
`org.eclipse.emf.ecore.EReference` | `getRegistryObjectType_Classification()` Returns the meta object for the containment reference list '`Classification`'.
`org.eclipse.emf.ecore.EReference` | `getRegistryObjectType_Description()` Returns the meta object for the containment reference '`Description`'.
`org.eclipse.emf.ecore.EReference` | `getRegistryObjectType_ExternalIdentifier()` Returns the meta object for the containment reference list '`External Identifier`'.
`org.eclipse.emf.ecore.EAttribute` | `getRegistryObjectType_Lid()` Returns the meta object for the attribute '`Lid`'.
`org.eclipse.emf.ecore.EReference` | `getRegistryObjectType_Name()` Returns the meta object for the containment reference '`Name`'.
`org.eclipse.emf.ecore.EAttribute` | `getRegistryObjectType_ObjectType()` Returns the meta object for the attribute '`Object Type`'.
`org.eclipse.emf.ecore.EAttribute` | `getRegistryObjectType_Status()` Returns the meta object for the attribute '`Status`'.
`org.eclipse.emf.ecore.EReference` | `getRegistryObjectType_VersionInfo()` Returns the meta object for the containment reference '`Version Info`'.
`org.eclipse.emf.ecore.EClass` | `getRegistryObjectType()` Returns the meta object for class '`Registry Object Type`'.
`org.eclipse.emf.ecore.EReference` | `getRegistryPackageType_RegistryObjectList()` Returns the meta object for the containment reference '`Registry Object List`'.
`org.eclipse.emf.ecore.EClass` | `getRegistryPackageType()` Returns the meta object for class '`Registry Package Type`'.
`org.eclipse.emf.ecore.EAttribute` | `getRegistryType_CatalogingLatency()` Returns the meta object for the attribute '`Cataloging Latency`'.
`org.eclipse.emf.ecore.EAttribute` | `getRegistryType_ConformanceProfile()` Returns the meta object for the attribute '`Conformance Profile`'.
`org.eclipse.emf.ecore.EAttribute` | `getRegistryType_Operator()` Returns the meta object for the attribute '`Operator`'.
`org.eclipse.emf.ecore.EAttribute` | `getRegistryType_ReplicationSyncLatency()` Returns the meta object for the attribute '`Replication Sync Latency`'.
`org.eclipse.emf.ecore.EAttribute` | `getRegistryType_SpecificationVersion()` Returns the meta object for the attribute '`Specification Version`'.
`org.eclipse.emf.ecore.EClass` | `getRegistryType()` Returns the meta object for class '`Registry Type`'.
`RimFactory` | `getRimFactory()` Returns the factory that creates the instances of the model.
`org.eclipse.emf.ecore.EAttribute` | `getServiceBindingType_AccessURI()` Returns the meta object for the attribute '`Access URI`'.
`org.eclipse.emf.ecore.EAttribute` | `getServiceBindingType_Service()` Returns the meta object for the attribute '`Service`'.
`org.eclipse.emf.ecore.EReference` | `getServiceBindingType_SpecificationLink()` Returns the meta object for the containment reference list '`Specification Link`'.
`org.eclipse.emf.ecore.EAttribute` | `getServiceBindingType_TargetBinding()` Returns the meta object for the attribute '`Target Binding`'.
`org.eclipse.emf.ecore.EClass` | `getServiceBindingType()` Returns the meta object for class '`Service Binding Type`'.
`org.eclipse.emf.ecore.EReference` | `getServiceType_ServiceBinding()` Returns the meta object for the containment reference list '`Service Binding`'.
`org.eclipse.emf.ecore.EClass` | `getServiceType()` Returns the meta object for class '`Service Type`'.
`org.eclipse.emf.ecore.EDataType` | `getShortName()` Returns the meta object for data type '`Short Name`'.
`org.eclipse.emf.ecore.EReference` | `getSlotListType_Slot()` Returns the meta object for the containment reference list '`Slot`'.
`org.eclipse.emf.ecore.EClass` | `getSlotListType()` Returns the meta object for class '`Slot List Type`'.
`org.eclipse.emf.ecore.EAttribute` | `getSlotType1_Name()` Returns the meta object for the attribute '`Name`'.
`org.eclipse.emf.ecore.EAttribute` | `getSlotType1_SlotType()` Returns the meta object for the attribute '`Slot Type`'.
`org.eclipse.emf.ecore.EReference` | `getSlotType1_ValueList()` Returns the meta object for the containment reference '`Value List`'.
`org.eclipse.emf.ecore.EClass` | `getSlotType1()` Returns the meta object for class '`Slot Type1`'.
`org.eclipse.emf.ecore.EAttribute` | `getSpecificationLinkType_ServiceBinding()` Returns the meta object for the attribute '`Service Binding`'.
`org.eclipse.emf.ecore.EAttribute` | `getSpecificationLinkType_SpecificationObject()` Returns the meta object for the attribute '`Specification Object`'.
`org.eclipse.emf.ecore.EReference` | `getSpecificationLinkType_UsageDescription()` Returns the meta object for the containment reference '`Usage Description`'.
`org.eclipse.emf.ecore.EAttribute` | `getSpecificationLinkType_UsageParameter()` Returns the meta object for the attribute list '`Usage Parameter`'.
`org.eclipse.emf.ecore.EClass` | `getSpecificationLinkType()` Returns the meta object for class '`Specification Link Type`'.
`org.eclipse.emf.ecore.EDataType` | `getString16()` Returns the meta object for data type '`String16`'.
`org.eclipse.emf.ecore.EDataType` | `getString32()` Returns the meta object for data type '`String32`'.
`org.eclipse.emf.ecore.EDataType` | `getString4()` Returns the meta object for data type '`String4`'.
`org.eclipse.emf.ecore.EDataType` | `getString8()` Returns the meta object for data type '`String8`'.
`org.eclipse.emf.ecore.EReference` | `getSubscriptionType_Action()` Returns the meta object for the containment reference list '`Action`'.
`org.eclipse.emf.ecore.EAttribute` | `getSubscriptionType_ActionGroup()` Returns the meta object for the attribute list '`Action Group`'.
`org.eclipse.emf.ecore.EAttribute` | `getSubscriptionType_EndTime()` Returns the meta object for the attribute '`End Time`'.
`org.eclipse.emf.ecore.EAttribute` | `getSubscriptionType_NotificationInterval()` Returns the meta object for the attribute '`Notification Interval`'.
`org.eclipse.emf.ecore.EAttribute` | `getSubscriptionType_Selector()` Returns the meta object for the attribute '`Selector`'.
`org.eclipse.emf.ecore.EAttribute` | `getSubscriptionType_StartTime()` Returns the meta object for the attribute '`Start Time`'.
`org.eclipse.emf.ecore.EClass` | `getSubscriptionType()` Returns the meta object for class '`Subscription Type`'.
`org.eclipse.emf.ecore.EReference` | `getTelephoneNumberListType_TelephoneNumber()` Returns the meta object for the containment reference list '`Telephone Number`'.
`org.eclipse.emf.ecore.EClass` | `getTelephoneNumberListType()` Returns the meta object for class '`Telephone Number List Type`'.
`org.eclipse.emf.ecore.EAttribute` | `getTelephoneNumberType_AreaCode()` Returns the meta object for the attribute '`Area Code`'.
`org.eclipse.emf.ecore.EAttribute` | `getTelephoneNumberType_CountryCode()` Returns the meta object for the attribute '`Country Code`'.
`org.eclipse.emf.ecore.EAttribute` | `getTelephoneNumberType_Extension()` Returns the meta object for the attribute '`Extension`'.
`org.eclipse.emf.ecore.EAttribute` | `getTelephoneNumberType_Number()` Returns the meta object for the attribute '`Number`'.
`org.eclipse.emf.ecore.EAttribute` | `getTelephoneNumberType_PhoneType()` Returns the meta object for the attribute '`Phone Type`'.
`org.eclipse.emf.ecore.EClass` | `getTelephoneNumberType()` Returns the meta object for class '`Telephone Number Type`'.
`org.eclipse.emf.ecore.EClass` | `getUserType()` Returns the meta object for class '`User Type`'.
`org.eclipse.emf.ecore.EAttribute` | `getValueListType_Group()` Returns the meta object for the attribute list '`Group`'.
`org.eclipse.emf.ecore.EAttribute` | `getValueListType_Value()` Returns the meta object for the attribute list '`Value`'.
`org.eclipse.emf.ecore.EClass` | `getValueListType()` Returns the meta object for class '`Value List Type`'.
`org.eclipse.emf.ecore.EAttribute` | `getVersionInfoType_Comment()` Returns the meta object for the attribute '`Comment`'.
`org.eclipse.emf.ecore.EAttribute` | `getVersionInfoType_VersionName()` Returns the meta object for the attribute '`Version Name`'.
`org.eclipse.emf.ecore.EClass` | `getVersionInfoType()` Returns the meta object for class '`Version Info Type`'.

Methods inherited from interface org.eclipse.emf.ecore.EPackage
`getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### eNAME

    static final java.lang.String eNAME

  The package name.

  See Also:
    Constant Field Values

### eNS_URI

    static final java.lang.String eNS_URI

  The package namespace URI.

  See Also:
    Constant Field Values

### eNS_PREFIX

    static final java.lang.String eNS_PREFIX

  The package namespace name.

  See Also:
    Constant Field Values

### eINSTANCE

    static final RimPackage eINSTANCE

  The singleton instance of the package.

### ACTION_TYPE

    static final int ACTION_TYPE

  The meta object id for the '`Action Type`' class.

  See Also:
    `ActionTypeImpl`, `RimPackageImpl.getActionType()`, Constant Field Values

### ACTION_TYPE_FEATURE_COUNT

    static final int ACTION_TYPE_FEATURE_COUNT

  The number of structural features of the 'Action Type' class.

  See Also:
    Constant Field Values

### IDENTIFIABLE_TYPE

    static final int IDENTIFIABLE_TYPE

  The meta object id for the '`Identifiable Type`' class.

  See Also:
    `IdentifiableTypeImpl`, `RimPackageImpl.getIdentifiableType()`, Constant Field Values

### IDENTIFIABLE_TYPE__SLOT

    static final int IDENTIFIABLE_TYPE__SLOT

  The feature id for the 'Slot' containment reference list.

  See Also:
    Constant Field Values

### IDENTIFIABLE_TYPE__HOME

    static final int IDENTIFIABLE_TYPE__HOME

  The feature id for the 'Home' attribute.

  See Also:
    Constant Field Values

### IDENTIFIABLE_TYPE__ID

    static final int IDENTIFIABLE_TYPE__ID

  The feature id for the 'Id' attribute.

  See Also:
    Constant Field Values

### IDENTIFIABLE_TYPE_FEATURE_COUNT

    static final int IDENTIFIABLE_TYPE_FEATURE_COUNT

  The number of structural features of the 'Identifiable Type' class.

  See Also:
    Constant Field Values

### REGISTRY_OBJECT_TYPE

    static final int REGISTRY_OBJECT_TYPE

  The meta object id for the '`Registry Object Type`' class.

  See Also:
    `RegistryObjectTypeImpl`, `RimPackageImpl.getRegistryObjectType()`, Constant Field Values

### REGISTRY_OBJECT_TYPE__SLOT

    static final int REGISTRY_OBJECT_TYPE__SLOT

  The feature id for the 'Slot' containment reference list.

  See Also:
    Constant Field Values

### REGISTRY_OBJECT_TYPE__HOME

    static final int REGISTRY_OBJECT_TYPE__HOME

  The feature id for the 'Home' attribute.

  See Also:
    Constant Field Values

### REGISTRY_OBJECT_TYPE__ID

    static final int REGISTRY_OBJECT_TYPE__ID

  The feature id for the 'Id' attribute.

  See Also:
    Constant Field Values

### REGISTRY_OBJECT_TYPE__NAME

    static final int REGISTRY_OBJECT_TYPE__NAME

  The feature id for the 'Name' containment reference.

  See Also:
    Constant Field Values

### REGISTRY_OBJECT_TYPE__DESCRIPTION

    static final int REGISTRY_OBJECT_TYPE__DESCRIPTION

  The feature id for the 'Description' containment reference.

  See Also:
    Constant Field Values

### REGISTRY_OBJECT_TYPE__VERSION_INFO

    static final int REGISTRY_OBJECT_TYPE__VERSION_INFO

  The feature id for the 'Version Info' containment reference.

  See Also:
    Constant Field Values

### REGISTRY_OBJECT_TYPE__CLASSIFICATION

    static final int REGISTRY_OBJECT_TYPE__CLASSIFICATION

  The feature id for the 'Classification' containment reference list.

  See Also:
    Constant Field Values

### REGISTRY_OBJECT_TYPE__EXTERNAL_IDENTIFIER

    static final int REGISTRY_OBJECT_TYPE__EXTERNAL_IDENTIFIER

  The feature id for the 'External Identifier' containment reference list.

  See Also:
    Constant Field Values

### REGISTRY_OBJECT_TYPE__LID

    static final int REGISTRY_OBJECT_TYPE__LID

  The feature id for the 'Lid' attribute.

  See Also:
    Constant Field Values

### REGISTRY_OBJECT_TYPE__OBJECT_TYPE

    static final int REGISTRY_OBJECT_TYPE__OBJECT_TYPE

  The feature id for the 'Object Type' attribute.

  See Also:
    Constant Field Values

### REGISTRY_OBJECT_TYPE__STATUS

    static final int REGISTRY_OBJECT_TYPE__STATUS

  The feature id for the 'Status' attribute.

  See Also:
    Constant Field Values

### REGISTRY_OBJECT_TYPE_FEATURE_COUNT

    static final int REGISTRY_OBJECT_TYPE_FEATURE_COUNT

  The number of structural features of the 'Registry Object Type' class.

  See Also:
    Constant Field Values

### ADHOC_QUERY_TYPE

    static final int ADHOC_QUERY_TYPE

  The meta object id for the '`Adhoc Query Type`' class.

  See Also:
    `AdhocQueryTypeImpl`, `RimPackageImpl.getAdhocQueryType()`, Constant Field Values

### ADHOC_QUERY_TYPE__SLOT

    static final int ADHOC_QUERY_TYPE__SLOT

  The feature id for the 'Slot' containment reference list.

  See Also:
    Constant Field Values

### ADHOC_QUERY_TYPE__HOME

    static final int ADHOC_QUERY_TYPE__HOME

  The feature id for the 'Home' attribute.

  See Also:
    Constant Field Values

### ADHOC_QUERY_TYPE__ID

    static final int ADHOC_QUERY_TYPE__ID

  The feature id for the 'Id' attribute.

  See Also:
    Constant Field Values

### ADHOC_QUERY_TYPE__NAME

    static final int ADHOC_QUERY_TYPE__NAME

  The feature id for the 'Name' containment reference.

  See Also:
    Constant Field Values

### ADHOC_QUERY_TYPE__DESCRIPTION

    static final int ADHOC_QUERY_TYPE__DESCRIPTION

  The feature id for the 'Description' containment reference.

  See Also:
    Constant Field Values

### ADHOC_QUERY_TYPE__VERSION_INFO

    static final int ADHOC_QUERY_TYPE__VERSION_INFO

  The feature id for the 'Version Info' containment reference.

  See Also:
    Constant Field Values

### ADHOC_QUERY_TYPE__CLASSIFICATION

    static final int ADHOC_QUERY_TYPE__CLASSIFICATION

  The feature id for the 'Classification' containment reference list.

  See Also:
    Constant Field Values

### ADHOC_QUERY_TYPE__EXTERNAL_IDENTIFIER

    static final int ADHOC_QUERY_TYPE__EXTERNAL_IDENTIFIER

  The feature id for the 'External Identifier' containment reference list.

  See Also:
    Constant Field Values

### ADHOC_QUERY_TYPE__LID

    static final int ADHOC_QUERY_TYPE__LID

  The feature id for the 'Lid' attribute.

  See Also:
    Constant Field Values

### ADHOC_QUERY_TYPE__OBJECT_TYPE

    static final int ADHOC_QUERY_TYPE__OBJECT_TYPE

  The feature id for the 'Object Type' attribute.

  See Also:
    Constant Field Values

### ADHOC_QUERY_TYPE__STATUS

    static final int ADHOC_QUERY_TYPE__STATUS

  The feature id for the 'Status' attribute.

  See Also:
    Constant Field Values

### ADHOC_QUERY_TYPE__QUERY_EXPRESSION

    static final int ADHOC_QUERY_TYPE__QUERY_EXPRESSION

  The feature id for the 'Query Expression' containment reference.

  See Also:
    Constant Field Values

### ADHOC_QUERY_TYPE_FEATURE_COUNT

    static final int ADHOC_QUERY_TYPE_FEATURE_COUNT

  The number of structural features of the 'Adhoc Query Type' class.

  See Also:
    Constant Field Values

### ASSOCIATION_TYPE1

    static final int ASSOCIATION_TYPE1

  The meta object id for the '`Association Type1`' class.

  See Also:
    `AssociationType1Impl`, `RimPackageImpl.getAssociationType1()`, Constant Field Values

### ASSOCIATION_TYPE1__SLOT

    static final int ASSOCIATION_TYPE1__SLOT

  The feature id for the 'Slot' containment reference list.

  See Also:
    Constant Field Values

### ASSOCIATION_TYPE1__HOME

    static final int ASSOCIATION_TYPE1__HOME

  The feature id for the 'Home' attribute.

  See Also:
    Constant Field Values

### ASSOCIATION_TYPE1__ID

    static final int ASSOCIATION_TYPE1__ID

  The feature id for the 'Id' attribute.

  See Also:
    Constant Field Values

### ASSOCIATION_TYPE1__NAME

    static final int ASSOCIATION_TYPE1__NAME

  The feature id for the 'Name' containment reference.

  See Also:
    Constant Field Values

### ASSOCIATION_TYPE1__DESCRIPTION

    static final int ASSOCIATION_TYPE1__DESCRIPTION

  The feature id for the 'Description' containment reference.

  See Also:
    Constant Field Values

### ASSOCIATION_TYPE1__VERSION_INFO

    static final int ASSOCIATION_TYPE1__VERSION_INFO

  The feature id for the 'Version Info' containment reference.

  See Also:
    Constant Field Values

### ASSOCIATION_TYPE1__CLASSIFICATION

    static final int ASSOCIATION_TYPE1__CLASSIFICATION

  The feature id for the 'Classification' containment reference list.

  See Also:
    Constant Field Values

### ASSOCIATION_TYPE1__EXTERNAL_IDENTIFIER

    static final int ASSOCIATION_TYPE1__EXTERNAL_IDENTIFIER

  The feature id for the 'External Identifier' containment reference list.

  See Also:
    Constant Field Values

### ASSOCIATION_TYPE1__LID

    static final int ASSOCIATION_TYPE1__LID

  The feature id for the 'Lid' attribute.

  See Also:
    Constant Field Values

### ASSOCIATION_TYPE1__OBJECT_TYPE

    static final int ASSOCIATION_TYPE1__OBJECT_TYPE

  The feature id for the 'Object Type' attribute.

  See Also:
    Constant Field Values

### ASSOCIATION_TYPE1__STATUS

    static final int ASSOCIATION_TYPE1__STATUS

  The feature id for the 'Status' attribute.

  See Also:
    Constant Field Values

### ASSOCIATION_TYPE1__ASSOCIATION_TYPE

    static final int ASSOCIATION_TYPE1__ASSOCIATION_TYPE

  The feature id for the 'Association Type' attribute.

  See Also:
    Constant Field Values

### ASSOCIATION_TYPE1__SOURCE_OBJECT

    static final int ASSOCIATION_TYPE1__SOURCE_OBJECT

  The feature id for the 'Source Object' attribute.

  See Also:
    Constant Field Values

### ASSOCIATION_TYPE1__TARGET_OBJECT

    static final int ASSOCIATION_TYPE1__TARGET_OBJECT

  The feature id for the 'Target Object' attribute.

  See Also:
    Constant Field Values

### ASSOCIATION_TYPE1_FEATURE_COUNT

    static final int ASSOCIATION_TYPE1_FEATURE_COUNT

  The number of structural features of the 'Association Type1' class.

  See Also:
    Constant Field Values

### AUDITABLE_EVENT_TYPE

    static final int AUDITABLE_EVENT_TYPE

  The meta object id for the '`Auditable Event Type`' class.

  See Also:
    `AuditableEventTypeImpl`, `RimPackageImpl.getAuditableEventType()`, Constant Field Values

### AUDITABLE_EVENT_TYPE__SLOT

    static final int AUDITABLE_EVENT_TYPE__SLOT

  The feature id for the 'Slot' containment reference list.

  See Also:
    Constant Field Values

### AUDITABLE_EVENT_TYPE__HOME

    static final int AUDITABLE_EVENT_TYPE__HOME

  The feature id for the 'Home' attribute.

  See Also:
    Constant Field Values

### AUDITABLE_EVENT_TYPE__ID

    static final int AUDITABLE_EVENT_TYPE__ID

  The feature id for the 'Id' attribute.

  See Also:
    Constant Field Values

### AUDITABLE_EVENT_TYPE__NAME

    static final int AUDITABLE_EVENT_TYPE__NAME

  The feature id for the 'Name' containment reference.

  See Also:
    Constant Field Values

### AUDITABLE_EVENT_TYPE__DESCRIPTION

    static final int AUDITABLE_EVENT_TYPE__DESCRIPTION

  The feature id for the 'Description' containment reference.

  See Also:
    Constant Field Values

### AUDITABLE_EVENT_TYPE__VERSION_INFO

    static final int AUDITABLE_EVENT_TYPE__VERSION_INFO

  The feature id for the 'Version Info' containment reference.

  See Also:
    Constant Field Values

### AUDITABLE_EVENT_TYPE__CLASSIFICATION

    static final int AUDITABLE_EVENT_TYPE__CLASSIFICATION

  The feature id for the 'Classification' containment reference list.

  See Also:
    Constant Field Values

### AUDITABLE_EVENT_TYPE__EXTERNAL_IDENTIFIER

    static final int AUDITABLE_EVENT_TYPE__EXTERNAL_IDENTIFIER

  The feature id for the 'External Identifier' containment reference list.

  See Also:
    Constant Field Values

### AUDITABLE_EVENT_TYPE__LID

    static final int AUDITABLE_EVENT_TYPE__LID

  The feature id for the 'Lid' attribute.

  See Also:
    Constant Field Values

### AUDITABLE_EVENT_TYPE__OBJECT_TYPE

    static final int AUDITABLE_EVENT_TYPE__OBJECT_TYPE

  The feature id for the 'Object Type' attribute.

  See Also:
    Constant Field Values

### AUDITABLE_EVENT_TYPE__STATUS

    static final int AUDITABLE_EVENT_TYPE__STATUS

  The feature id for the 'Status' attribute.

  See Also:
    Constant Field Values

### AUDITABLE_EVENT_TYPE__AFFECTED_OBJECTS

    static final int AUDITABLE_EVENT_TYPE__AFFECTED_OBJECTS

  The feature id for the 'Affected Objects' containment reference.

  See Also:
    Constant Field Values

### AUDITABLE_EVENT_TYPE__EVENT_TYPE

    static final int AUDITABLE_EVENT_TYPE__EVENT_TYPE

  The feature id for the 'Event Type' attribute.

  See Also:
    Constant Field Values

### AUDITABLE_EVENT_TYPE__REQUEST_ID

    static final int AUDITABLE_EVENT_TYPE__REQUEST_ID

  The feature id for the 'Request Id' attribute.

  See Also:
    Constant Field Values

### AUDITABLE_EVENT_TYPE__TIMESTAMP

    static final int AUDITABLE_EVENT_TYPE__TIMESTAMP

  The feature id for the 'Timestamp' attribute.

  See Also:
    Constant Field Values

### AUDITABLE_EVENT_TYPE__USER

    static final int AUDITABLE_EVENT_TYPE__USER

  The feature id for the 'User' attribute.

  See Also:
    Constant Field Values

### AUDITABLE_EVENT_TYPE_FEATURE_COUNT

    static final int AUDITABLE_EVENT_TYPE_FEATURE_COUNT

  The number of structural features of the 'Auditable Event Type' class.

  See Also:
    Constant Field Values

### CLASSIFICATION_NODE_TYPE

    static final int CLASSIFICATION_NODE_TYPE

  The meta object id for the '`Classification Node Type`' class.

  See Also:
    `ClassificationNodeTypeImpl`, `RimPackageImpl.getClassificationNodeType()`, Constant Field Values

### CLASSIFICATION_NODE_TYPE__SLOT

    static final int CLASSIFICATION_NODE_TYPE__SLOT

  The feature id for the 'Slot' containment reference list.

  See Also:
    Constant Field Values

### CLASSIFICATION_NODE_TYPE__HOME

    static final int CLASSIFICATION_NODE_TYPE__HOME

  The feature id for the 'Home' attribute.

  See Also:
    Constant Field Values

### CLASSIFICATION_NODE_TYPE__ID

    static final int CLASSIFICATION_NODE_TYPE__ID

  The feature id for the 'Id' attribute.

  See Also:
    Constant Field Values

### CLASSIFICATION_NODE_TYPE__NAME

    static final int CLASSIFICATION_NODE_TYPE__NAME

  The feature id for the 'Name' containment reference.

  See Also:
    Constant Field Values

### CLASSIFICATION_NODE_TYPE__DESCRIPTION

    static final int CLASSIFICATION_NODE_TYPE__DESCRIPTION

  The feature id for the 'Description' containment reference.

  See Also:
    Constant Field Values

### CLASSIFICATION_NODE_TYPE__VERSION_INFO

    static final int CLASSIFICATION_NODE_TYPE__VERSION_INFO

  The feature id for the 'Version Info' containment reference.

  See Also:
    Constant Field Values

### CLASSIFICATION_NODE_TYPE__CLASSIFICATION

    static final int CLASSIFICATION_NODE_TYPE__CLASSIFICATION

  The feature id for the 'Classification' containment reference list.

  See Also:
    Constant Field Values

### CLASSIFICATION_NODE_TYPE__EXTERNAL_IDENTIFIER

    static final int CLASSIFICATION_NODE_TYPE__EXTERNAL_IDENTIFIER

  The feature id for the 'External Identifier' containment reference list.

  See Also:
    Constant Field Values

### CLASSIFICATION_NODE_TYPE__LID

    static final int CLASSIFICATION_NODE_TYPE__LID

  The feature id for the 'Lid' attribute.

  See Also:
    Constant Field Values

### CLASSIFICATION_NODE_TYPE__OBJECT_TYPE

    static final int CLASSIFICATION_NODE_TYPE__OBJECT_TYPE

  The feature id for the 'Object Type' attribute.

  See Also:
    Constant Field Values

### CLASSIFICATION_NODE_TYPE__STATUS

    static final int CLASSIFICATION_NODE_TYPE__STATUS

  The feature id for the 'Status' attribute.

  See Also:
    Constant Field Values

### CLASSIFICATION_NODE_TYPE__CLASSIFICATION_NODE

    static final int CLASSIFICATION_NODE_TYPE__CLASSIFICATION_NODE

  The feature id for the 'Classification Node' containment reference list.

  See Also:
    Constant Field Values

### CLASSIFICATION_NODE_TYPE__CODE

    static final int CLASSIFICATION_NODE_TYPE__CODE

  The feature id for the 'Code' attribute.

  See Also:
    Constant Field Values

### CLASSIFICATION_NODE_TYPE__PARENT

    static final int CLASSIFICATION_NODE_TYPE__PARENT

  The feature id for the 'Parent' attribute.

  See Also:
    Constant Field Values

### CLASSIFICATION_NODE_TYPE__PATH

    static final int CLASSIFICATION_NODE_TYPE__PATH

  The feature id for the 'Path' attribute.

  See Also:
    Constant Field Values

### CLASSIFICATION_NODE_TYPE_FEATURE_COUNT

    static final int CLASSIFICATION_NODE_TYPE_FEATURE_COUNT

  The number of structural features of the 'Classification Node Type' class.

  See Also:
    Constant Field Values

### CLASSIFICATION_SCHEME_TYPE

    static final int CLASSIFICATION_SCHEME_TYPE

  The meta object id for the '`Classification Scheme Type`' class.

  See Also:
    `ClassificationSchemeTypeImpl`, `RimPackageImpl.getClassificationSchemeType()`, Constant Field Values

### CLASSIFICATION_SCHEME_TYPE__SLOT

    static final int CLASSIFICATION_SCHEME_TYPE__SLOT

  The feature id for the 'Slot' containment reference list.

  See Also:
    Constant Field Values

### CLASSIFICATION_SCHEME_TYPE__HOME

    static final int CLASSIFICATION_SCHEME_TYPE__HOME

  The feature id for the 'Home' attribute.

  See Also:
    Constant Field Values

### CLASSIFICATION_SCHEME_TYPE__ID

    static final int CLASSIFICATION_SCHEME_TYPE__ID

  The feature id for the 'Id' attribute.

  See Also:
    Constant Field Values

### CLASSIFICATION_SCHEME_TYPE__NAME

    static final int CLASSIFICATION_SCHEME_TYPE__NAME

  The feature id for the 'Name' containment reference.

  See Also:
    Constant Field Values

### CLASSIFICATION_SCHEME_TYPE__DESCRIPTION

    static final int CLASSIFICATION_SCHEME_TYPE__DESCRIPTION

  The feature id for the 'Description' containment reference.

  See Also:
    Constant Field Values

### CLASSIFICATION_SCHEME_TYPE__VERSION_INFO

    static final int CLASSIFICATION_SCHEME_TYPE__VERSION_INFO

  The feature id for the 'Version Info' containment reference.

  See Also:
    Constant Field Values

### CLASSIFICATION_SCHEME_TYPE__CLASSIFICATION

    static final int CLASSIFICATION_SCHEME_TYPE__CLASSIFICATION

  The feature id for the 'Classification' containment reference list.

  See Also:
    Constant Field Values

### CLASSIFICATION_SCHEME_TYPE__EXTERNAL_IDENTIFIER

    static final int CLASSIFICATION_SCHEME_TYPE__EXTERNAL_IDENTIFIER

  The feature id for the 'External Identifier' containment reference list.

  See Also:
    Constant Field Values

### CLASSIFICATION_SCHEME_TYPE__LID

    static final int CLASSIFICATION_SCHEME_TYPE__LID

  The feature id for the 'Lid' attribute.

  See Also:
    Constant Field Values

### CLASSIFICATION_SCHEME_TYPE__OBJECT_TYPE

    static final int CLASSIFICATION_SCHEME_TYPE__OBJECT_TYPE

  The feature id for the 'Object Type' attribute.

  See Also:
    Constant Field Values

### CLASSIFICATION_SCHEME_TYPE__STATUS

    static final int CLASSIFICATION_SCHEME_TYPE__STATUS

  The feature id for the 'Status' attribute.

  See Also:
    Constant Field Values

### CLASSIFICATION_SCHEME_TYPE__CLASSIFICATION_NODE

    static final int CLASSIFICATION_SCHEME_TYPE__CLASSIFICATION_NODE

  The feature id for the 'Classification Node' containment reference list.

  See Also:
    Constant Field Values

### CLASSIFICATION_SCHEME_TYPE__IS_INTERNAL

    static final int CLASSIFICATION_SCHEME_TYPE__IS_INTERNAL

  The feature id for the 'Is Internal' attribute.

  See Also:
    Constant Field Values

### CLASSIFICATION_SCHEME_TYPE__NODE_TYPE

    static final int CLASSIFICATION_SCHEME_TYPE__NODE_TYPE

  The feature id for the 'Node Type' attribute.

  See Also:
    Constant Field Values

### CLASSIFICATION_SCHEME_TYPE_FEATURE_COUNT

    static final int CLASSIFICATION_SCHEME_TYPE_FEATURE_COUNT

  The number of structural features of the 'Classification Scheme Type' class.

  See Also:
    Constant Field Values

### CLASSIFICATION_TYPE

    static final int CLASSIFICATION_TYPE

  The meta object id for the '`Classification Type`' class.

  See Also:
    `ClassificationTypeImpl`, `RimPackageImpl.getClassificationType()`, Constant Field Values

### CLASSIFICATION_TYPE__SLOT

    static final int CLASSIFICATION_TYPE__SLOT

  The feature id for the 'Slot' containment reference list.

  See Also:
    Constant Field Values

### CLASSIFICATION_TYPE__HOME

    static final int CLASSIFICATION_TYPE__HOME

  The feature id for the 'Home' attribute.

  See Also:
    Constant Field Values

### CLASSIFICATION_TYPE__ID

    static final int CLASSIFICATION_TYPE__ID

  The feature id for the 'Id' attribute.

  See Also:
    Constant Field Values

### CLASSIFICATION_TYPE__NAME

    static final int CLASSIFICATION_TYPE__NAME

  The feature id for the 'Name' containment reference.

  See Also:
    Constant Field Values

### CLASSIFICATION_TYPE__DESCRIPTION

    static final int CLASSIFICATION_TYPE__DESCRIPTION

  The feature id for the 'Description' containment reference.

  See Also:
    Constant Field Values

### CLASSIFICATION_TYPE__VERSION_INFO

    static final int CLASSIFICATION_TYPE__VERSION_INFO

  The feature id for the 'Version Info' containment reference.

  See Also:
    Constant Field Values

### CLASSIFICATION_TYPE__CLASSIFICATION

    static final int CLASSIFICATION_TYPE__CLASSIFICATION

  The feature id for the 'Classification' containment reference list.

  See Also:
    Constant Field Values

### CLASSIFICATION_TYPE__EXTERNAL_IDENTIFIER

    static final int CLASSIFICATION_TYPE__EXTERNAL_IDENTIFIER

  The feature id for the 'External Identifier' containment reference list.

  See Also:
    Constant Field Values

### CLASSIFICATION_TYPE__LID

    static final int CLASSIFICATION_TYPE__LID

  The feature id for the 'Lid' attribute.

  See Also:
    Constant Field Values

### CLASSIFICATION_TYPE__OBJECT_TYPE

    static final int CLASSIFICATION_TYPE__OBJECT_TYPE

  The feature id for the 'Object Type' attribute.

  See Also:
    Constant Field Values

### CLASSIFICATION_TYPE__STATUS

    static final int CLASSIFICATION_TYPE__STATUS

  The feature id for the 'Status' attribute.

  See Also:
    Constant Field Values

### CLASSIFICATION_TYPE__CLASSIFICATION_NODE

    static final int CLASSIFICATION_TYPE__CLASSIFICATION_NODE

  The feature id for the 'Classification Node' attribute.

  See Also:
    Constant Field Values

### CLASSIFICATION_TYPE__CLASSIFICATION_SCHEME

    static final int CLASSIFICATION_TYPE__CLASSIFICATION_SCHEME

  The feature id for the 'Classification Scheme' attribute.

  See Also:
    Constant Field Values

### CLASSIFICATION_TYPE__CLASSIFIED_OBJECT

    static final int CLASSIFICATION_TYPE__CLASSIFIED_OBJECT

  The feature id for the 'Classified Object' attribute.

  See Also:
    Constant Field Values

### CLASSIFICATION_TYPE__NODE_REPRESENTATION

    static final int CLASSIFICATION_TYPE__NODE_REPRESENTATION

  The feature id for the 'Node Representation' attribute.

  See Also:
    Constant Field Values

### CLASSIFICATION_TYPE_FEATURE_COUNT

    static final int CLASSIFICATION_TYPE_FEATURE_COUNT

  The number of structural features of the 'Classification Type' class.

  See Also:
    Constant Field Values

### DOCUMENT_ROOT

    static final int DOCUMENT_ROOT

  The meta object id for the '`Document Root`' class.

  See Also:
    `DocumentRootImpl`, `RimPackageImpl.getDocumentRoot()`, Constant Field Values

### DOCUMENT_ROOT__MIXED

    static final int DOCUMENT_ROOT__MIXED

  The feature id for the 'Mixed' attribute list.

  See Also:
    Constant Field Values

### DOCUMENT_ROOT__XMLNS_PREFIX_MAP

    static final int DOCUMENT_ROOT__XMLNS_PREFIX_MAP

  The feature id for the 'XMLNS Prefix Map' map.

  See Also:
    Constant Field Values

### DOCUMENT_ROOT__XSI_SCHEMA_LOCATION

    static final int DOCUMENT_ROOT__XSI_SCHEMA_LOCATION

  The feature id for the 'XSI Schema Location' map.

  See Also:
    Constant Field Values

### DOCUMENT_ROOT__ACTION

    static final int DOCUMENT_ROOT__ACTION

  The feature id for the 'Action' containment reference.

  See Also:
    Constant Field Values

### DOCUMENT_ROOT__ADDRESS

    static final int DOCUMENT_ROOT__ADDRESS

  The feature id for the 'Address' containment reference.

  See Also:
    Constant Field Values

### DOCUMENT_ROOT__ADHOC_QUERY

    static final int DOCUMENT_ROOT__ADHOC_QUERY

  The feature id for the 'Adhoc Query' containment reference.

  See Also:
    Constant Field Values

### DOCUMENT_ROOT__REGISTRY_OBJECT

    static final int DOCUMENT_ROOT__REGISTRY_OBJECT

  The feature id for the 'Registry Object' containment reference.

  See Also:
    Constant Field Values

### DOCUMENT_ROOT__IDENTIFIABLE

    static final int DOCUMENT_ROOT__IDENTIFIABLE

  The feature id for the 'Identifiable' containment reference.

  See Also:
    Constant Field Values

### DOCUMENT_ROOT__ASSOCIATION

    static final int DOCUMENT_ROOT__ASSOCIATION

  The feature id for the 'Association' containment reference.

  See Also:
    Constant Field Values

### DOCUMENT_ROOT__AUDITABLE_EVENT

    static final int DOCUMENT_ROOT__AUDITABLE_EVENT

  The feature id for the 'Auditable Event' containment reference.

  See Also:
    Constant Field Values

### DOCUMENT_ROOT__CLASSIFICATION

    static final int DOCUMENT_ROOT__CLASSIFICATION

  The feature id for the 'Classification' containment reference.

  See Also:
    Constant Field Values

### DOCUMENT_ROOT__CLASSIFICATION_NODE

    static final int DOCUMENT_ROOT__CLASSIFICATION_NODE

  The feature id for the 'Classification Node' containment reference.

  See Also:
    Constant Field Values

### DOCUMENT_ROOT__CLASSIFICATION_SCHEME

    static final int DOCUMENT_ROOT__CLASSIFICATION_SCHEME

  The feature id for the 'Classification Scheme' containment reference.

  See Also:
    Constant Field Values

### DOCUMENT_ROOT__DESCRIPTION

    static final int DOCUMENT_ROOT__DESCRIPTION

  The feature id for the 'Description' containment reference.

  See Also:
    Constant Field Values

### DOCUMENT_ROOT__EMAIL_ADDRESS

    static final int DOCUMENT_ROOT__EMAIL_ADDRESS

  The feature id for the 'Email Address' containment reference.

  See Also:
    Constant Field Values

### DOCUMENT_ROOT__EXTERNAL_IDENTIFIER

    static final int DOCUMENT_ROOT__EXTERNAL_IDENTIFIER

  The feature id for the 'External Identifier' containment reference.

  See Also:
    Constant Field Values

### DOCUMENT_ROOT__EXTERNAL_LINK

    static final int DOCUMENT_ROOT__EXTERNAL_LINK

  The feature id for the 'External Link' containment reference.

  See Also:
    Constant Field Values

### DOCUMENT_ROOT__EXTRINSIC_OBJECT

    static final int DOCUMENT_ROOT__EXTRINSIC_OBJECT

  The feature id for the 'Extrinsic Object' containment reference.

  See Also:
    Constant Field Values

### DOCUMENT_ROOT__FEDERATION

    static final int DOCUMENT_ROOT__FEDERATION

  The feature id for the 'Federation' containment reference.

  See Also:
    Constant Field Values

### DOCUMENT_ROOT__INTERNATIONAL_STRING

    static final int DOCUMENT_ROOT__INTERNATIONAL_STRING

  The feature id for the 'International String' containment reference.

  See Also:
    Constant Field Values

### DOCUMENT_ROOT__LOCALIZED_STRING

    static final int DOCUMENT_ROOT__LOCALIZED_STRING

  The feature id for the 'Localized String' containment reference.

  See Also:
    Constant Field Values

### DOCUMENT_ROOT__NAME

    static final int DOCUMENT_ROOT__NAME

  The feature id for the 'Name' containment reference.

  See Also:
    Constant Field Values

### DOCUMENT_ROOT__NOTIFICATION

    static final int DOCUMENT_ROOT__NOTIFICATION

  The feature id for the 'Notification' containment reference.

  See Also:
    Constant Field Values

### DOCUMENT_ROOT__NOTIFY_ACTION

    static final int DOCUMENT_ROOT__NOTIFY_ACTION

  The feature id for the 'Notify Action' containment reference.

  See Also:
    Constant Field Values

### DOCUMENT_ROOT__OBJECT_REF

    static final int DOCUMENT_ROOT__OBJECT_REF

  The feature id for the 'Object Ref' containment reference.

  See Also:
    Constant Field Values

### DOCUMENT_ROOT__OBJECT_REF_LIST

    static final int DOCUMENT_ROOT__OBJECT_REF_LIST

  The feature id for the 'Object Ref List' containment reference.

  See Also:
    Constant Field Values

### DOCUMENT_ROOT__ORGANIZATION

    static final int DOCUMENT_ROOT__ORGANIZATION

  The feature id for the 'Organization' containment reference.

  See Also:
    Constant Field Values

### DOCUMENT_ROOT__PERSON

    static final int DOCUMENT_ROOT__PERSON

  The feature id for the 'Person' containment reference.

  See Also:
    Constant Field Values

### DOCUMENT_ROOT__PERSON_NAME

    static final int DOCUMENT_ROOT__PERSON_NAME

  The feature id for the 'Person Name' containment reference.

  See Also:
    Constant Field Values

### DOCUMENT_ROOT__POSTAL_ADDRESS

    static final int DOCUMENT_ROOT__POSTAL_ADDRESS

  The feature id for the 'Postal Address' containment reference.

  See Also:
    Constant Field Values

### DOCUMENT_ROOT__QUERY_EXPRESSION

    static final int DOCUMENT_ROOT__QUERY_EXPRESSION

  The feature id for the 'Query Expression' containment reference.

  See Also:
    Constant Field Values

### DOCUMENT_ROOT__REGISTRY

    static final int DOCUMENT_ROOT__REGISTRY

  The feature id for the 'Registry' containment reference.

  See Also:
    Constant Field Values

### DOCUMENT_ROOT__REGISTRY_OBJECT_LIST

    static final int DOCUMENT_ROOT__REGISTRY_OBJECT_LIST

  The feature id for the 'Registry Object List' containment reference.

  See Also:
    Constant Field Values

### DOCUMENT_ROOT__REGISTRY_PACKAGE

    static final int DOCUMENT_ROOT__REGISTRY_PACKAGE

  The feature id for the 'Registry Package' containment reference.

  See Also:
    Constant Field Values

### DOCUMENT_ROOT__SERVICE

    static final int DOCUMENT_ROOT__SERVICE

  The feature id for the 'Service' containment reference.

  See Also:
    Constant Field Values

### DOCUMENT_ROOT__SERVICE_BINDING

    static final int DOCUMENT_ROOT__SERVICE_BINDING

  The feature id for the 'Service Binding' containment reference.

  See Also:
    Constant Field Values

### DOCUMENT_ROOT__SLOT

    static final int DOCUMENT_ROOT__SLOT

  The feature id for the 'Slot' containment reference.

  See Also:
    Constant Field Values

### DOCUMENT_ROOT__SLOT_LIST

    static final int DOCUMENT_ROOT__SLOT_LIST

  The feature id for the 'Slot List' containment reference.

  See Also:
    Constant Field Values

### DOCUMENT_ROOT__SPECIFICATION_LINK

    static final int DOCUMENT_ROOT__SPECIFICATION_LINK

  The feature id for the 'Specification Link' containment reference.

  See Also:
    Constant Field Values

### DOCUMENT_ROOT__SUBSCRIPTION

    static final int DOCUMENT_ROOT__SUBSCRIPTION

  The feature id for the 'Subscription' containment reference.

  See Also:
    Constant Field Values

### DOCUMENT_ROOT__TELEPHONE_NUMBER

    static final int DOCUMENT_ROOT__TELEPHONE_NUMBER

  The feature id for the 'Telephone Number' containment reference.

  See Also:
    Constant Field Values

### DOCUMENT_ROOT__USAGE_DESCRIPTION

    static final int DOCUMENT_ROOT__USAGE_DESCRIPTION

  The feature id for the 'Usage Description' containment reference.

  See Also:
    Constant Field Values

### DOCUMENT_ROOT__USAGE_PARAMETER

    static final int DOCUMENT_ROOT__USAGE_PARAMETER

  The feature id for the 'Usage Parameter' attribute.

  See Also:
    Constant Field Values

### DOCUMENT_ROOT__USER

    static final int DOCUMENT_ROOT__USER

  The feature id for the 'User' containment reference.

  See Also:
    Constant Field Values

### DOCUMENT_ROOT__VALUE

    static final int DOCUMENT_ROOT__VALUE

  The feature id for the 'Value' attribute.

  See Also:
    Constant Field Values

### DOCUMENT_ROOT__VALUE_LIST

    static final int DOCUMENT_ROOT__VALUE_LIST

  The feature id for the 'Value List' containment reference.

  See Also:
    Constant Field Values

### DOCUMENT_ROOT_FEATURE_COUNT

    static final int DOCUMENT_ROOT_FEATURE_COUNT

  The number of structural features of the 'Document Root' class.

  See Also:
    Constant Field Values

### EMAIL_ADDRESS_TYPE

    static final int EMAIL_ADDRESS_TYPE

  The meta object id for the '`Email Address Type`' class.

  See Also:
    `EmailAddressTypeImpl`, `RimPackageImpl.getEmailAddressType()`, Constant Field Values

### EMAIL_ADDRESS_TYPE__ADDRESS

    static final int EMAIL_ADDRESS_TYPE__ADDRESS

  The feature id for the 'Address' attribute.

  See Also:
    Constant Field Values

### EMAIL_ADDRESS_TYPE__TYPE

    static final int EMAIL_ADDRESS_TYPE__TYPE

  The feature id for the 'Type' attribute.

  See Also:
    Constant Field Values

### EMAIL_ADDRESS_TYPE_FEATURE_COUNT

    static final int EMAIL_ADDRESS_TYPE_FEATURE_COUNT

  The number of structural features of the 'Email Address Type' class.

  See Also:
    Constant Field Values

### EXTERNAL_IDENTIFIER_TYPE

    static final int EXTERNAL_IDENTIFIER_TYPE

  The meta object id for the '`External Identifier Type`' class.

  See Also:
    `ExternalIdentifierTypeImpl`, `RimPackageImpl.getExternalIdentifierType()`, Constant Field Values

### EXTERNAL_IDENTIFIER_TYPE__SLOT

    static final int EXTERNAL_IDENTIFIER_TYPE__SLOT

  The feature id for the 'Slot' containment reference list.

  See Also:
    Constant Field Values

### EXTERNAL_IDENTIFIER_TYPE__HOME

    static final int EXTERNAL_IDENTIFIER_TYPE__HOME

  The feature id for the 'Home' attribute.

  See Also:
    Constant Field Values

### EXTERNAL_IDENTIFIER_TYPE__ID

    static final int EXTERNAL_IDENTIFIER_TYPE__ID

  The feature id for the 'Id' attribute.

  See Also:
    Constant Field Values

### EXTERNAL_IDENTIFIER_TYPE__NAME

    static final int EXTERNAL_IDENTIFIER_TYPE__NAME

  The feature id for the 'Name' containment reference.

  See Also:
    Constant Field Values

### EXTERNAL_IDENTIFIER_TYPE__DESCRIPTION

    static final int EXTERNAL_IDENTIFIER_TYPE__DESCRIPTION

  The feature id for the 'Description' containment reference.

  See Also:
    Constant Field Values

### EXTERNAL_IDENTIFIER_TYPE__VERSION_INFO

    static final int EXTERNAL_IDENTIFIER_TYPE__VERSION_INFO

  The feature id for the 'Version Info' containment reference.

  See Also:
    Constant Field Values

### EXTERNAL_IDENTIFIER_TYPE__CLASSIFICATION

    static final int EXTERNAL_IDENTIFIER_TYPE__CLASSIFICATION

  The feature id for the 'Classification' containment reference list.

  See Also:
    Constant Field Values

### EXTERNAL_IDENTIFIER_TYPE__EXTERNAL_IDENTIFIER

    static final int EXTERNAL_IDENTIFIER_TYPE__EXTERNAL_IDENTIFIER

  The feature id for the 'External Identifier' containment reference list.

  See Also:
    Constant Field Values

### EXTERNAL_IDENTIFIER_TYPE__LID

    static final int EXTERNAL_IDENTIFIER_TYPE__LID

  The feature id for the 'Lid' attribute.

  See Also:
    Constant Field Values

### EXTERNAL_IDENTIFIER_TYPE__OBJECT_TYPE

    static final int EXTERNAL_IDENTIFIER_TYPE__OBJECT_TYPE

  The feature id for the 'Object Type' attribute.

  See Also:
    Constant Field Values

### EXTERNAL_IDENTIFIER_TYPE__STATUS

    static final int EXTERNAL_IDENTIFIER_TYPE__STATUS

  The feature id for the 'Status' attribute.

  See Also:
    Constant Field Values

### EXTERNAL_IDENTIFIER_TYPE__IDENTIFICATION_SCHEME

    static final int EXTERNAL_IDENTIFIER_TYPE__IDENTIFICATION_SCHEME

  The feature id for the 'Identification Scheme' attribute.

  See Also:
    Constant Field Values

### EXTERNAL_IDENTIFIER_TYPE__REGISTRY_OBJECT

    static final int EXTERNAL_IDENTIFIER_TYPE__REGISTRY_OBJECT

  The feature id for the 'Registry Object' attribute.

  See Also:
    Constant Field Values

### EXTERNAL_IDENTIFIER_TYPE__VALUE

    static final int EXTERNAL_IDENTIFIER_TYPE__VALUE

  The feature id for the 'Value' attribute.

  See Also:
    Constant Field Values

### EXTERNAL_IDENTIFIER_TYPE_FEATURE_COUNT

    static final int EXTERNAL_IDENTIFIER_TYPE_FEATURE_COUNT

  The number of structural features of the 'External Identifier Type' class.

  See Also:
    Constant Field Values

### EXTERNAL_LINK_TYPE

    static final int EXTERNAL_LINK_TYPE

  The meta object id for the '`External Link Type`' class.

  See Also:
    `ExternalLinkTypeImpl`, `RimPackageImpl.getExternalLinkType()`, Constant Field Values

### EXTERNAL_LINK_TYPE__SLOT

    static final int EXTERNAL_LINK_TYPE__SLOT

  The feature id for the 'Slot' containment reference list.

  See Also:
    Constant Field Values

### EXTERNAL_LINK_TYPE__HOME

    static final int EXTERNAL_LINK_TYPE__HOME

  The feature id for the 'Home' attribute.

  See Also:
    Constant Field Values

### EXTERNAL_LINK_TYPE__ID

    static final int EXTERNAL_LINK_TYPE__ID

  The feature id for the 'Id' attribute.

  See Also:
    Constant Field Values

### EXTERNAL_LINK_TYPE__NAME

    static final int EXTERNAL_LINK_TYPE__NAME

  The feature id for the 'Name' containment reference.

  See Also:
    Constant Field Values

### EXTERNAL_LINK_TYPE__DESCRIPTION

    static final int EXTERNAL_LINK_TYPE__DESCRIPTION

  The feature id for the 'Description' containment reference.

  See Also:
    Constant Field Values

### EXTERNAL_LINK_TYPE__VERSION_INFO

    static final int EXTERNAL_LINK_TYPE__VERSION_INFO

  The feature id for the 'Version Info' containment reference.

  See Also:
    Constant Field Values

### EXTERNAL_LINK_TYPE__CLASSIFICATION

    static final int EXTERNAL_LINK_TYPE__CLASSIFICATION

  The feature id for the 'Classification' containment reference list.

  See Also:
    Constant Field Values

### EXTERNAL_LINK_TYPE__EXTERNAL_IDENTIFIER

    static final int EXTERNAL_LINK_TYPE__EXTERNAL_IDENTIFIER

  The feature id for the 'External Identifier' containment reference list.

  See Also:
    Constant Field Values

### EXTERNAL_LINK_TYPE__LID

    static final int EXTERNAL_LINK_TYPE__LID

  The feature id for the 'Lid' attribute.

  See Also:
    Constant Field Values

### EXTERNAL_LINK_TYPE__OBJECT_TYPE

    static final int EXTERNAL_LINK_TYPE__OBJECT_TYPE

  The feature id for the 'Object Type' attribute.

  See Also:
    Constant Field Values

### EXTERNAL_LINK_TYPE__STATUS

    static final int EXTERNAL_LINK_TYPE__STATUS

  The feature id for the 'Status' attribute.

  See Also:
    Constant Field Values

### EXTERNAL_LINK_TYPE__EXTERNAL_URI

    static final int EXTERNAL_LINK_TYPE__EXTERNAL_URI

  The feature id for the 'External URI' attribute.

  See Also:
    Constant Field Values

### EXTERNAL_LINK_TYPE_FEATURE_COUNT

    static final int EXTERNAL_LINK_TYPE_FEATURE_COUNT

  The number of structural features of the 'External Link Type' class.

  See Also:
    Constant Field Values

### EXTRINSIC_OBJECT_TYPE

    static final int EXTRINSIC_OBJECT_TYPE

  The meta object id for the '`Extrinsic Object Type`' class.

  See Also:
    `ExtrinsicObjectTypeImpl`, `RimPackageImpl.getExtrinsicObjectType()`, Constant Field Values

### EXTRINSIC_OBJECT_TYPE__SLOT

    static final int EXTRINSIC_OBJECT_TYPE__SLOT

  The feature id for the 'Slot' containment reference list.

  See Also:
    Constant Field Values

### EXTRINSIC_OBJECT_TYPE__HOME

    static final int EXTRINSIC_OBJECT_TYPE__HOME

  The feature id for the 'Home' attribute.

  See Also:
    Constant Field Values

### EXTRINSIC_OBJECT_TYPE__ID

    static final int EXTRINSIC_OBJECT_TYPE__ID

  The feature id for the 'Id' attribute.

  See Also:
    Constant Field Values

### EXTRINSIC_OBJECT_TYPE__NAME

    static final int EXTRINSIC_OBJECT_TYPE__NAME

  The feature id for the 'Name' containment reference.

  See Also:
    Constant Field Values

### EXTRINSIC_OBJECT_TYPE__DESCRIPTION

    static final int EXTRINSIC_OBJECT_TYPE__DESCRIPTION

  The feature id for the 'Description' containment reference.

  See Also:
    Constant Field Values

### EXTRINSIC_OBJECT_TYPE__VERSION_INFO

    static final int EXTRINSIC_OBJECT_TYPE__VERSION_INFO

  The feature id for the 'Version Info' containment reference.

  See Also:
    Constant Field Values

### EXTRINSIC_OBJECT_TYPE__CLASSIFICATION

    static final int EXTRINSIC_OBJECT_TYPE__CLASSIFICATION

  The feature id for the 'Classification' containment reference list.

  See Also:
    Constant Field Values

### EXTRINSIC_OBJECT_TYPE__EXTERNAL_IDENTIFIER

    static final int EXTRINSIC_OBJECT_TYPE__EXTERNAL_IDENTIFIER

  The feature id for the 'External Identifier' containment reference list.

  See Also:
    Constant Field Values

### EXTRINSIC_OBJECT_TYPE__LID

    static final int EXTRINSIC_OBJECT_TYPE__LID

  The feature id for the 'Lid' attribute.

  See Also:
    Constant Field Values

### EXTRINSIC_OBJECT_TYPE__OBJECT_TYPE

    static final int EXTRINSIC_OBJECT_TYPE__OBJECT_TYPE

  The feature id for the 'Object Type' attribute.

  See Also:
    Constant Field Values

### EXTRINSIC_OBJECT_TYPE__STATUS

    static final int EXTRINSIC_OBJECT_TYPE__STATUS

  The feature id for the 'Status' attribute.

  See Also:
    Constant Field Values

### EXTRINSIC_OBJECT_TYPE__CONTENT_VERSION_INFO

    static final int EXTRINSIC_OBJECT_TYPE__CONTENT_VERSION_INFO

  The feature id for the 'Content Version Info' containment reference.

  See Also:
    Constant Field Values

### EXTRINSIC_OBJECT_TYPE__IS_OPAQUE

    static final int EXTRINSIC_OBJECT_TYPE__IS_OPAQUE

  The feature id for the 'Is Opaque' attribute.

  See Also:
    Constant Field Values

### EXTRINSIC_OBJECT_TYPE__MIME_TYPE

    static final int EXTRINSIC_OBJECT_TYPE__MIME_TYPE

  The feature id for the 'Mime Type' attribute.

  See Also:
    Constant Field Values

### EXTRINSIC_OBJECT_TYPE_FEATURE_COUNT

    static final int EXTRINSIC_OBJECT_TYPE_FEATURE_COUNT

  The number of structural features of the 'Extrinsic Object Type' class.

  See Also:
    Constant Field Values

### FEDERATION_TYPE

    static final int FEDERATION_TYPE

  The meta object id for the '`Federation Type`' class.

  See Also:
    `FederationTypeImpl`, `RimPackageImpl.getFederationType()`, Constant Field Values

### FEDERATION_TYPE__SLOT

    static final int FEDERATION_TYPE__SLOT

  The feature id for the 'Slot' containment reference list.

  See Also:
    Constant Field Values

### FEDERATION_TYPE__HOME

    static final int FEDERATION_TYPE__HOME

  The feature id for the 'Home' attribute.

  See Also:
    Constant Field Values

### FEDERATION_TYPE__ID

    static final int FEDERATION_TYPE__ID

  The feature id for the 'Id' attribute.

  See Also:
    Constant Field Values

### FEDERATION_TYPE__NAME

    static final int FEDERATION_TYPE__NAME

  The feature id for the 'Name' containment reference.

  See Also:
    Constant Field Values

### FEDERATION_TYPE__DESCRIPTION

    static final int FEDERATION_TYPE__DESCRIPTION

  The feature id for the 'Description' containment reference.

  See Also:
    Constant Field Values

### FEDERATION_TYPE__VERSION_INFO

    static final int FEDERATION_TYPE__VERSION_INFO

  The feature id for the 'Version Info' containment reference.

  See Also:
    Constant Field Values

### FEDERATION_TYPE__CLASSIFICATION

    static final int FEDERATION_TYPE__CLASSIFICATION

  The feature id for the 'Classification' containment reference list.

  See Also:
    Constant Field Values

### FEDERATION_TYPE__EXTERNAL_IDENTIFIER

    static final int FEDERATION_TYPE__EXTERNAL_IDENTIFIER

  The feature id for the 'External Identifier' containment reference list.

  See Also:
    Constant Field Values

### FEDERATION_TYPE__LID

    static final int FEDERATION_TYPE__LID

  The feature id for the 'Lid' attribute.

  See Also:
    Constant Field Values

### FEDERATION_TYPE__OBJECT_TYPE

    static final int FEDERATION_TYPE__OBJECT_TYPE

  The feature id for the 'Object Type' attribute.

  See Also:
    Constant Field Values

### FEDERATION_TYPE__STATUS

    static final int FEDERATION_TYPE__STATUS

  The feature id for the 'Status' attribute.

  See Also:
    Constant Field Values

### FEDERATION_TYPE__REPLICATION_SYNC_LATENCY

    static final int FEDERATION_TYPE__REPLICATION_SYNC_LATENCY

  The feature id for the 'Replication Sync Latency' attribute.

  See Also:
    Constant Field Values

### FEDERATION_TYPE_FEATURE_COUNT

    static final int FEDERATION_TYPE_FEATURE_COUNT

  The number of structural features of the 'Federation Type' class.

  See Also:
    Constant Field Values

### INTERNATIONAL_STRING_TYPE

    static final int INTERNATIONAL_STRING_TYPE

  The meta object id for the '`International String Type`' class.

  See Also:
    `InternationalStringTypeImpl`, `RimPackageImpl.getInternationalStringType()`, Constant Field Values

### INTERNATIONAL_STRING_TYPE__GROUP

    static final int INTERNATIONAL_STRING_TYPE__GROUP

  The feature id for the 'Group' attribute list.

  See Also:
    Constant Field Values

### INTERNATIONAL_STRING_TYPE__LOCALIZED_STRING

    static final int INTERNATIONAL_STRING_TYPE__LOCALIZED_STRING

  The feature id for the 'Localized String' containment reference list.

  See Also:
    Constant Field Values

### INTERNATIONAL_STRING_TYPE_FEATURE_COUNT

    static final int INTERNATIONAL_STRING_TYPE_FEATURE_COUNT

  The number of structural features of the 'International String Type' class.

  See Also:
    Constant Field Values

### LOCALIZED_STRING_TYPE

    static final int LOCALIZED_STRING_TYPE

  The meta object id for the '`Localized String Type`' class.

  See Also:
    `LocalizedStringTypeImpl`, `RimPackageImpl.getLocalizedStringType()`, Constant Field Values

### LOCALIZED_STRING_TYPE__CHARSET

    static final int LOCALIZED_STRING_TYPE__CHARSET

  The feature id for the 'Charset' attribute.

  See Also:
    Constant Field Values

### LOCALIZED_STRING_TYPE__LANG

    static final int LOCALIZED_STRING_TYPE__LANG

  The feature id for the 'Lang' attribute.

  See Also:
    Constant Field Values

### LOCALIZED_STRING_TYPE__VALUE

    static final int LOCALIZED_STRING_TYPE__VALUE

  The feature id for the 'Value' attribute.

  See Also:
    Constant Field Values

### LOCALIZED_STRING_TYPE_FEATURE_COUNT

    static final int LOCALIZED_STRING_TYPE_FEATURE_COUNT

  The number of structural features of the 'Localized String Type' class.

  See Also:
    Constant Field Values

### NOTIFICATION_TYPE

    static final int NOTIFICATION_TYPE

  The meta object id for the '`Notification Type`' class.

  See Also:
    `NotificationTypeImpl`, `RimPackageImpl.getNotificationType()`, Constant Field Values

### NOTIFICATION_TYPE__SLOT

    static final int NOTIFICATION_TYPE__SLOT

  The feature id for the 'Slot' containment reference list.

  See Also:
    Constant Field Values

### NOTIFICATION_TYPE__HOME

    static final int NOTIFICATION_TYPE__HOME

  The feature id for the 'Home' attribute.

  See Also:
    Constant Field Values

### NOTIFICATION_TYPE__ID

    static final int NOTIFICATION_TYPE__ID

  The feature id for the 'Id' attribute.

  See Also:
    Constant Field Values

### NOTIFICATION_TYPE__NAME

    static final int NOTIFICATION_TYPE__NAME

  The feature id for the 'Name' containment reference.

  See Also:
    Constant Field Values

### NOTIFICATION_TYPE__DESCRIPTION

    static final int NOTIFICATION_TYPE__DESCRIPTION

  The feature id for the 'Description' containment reference.

  See Also:
    Constant Field Values

### NOTIFICATION_TYPE__VERSION_INFO

    static final int NOTIFICATION_TYPE__VERSION_INFO

  The feature id for the 'Version Info' containment reference.

  See Also:
    Constant Field Values

### NOTIFICATION_TYPE__CLASSIFICATION

    static final int NOTIFICATION_TYPE__CLASSIFICATION

  The feature id for the 'Classification' containment reference list.

  See Also:
    Constant Field Values

### NOTIFICATION_TYPE__EXTERNAL_IDENTIFIER

    static final int NOTIFICATION_TYPE__EXTERNAL_IDENTIFIER

  The feature id for the 'External Identifier' containment reference list.

  See Also:
    Constant Field Values

### NOTIFICATION_TYPE__LID

    static final int NOTIFICATION_TYPE__LID

  The feature id for the 'Lid' attribute.

  See Also:
    Constant Field Values

### NOTIFICATION_TYPE__OBJECT_TYPE

    static final int NOTIFICATION_TYPE__OBJECT_TYPE

  The feature id for the 'Object Type' attribute.

  See Also:
    Constant Field Values

### NOTIFICATION_TYPE__STATUS

    static final int NOTIFICATION_TYPE__STATUS

  The feature id for the 'Status' attribute.

  See Also:
    Constant Field Values

### NOTIFICATION_TYPE__REGISTRY_OBJECT_LIST

    static final int NOTIFICATION_TYPE__REGISTRY_OBJECT_LIST

  The feature id for the 'Registry Object List' containment reference.

  See Also:
    Constant Field Values

### NOTIFICATION_TYPE__SUBSCRIPTION

    static final int NOTIFICATION_TYPE__SUBSCRIPTION

  The feature id for the 'Subscription' attribute.

  See Also:
    Constant Field Values

### NOTIFICATION_TYPE_FEATURE_COUNT

    static final int NOTIFICATION_TYPE_FEATURE_COUNT

  The number of structural features of the 'Notification Type' class.

  See Also:
    Constant Field Values

### NOTIFY_ACTION_TYPE

    static final int NOTIFY_ACTION_TYPE

  The meta object id for the '`Notify Action Type`' class.

  See Also:
    `NotifyActionTypeImpl`, `RimPackageImpl.getNotifyActionType()`, Constant Field Values

### NOTIFY_ACTION_TYPE__END_POINT

    static final int NOTIFY_ACTION_TYPE__END_POINT

  The feature id for the 'End Point' attribute.

  See Also:
    Constant Field Values

### NOTIFY_ACTION_TYPE__NOTIFICATION_OPTION

    static final int NOTIFY_ACTION_TYPE__NOTIFICATION_OPTION

  The feature id for the 'Notification Option' attribute.

  See Also:
    Constant Field Values

### NOTIFY_ACTION_TYPE_FEATURE_COUNT

    static final int NOTIFY_ACTION_TYPE_FEATURE_COUNT

  The number of structural features of the 'Notify Action Type' class.

  See Also:
    Constant Field Values

### OBJECT_REF_LIST_TYPE

    static final int OBJECT_REF_LIST_TYPE

  The meta object id for the '`Object Ref List Type`' class.

  See Also:
    `ObjectRefListTypeImpl`, `RimPackageImpl.getObjectRefListType()`, Constant Field Values

### OBJECT_REF_LIST_TYPE__GROUP

    static final int OBJECT_REF_LIST_TYPE__GROUP

  The feature id for the 'Group' attribute list.

  See Also:
    Constant Field Values

### OBJECT_REF_LIST_TYPE__OBJECT_REF

    static final int OBJECT_REF_LIST_TYPE__OBJECT_REF

  The feature id for the 'Object Ref' containment reference list.

  See Also:
    Constant Field Values

### OBJECT_REF_LIST_TYPE_FEATURE_COUNT

    static final int OBJECT_REF_LIST_TYPE_FEATURE_COUNT

  The number of structural features of the 'Object Ref List Type' class.

  See Also:
    Constant Field Values

### OBJECT_REF_TYPE

    static final int OBJECT_REF_TYPE

  The meta object id for the '`Object Ref Type`' class.

  See Also:
    `ObjectRefTypeImpl`, `RimPackageImpl.getObjectRefType()`, Constant Field Values

### OBJECT_REF_TYPE__SLOT

    static final int OBJECT_REF_TYPE__SLOT

  The feature id for the 'Slot' containment reference list.

  See Also:
    Constant Field Values

### OBJECT_REF_TYPE__HOME

    static final int OBJECT_REF_TYPE__HOME

  The feature id for the 'Home' attribute.

  See Also:
    Constant Field Values

### OBJECT_REF_TYPE__ID

    static final int OBJECT_REF_TYPE__ID

  The feature id for the 'Id' attribute.

  See Also:
    Constant Field Values

### OBJECT_REF_TYPE__CREATE_REPLICA

    static final int OBJECT_REF_TYPE__CREATE_REPLICA

  The feature id for the 'Create Replica' attribute.

  See Also:
    Constant Field Values

### OBJECT_REF_TYPE_FEATURE_COUNT

    static final int OBJECT_REF_TYPE_FEATURE_COUNT

  The number of structural features of the 'Object Ref Type' class.

  See Also:
    Constant Field Values

### ORGANIZATION_TYPE

    static final int ORGANIZATION_TYPE

  The meta object id for the '`Organization Type`' class.

  See Also:
    `OrganizationTypeImpl`, `RimPackageImpl.getOrganizationType()`, Constant Field Values

### ORGANIZATION_TYPE__SLOT

    static final int ORGANIZATION_TYPE__SLOT

  The feature id for the 'Slot' containment reference list.

  See Also:
    Constant Field Values

### ORGANIZATION_TYPE__HOME

    static final int ORGANIZATION_TYPE__HOME

  The feature id for the 'Home' attribute.

  See Also:
    Constant Field Values

### ORGANIZATION_TYPE__ID

    static final int ORGANIZATION_TYPE__ID

  The feature id for the 'Id' attribute.

  See Also:
    Constant Field Values

### ORGANIZATION_TYPE__NAME

    static final int ORGANIZATION_TYPE__NAME

  The feature id for the 'Name' containment reference.

  See Also:
    Constant Field Values

### ORGANIZATION_TYPE__DESCRIPTION

    static final int ORGANIZATION_TYPE__DESCRIPTION

  The feature id for the 'Description' containment reference.

  See Also:
    Constant Field Values

### ORGANIZATION_TYPE__VERSION_INFO

    static final int ORGANIZATION_TYPE__VERSION_INFO

  The feature id for the 'Version Info' containment reference.

  See Also:
    Constant Field Values

### ORGANIZATION_TYPE__CLASSIFICATION

    static final int ORGANIZATION_TYPE__CLASSIFICATION

  The feature id for the 'Classification' containment reference list.

  See Also:
    Constant Field Values

### ORGANIZATION_TYPE__EXTERNAL_IDENTIFIER

    static final int ORGANIZATION_TYPE__EXTERNAL_IDENTIFIER

  The feature id for the 'External Identifier' containment reference list.

  See Also:
    Constant Field Values

### ORGANIZATION_TYPE__LID

    static final int ORGANIZATION_TYPE__LID

  The feature id for the 'Lid' attribute.

  See Also:
    Constant Field Values

### ORGANIZATION_TYPE__OBJECT_TYPE

    static final int ORGANIZATION_TYPE__OBJECT_TYPE

  The feature id for the 'Object Type' attribute.

  See Also:
    Constant Field Values

### ORGANIZATION_TYPE__STATUS

    static final int ORGANIZATION_TYPE__STATUS

  The feature id for the 'Status' attribute.

  See Also:
    Constant Field Values

### ORGANIZATION_TYPE__ADDRESS

    static final int ORGANIZATION_TYPE__ADDRESS

  The feature id for the 'Address' containment reference list.

  See Also:
    Constant Field Values

### ORGANIZATION_TYPE__TELEPHONE_NUMBER

    static final int ORGANIZATION_TYPE__TELEPHONE_NUMBER

  The feature id for the 'Telephone Number' containment reference list.

  See Also:
    Constant Field Values

### ORGANIZATION_TYPE__EMAIL_ADDRESS

    static final int ORGANIZATION_TYPE__EMAIL_ADDRESS

  The feature id for the 'Email Address' containment reference list.

  See Also:
    Constant Field Values

### ORGANIZATION_TYPE__PARENT

    static final int ORGANIZATION_TYPE__PARENT

  The feature id for the 'Parent' attribute.

  See Also:
    Constant Field Values

### ORGANIZATION_TYPE__PRIMARY_CONTACT

    static final int ORGANIZATION_TYPE__PRIMARY_CONTACT

  The feature id for the 'Primary Contact' attribute.

  See Also:
    Constant Field Values

### ORGANIZATION_TYPE_FEATURE_COUNT

    static final int ORGANIZATION_TYPE_FEATURE_COUNT

  The number of structural features of the 'Organization Type' class.

  See Also:
    Constant Field Values

### PERSON_NAME_TYPE

    static final int PERSON_NAME_TYPE

  The meta object id for the '`Person Name Type`' class.

  See Also:
    `PersonNameTypeImpl`, `RimPackageImpl.getPersonNameType()`, Constant Field Values

### PERSON_NAME_TYPE__FIRST_NAME

    static final int PERSON_NAME_TYPE__FIRST_NAME

  The feature id for the 'First Name' attribute.

  See Also:
    Constant Field Values

### PERSON_NAME_TYPE__LAST_NAME

    static final int PERSON_NAME_TYPE__LAST_NAME

  The feature id for the 'Last Name' attribute.

  See Also:
    Constant Field Values

### PERSON_NAME_TYPE__MIDDLE_NAME

    static final int PERSON_NAME_TYPE__MIDDLE_NAME

  The feature id for the 'Middle Name' attribute.

  See Also:
    Constant Field Values

### PERSON_NAME_TYPE_FEATURE_COUNT

    static final int PERSON_NAME_TYPE_FEATURE_COUNT

  The number of structural features of the 'Person Name Type' class.

  See Also:
    Constant Field Values

### PERSON_TYPE

    static final int PERSON_TYPE

  The meta object id for the '`Person Type`' class.

  See Also:
    `PersonTypeImpl`, `RimPackageImpl.getPersonType()`, Constant Field Values

### PERSON_TYPE__SLOT

    static final int PERSON_TYPE__SLOT

  The feature id for the 'Slot' containment reference list.

  See Also:
    Constant Field Values

### PERSON_TYPE__HOME

    static final int PERSON_TYPE__HOME

  The feature id for the 'Home' attribute.

  See Also:
    Constant Field Values

### PERSON_TYPE__ID

    static final int PERSON_TYPE__ID

  The feature id for the 'Id' attribute.

  See Also:
    Constant Field Values

### PERSON_TYPE__NAME

    static final int PERSON_TYPE__NAME

  The feature id for the 'Name' containment reference.

  See Also:
    Constant Field Values

### PERSON_TYPE__DESCRIPTION

    static final int PERSON_TYPE__DESCRIPTION

  The feature id for the 'Description' containment reference.

  See Also:
    Constant Field Values

### PERSON_TYPE__VERSION_INFO

    static final int PERSON_TYPE__VERSION_INFO

  The feature id for the 'Version Info' containment reference.

  See Also:
    Constant Field Values

### PERSON_TYPE__CLASSIFICATION

    static final int PERSON_TYPE__CLASSIFICATION

  The feature id for the 'Classification' containment reference list.

  See Also:
    Constant Field Values

### PERSON_TYPE__EXTERNAL_IDENTIFIER

    static final int PERSON_TYPE__EXTERNAL_IDENTIFIER

  The feature id for the 'External Identifier' containment reference list.

  See Also:
    Constant Field Values

### PERSON_TYPE__LID

    static final int PERSON_TYPE__LID

  The feature id for the 'Lid' attribute.

  See Also:
    Constant Field Values

### PERSON_TYPE__OBJECT_TYPE

    static final int PERSON_TYPE__OBJECT_TYPE

  The feature id for the 'Object Type' attribute.

  See Also:
    Constant Field Values

### PERSON_TYPE__STATUS

    static final int PERSON_TYPE__STATUS

  The feature id for the 'Status' attribute.

  See Also:
    Constant Field Values

### PERSON_TYPE__ADDRESS

    static final int PERSON_TYPE__ADDRESS

  The feature id for the 'Address' containment reference list.

  See Also:
    Constant Field Values

### PERSON_TYPE__PERSON_NAME

    static final int PERSON_TYPE__PERSON_NAME

  The feature id for the 'Person Name' containment reference.

  See Also:
    Constant Field Values

### PERSON_TYPE__TELEPHONE_NUMBER

    static final int PERSON_TYPE__TELEPHONE_NUMBER

  The feature id for the 'Telephone Number' containment reference list.

  See Also:
    Constant Field Values

### PERSON_TYPE__EMAIL_ADDRESS

    static final int PERSON_TYPE__EMAIL_ADDRESS

  The feature id for the 'Email Address' containment reference list.

  See Also:
    Constant Field Values

### PERSON_TYPE_FEATURE_COUNT

    static final int PERSON_TYPE_FEATURE_COUNT

  The number of structural features of the 'Person Type' class.

  See Also:
    Constant Field Values

### POSTAL_ADDRESS_TYPE

    static final int POSTAL_ADDRESS_TYPE

  The meta object id for the '`Postal Address Type`' class.

  See Also:
    `PostalAddressTypeImpl`, `RimPackageImpl.getPostalAddressType()`, Constant Field Values

### POSTAL_ADDRESS_TYPE__CITY

    static final int POSTAL_ADDRESS_TYPE__CITY

  The feature id for the 'City' attribute.

  See Also:
    Constant Field Values

### POSTAL_ADDRESS_TYPE__COUNTRY

    static final int POSTAL_ADDRESS_TYPE__COUNTRY

  The feature id for the 'Country' attribute.

  See Also:
    Constant Field Values

### POSTAL_ADDRESS_TYPE__POSTAL_CODE

    static final int POSTAL_ADDRESS_TYPE__POSTAL_CODE

  The feature id for the 'Postal Code' attribute.

  See Also:
    Constant Field Values

### POSTAL_ADDRESS_TYPE__STATE_OR_PROVINCE

    static final int POSTAL_ADDRESS_TYPE__STATE_OR_PROVINCE

  The feature id for the 'State Or Province' attribute.

  See Also:
    Constant Field Values

### POSTAL_ADDRESS_TYPE__STREET

    static final int POSTAL_ADDRESS_TYPE__STREET

  The feature id for the 'Street' attribute.

  See Also:
    Constant Field Values

### POSTAL_ADDRESS_TYPE__STREET_NUMBER

    static final int POSTAL_ADDRESS_TYPE__STREET_NUMBER

  The feature id for the 'Street Number' attribute.

  See Also:
    Constant Field Values

### POSTAL_ADDRESS_TYPE_FEATURE_COUNT

    static final int POSTAL_ADDRESS_TYPE_FEATURE_COUNT

  The number of structural features of the 'Postal Address Type' class.

  See Also:
    Constant Field Values

### QUERY_EXPRESSION_TYPE

    static final int QUERY_EXPRESSION_TYPE

  The meta object id for the '`Query Expression Type`' class.

  See Also:
    `QueryExpressionTypeImpl`, `RimPackageImpl.getQueryExpressionType()`, Constant Field Values

### QUERY_EXPRESSION_TYPE__MIXED

    static final int QUERY_EXPRESSION_TYPE__MIXED

  The feature id for the 'Mixed' attribute list.

  See Also:
    Constant Field Values

### QUERY_EXPRESSION_TYPE__ANY

    static final int QUERY_EXPRESSION_TYPE__ANY

  The feature id for the 'Any' attribute list.

  See Also:
    Constant Field Values

### QUERY_EXPRESSION_TYPE__QUERY_LANGUAGE

    static final int QUERY_EXPRESSION_TYPE__QUERY_LANGUAGE

  The feature id for the 'Query Language' attribute.

  See Also:
    Constant Field Values

### QUERY_EXPRESSION_TYPE_FEATURE_COUNT

    static final int QUERY_EXPRESSION_TYPE_FEATURE_COUNT

  The number of structural features of the 'Query Expression Type' class.

  See Also:
    Constant Field Values

### REGISTRY_OBJECT_LIST_TYPE

    static final int REGISTRY_OBJECT_LIST_TYPE

  The meta object id for the '`Registry Object List Type`' class.

  See Also:
    `RegistryObjectListTypeImpl`, `RimPackageImpl.getRegistryObjectListType()`, Constant Field Values

### REGISTRY_OBJECT_LIST_TYPE__IDENTIFIABLE_GROUP

    static final int REGISTRY_OBJECT_LIST_TYPE__IDENTIFIABLE_GROUP

  The feature id for the 'Identifiable Group' attribute list.

  See Also:
    Constant Field Values

### REGISTRY_OBJECT_LIST_TYPE__IDENTIFIABLE

    static final int REGISTRY_OBJECT_LIST_TYPE__IDENTIFIABLE

  The feature id for the 'Identifiable' containment reference list.

  See Also:
    Constant Field Values

### REGISTRY_OBJECT_LIST_TYPE_FEATURE_COUNT

    static final int REGISTRY_OBJECT_LIST_TYPE_FEATURE_COUNT

  The number of structural features of the 'Registry Object List Type' class.

  See Also:
    Constant Field Values

### REGISTRY_PACKAGE_TYPE

    static final int REGISTRY_PACKAGE_TYPE

  The meta object id for the '`Registry Package Type`' class.

  See Also:
    `RegistryPackageTypeImpl`, `RimPackageImpl.getRegistryPackageType()`, Constant Field Values

### REGISTRY_PACKAGE_TYPE__SLOT

    static final int REGISTRY_PACKAGE_TYPE__SLOT

  The feature id for the 'Slot' containment reference list.

  See Also:
    Constant Field Values

### REGISTRY_PACKAGE_TYPE__HOME

    static final int REGISTRY_PACKAGE_TYPE__HOME

  The feature id for the 'Home' attribute.

  See Also:
    Constant Field Values

### REGISTRY_PACKAGE_TYPE__ID

    static final int REGISTRY_PACKAGE_TYPE__ID

  The feature id for the 'Id' attribute.

  See Also:
    Constant Field Values

### REGISTRY_PACKAGE_TYPE__NAME

    static final int REGISTRY_PACKAGE_TYPE__NAME

  The feature id for the 'Name' containment reference.

  See Also:
    Constant Field Values

### REGISTRY_PACKAGE_TYPE__DESCRIPTION

    static final int REGISTRY_PACKAGE_TYPE__DESCRIPTION

  The feature id for the 'Description' containment reference.

  See Also:
    Constant Field Values

### REGISTRY_PACKAGE_TYPE__VERSION_INFO

    static final int REGISTRY_PACKAGE_TYPE__VERSION_INFO

  The feature id for the 'Version Info' containment reference.

  See Also:
    Constant Field Values

### REGISTRY_PACKAGE_TYPE__CLASSIFICATION

    static final int REGISTRY_PACKAGE_TYPE__CLASSIFICATION

  The feature id for the 'Classification' containment reference list.

  See Also:
    Constant Field Values

### REGISTRY_PACKAGE_TYPE__EXTERNAL_IDENTIFIER

    static final int REGISTRY_PACKAGE_TYPE__EXTERNAL_IDENTIFIER

  The feature id for the 'External Identifier' containment reference list.

  See Also:
    Constant Field Values

### REGISTRY_PACKAGE_TYPE__LID

    static final int REGISTRY_PACKAGE_TYPE__LID

  The feature id for the 'Lid' attribute.

  See Also:
    Constant Field Values

### REGISTRY_PACKAGE_TYPE__OBJECT_TYPE

    static final int REGISTRY_PACKAGE_TYPE__OBJECT_TYPE

  The feature id for the 'Object Type' attribute.

  See Also:
    Constant Field Values

### REGISTRY_PACKAGE_TYPE__STATUS

    static final int REGISTRY_PACKAGE_TYPE__STATUS

  The feature id for the 'Status' attribute.

  See Also:
    Constant Field Values

### REGISTRY_PACKAGE_TYPE__REGISTRY_OBJECT_LIST

    static final int REGISTRY_PACKAGE_TYPE__REGISTRY_OBJECT_LIST

  The feature id for the 'Registry Object List' containment reference.

  See Also:
    Constant Field Values

### REGISTRY_PACKAGE_TYPE_FEATURE_COUNT

    static final int REGISTRY_PACKAGE_TYPE_FEATURE_COUNT

  The number of structural features of the 'Registry Package Type' class.

  See Also:
    Constant Field Values

### REGISTRY_TYPE

    static final int REGISTRY_TYPE

  The meta object id for the '`Registry Type`' class.

  See Also:
    `RegistryTypeImpl`, `RimPackageImpl.getRegistryType()`, Constant Field Values

### REGISTRY_TYPE__SLOT

    static final int REGISTRY_TYPE__SLOT

  The feature id for the 'Slot' containment reference list.

  See Also:
    Constant Field Values

### REGISTRY_TYPE__HOME

    static final int REGISTRY_TYPE__HOME

  The feature id for the 'Home' attribute.

  See Also:
    Constant Field Values

### REGISTRY_TYPE__ID

    static final int REGISTRY_TYPE__ID

  The feature id for the 'Id' attribute.

  See Also:
    Constant Field Values

### REGISTRY_TYPE__NAME

    static final int REGISTRY_TYPE__NAME

  The feature id for the 'Name' containment reference.

  See Also:
    Constant Field Values

### REGISTRY_TYPE__DESCRIPTION

    static final int REGISTRY_TYPE__DESCRIPTION

  The feature id for the 'Description' containment reference.

  See Also:
    Constant Field Values

### REGISTRY_TYPE__VERSION_INFO

    static final int REGISTRY_TYPE__VERSION_INFO

  The feature id for the 'Version Info' containment reference.

  See Also:
    Constant Field Values

### REGISTRY_TYPE__CLASSIFICATION

    static final int REGISTRY_TYPE__CLASSIFICATION

  The feature id for the 'Classification' containment reference list.

  See Also:
    Constant Field Values

### REGISTRY_TYPE__EXTERNAL_IDENTIFIER

    static final int REGISTRY_TYPE__EXTERNAL_IDENTIFIER

  The feature id for the 'External Identifier' containment reference list.

  See Also:
    Constant Field Values

### REGISTRY_TYPE__LID

    static final int REGISTRY_TYPE__LID

  The feature id for the 'Lid' attribute.

  See Also:
    Constant Field Values

### REGISTRY_TYPE__OBJECT_TYPE

    static final int REGISTRY_TYPE__OBJECT_TYPE

  The feature id for the 'Object Type' attribute.

  See Also:
    Constant Field Values

### REGISTRY_TYPE__STATUS

    static final int REGISTRY_TYPE__STATUS

  The feature id for the 'Status' attribute.

  See Also:
    Constant Field Values

### REGISTRY_TYPE__CATALOGING_LATENCY

    static final int REGISTRY_TYPE__CATALOGING_LATENCY

  The feature id for the 'Cataloging Latency' attribute.

  See Also:
    Constant Field Values

### REGISTRY_TYPE__CONFORMANCE_PROFILE

    static final int REGISTRY_TYPE__CONFORMANCE_PROFILE

  The feature id for the 'Conformance Profile' attribute.

  See Also:
    Constant Field Values

### REGISTRY_TYPE__OPERATOR

    static final int REGISTRY_TYPE__OPERATOR

  The feature id for the 'Operator' attribute.

  See Also:
    Constant Field Values

### REGISTRY_TYPE__REPLICATION_SYNC_LATENCY

    static final int REGISTRY_TYPE__REPLICATION_SYNC_LATENCY

  The feature id for the 'Replication Sync Latency' attribute.

  See Also:
    Constant Field Values

### REGISTRY_TYPE__SPECIFICATION_VERSION

    static final int REGISTRY_TYPE__SPECIFICATION_VERSION

  The feature id for the 'Specification Version' attribute.

  See Also:
    Constant Field Values

### REGISTRY_TYPE_FEATURE_COUNT

    static final int REGISTRY_TYPE_FEATURE_COUNT

  The number of structural features of the 'Registry Type' class.

  See Also:
    Constant Field Values

### SERVICE_BINDING_TYPE

    static final int SERVICE_BINDING_TYPE

  The meta object id for the '`Service Binding Type`' class.

  See Also:
    `ServiceBindingTypeImpl`, `RimPackageImpl.getServiceBindingType()`, Constant Field Values

### SERVICE_BINDING_TYPE__SLOT

    static final int SERVICE_BINDING_TYPE__SLOT

  The feature id for the 'Slot' containment reference list.

  See Also:
    Constant Field Values

### SERVICE_BINDING_TYPE__HOME

    static final int SERVICE_BINDING_TYPE__HOME

  The feature id for the 'Home' attribute.

  See Also:
    Constant Field Values

### SERVICE_BINDING_TYPE__ID

    static final int SERVICE_BINDING_TYPE__ID

  The feature id for the 'Id' attribute.

  See Also:
    Constant Field Values

### SERVICE_BINDING_TYPE__NAME

    static final int SERVICE_BINDING_TYPE__NAME

  The feature id for the 'Name' containment reference.

  See Also:
    Constant Field Values

### SERVICE_BINDING_TYPE__DESCRIPTION

    static final int SERVICE_BINDING_TYPE__DESCRIPTION

  The feature id for the 'Description' containment reference.

  See Also:
    Constant Field Values

### SERVICE_BINDING_TYPE__VERSION_INFO

    static final int SERVICE_BINDING_TYPE__VERSION_INFO

  The feature id for the 'Version Info' containment reference.

  See Also:
    Constant Field Values

### SERVICE_BINDING_TYPE__CLASSIFICATION

    static final int SERVICE_BINDING_TYPE__CLASSIFICATION

  The feature id for the 'Classification' containment reference list.

  See Also:
    Constant Field Values

### SERVICE_BINDING_TYPE__EXTERNAL_IDENTIFIER

    static final int SERVICE_BINDING_TYPE__EXTERNAL_IDENTIFIER

  The feature id for the 'External Identifier' containment reference list.

  See Also:
    Constant Field Values

### SERVICE_BINDING_TYPE__LID

    static final int SERVICE_BINDING_TYPE__LID

  The feature id for the 'Lid' attribute.

  See Also:
    Constant Field Values

### SERVICE_BINDING_TYPE__OBJECT_TYPE

    static final int SERVICE_BINDING_TYPE__OBJECT_TYPE

  The feature id for the 'Object Type' attribute.

  See Also:
    Constant Field Values

### SERVICE_BINDING_TYPE__STATUS

    static final int SERVICE_BINDING_TYPE__STATUS

  The feature id for the 'Status' attribute.

  See Also:
    Constant Field Values

### SERVICE_BINDING_TYPE__SPECIFICATION_LINK

    static final int SERVICE_BINDING_TYPE__SPECIFICATION_LINK

  The feature id for the 'Specification Link' containment reference list.

  See Also:
    Constant Field Values

### SERVICE_BINDING_TYPE__ACCESS_URI

    static final int SERVICE_BINDING_TYPE__ACCESS_URI

  The feature id for the 'Access URI' attribute.

  See Also:
    Constant Field Values

### SERVICE_BINDING_TYPE__SERVICE

    static final int SERVICE_BINDING_TYPE__SERVICE

  The feature id for the 'Service' attribute.

  See Also:
    Constant Field Values

### SERVICE_BINDING_TYPE__TARGET_BINDING

    static final int SERVICE_BINDING_TYPE__TARGET_BINDING

  The feature id for the 'Target Binding' attribute.

  See Also:
    Constant Field Values

### SERVICE_BINDING_TYPE_FEATURE_COUNT

    static final int SERVICE_BINDING_TYPE_FEATURE_COUNT

  The number of structural features of the 'Service Binding Type' class.

  See Also:
    Constant Field Values

### SERVICE_TYPE

    static final int SERVICE_TYPE

  The meta object id for the '`Service Type`' class.

  See Also:
    `ServiceTypeImpl`, `RimPackageImpl.getServiceType()`, Constant Field Values

### SERVICE_TYPE__SLOT

    static final int SERVICE_TYPE__SLOT

  The feature id for the 'Slot' containment reference list.

  See Also:
    Constant Field Values

### SERVICE_TYPE__HOME

    static final int SERVICE_TYPE__HOME

  The feature id for the 'Home' attribute.

  See Also:
    Constant Field Values

### SERVICE_TYPE__ID

    static final int SERVICE_TYPE__ID

  The feature id for the 'Id' attribute.

  See Also:
    Constant Field Values

### SERVICE_TYPE__NAME

    static final int SERVICE_TYPE__NAME

  The feature id for the 'Name' containment reference.

  See Also:
    Constant Field Values

### SERVICE_TYPE__DESCRIPTION

    static final int SERVICE_TYPE__DESCRIPTION

  The feature id for the 'Description' containment reference.

  See Also:
    Constant Field Values

### SERVICE_TYPE__VERSION_INFO

    static final int SERVICE_TYPE__VERSION_INFO

  The feature id for the 'Version Info' containment reference.

  See Also:
    Constant Field Values

### SERVICE_TYPE__CLASSIFICATION

    static final int SERVICE_TYPE__CLASSIFICATION

  The feature id for the 'Classification' containment reference list.

  See Also:
    Constant Field Values

### SERVICE_TYPE__EXTERNAL_IDENTIFIER

    static final int SERVICE_TYPE__EXTERNAL_IDENTIFIER

  The feature id for the 'External Identifier' containment reference list.

  See Also:
    Constant Field Values

### SERVICE_TYPE__LID

    static final int SERVICE_TYPE__LID

  The feature id for the 'Lid' attribute.

  See Also:
    Constant Field Values

### SERVICE_TYPE__OBJECT_TYPE

    static final int SERVICE_TYPE__OBJECT_TYPE

  The feature id for the 'Object Type' attribute.

  See Also:
    Constant Field Values

### SERVICE_TYPE__STATUS

    static final int SERVICE_TYPE__STATUS

  The feature id for the 'Status' attribute.

  See Also:
    Constant Field Values

### SERVICE_TYPE__SERVICE_BINDING

    static final int SERVICE_TYPE__SERVICE_BINDING

  The feature id for the 'Service Binding' containment reference list.

  See Also:
    Constant Field Values

### SERVICE_TYPE_FEATURE_COUNT

    static final int SERVICE_TYPE_FEATURE_COUNT

  The number of structural features of the 'Service Type' class.

  See Also:
    Constant Field Values

### SLOT_LIST_TYPE

    static final int SLOT_LIST_TYPE

  The meta object id for the '`Slot List Type`' class.

  See Also:
    `SlotListTypeImpl`, `RimPackageImpl.getSlotListType()`, Constant Field Values

### SLOT_LIST_TYPE__SLOT

    static final int SLOT_LIST_TYPE__SLOT

  The feature id for the 'Slot' containment reference list.

  See Also:
    Constant Field Values

### SLOT_LIST_TYPE_FEATURE_COUNT

    static final int SLOT_LIST_TYPE_FEATURE_COUNT

  The number of structural features of the 'Slot List Type' class.

  See Also:
    Constant Field Values

### SLOT_TYPE1

    static final int SLOT_TYPE1

  The meta object id for the '`Slot Type1`' class.

  See Also:
    `SlotType1Impl`, `RimPackageImpl.getSlotType1()`, Constant Field Values

### SLOT_TYPE1__VALUE_LIST

    static final int SLOT_TYPE1__VALUE_LIST

  The feature id for the 'Value List' containment reference.

  See Also:
    Constant Field Values

### SLOT_TYPE1__NAME

    static final int SLOT_TYPE1__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### SLOT_TYPE1__SLOT_TYPE

    static final int SLOT_TYPE1__SLOT_TYPE

  The feature id for the 'Slot Type' attribute.

  See Also:
    Constant Field Values

### SLOT_TYPE1_FEATURE_COUNT

    static final int SLOT_TYPE1_FEATURE_COUNT

  The number of structural features of the 'Slot Type1' class.

  See Also:
    Constant Field Values

### SPECIFICATION_LINK_TYPE

    static final int SPECIFICATION_LINK_TYPE

  The meta object id for the '`Specification Link Type`' class.

  See Also:
    `SpecificationLinkTypeImpl`, `RimPackageImpl.getSpecificationLinkType()`, Constant Field Values

### SPECIFICATION_LINK_TYPE__SLOT

    static final int SPECIFICATION_LINK_TYPE__SLOT

  The feature id for the 'Slot' containment reference list.

  See Also:
    Constant Field Values

### SPECIFICATION_LINK_TYPE__HOME

    static final int SPECIFICATION_LINK_TYPE__HOME

  The feature id for the 'Home' attribute.

  See Also:
    Constant Field Values

### SPECIFICATION_LINK_TYPE__ID

    static final int SPECIFICATION_LINK_TYPE__ID

  The feature id for the 'Id' attribute.

  See Also:
    Constant Field Values

### SPECIFICATION_LINK_TYPE__NAME

    static final int SPECIFICATION_LINK_TYPE__NAME

  The feature id for the 'Name' containment reference.

  See Also:
    Constant Field Values

### SPECIFICATION_LINK_TYPE__DESCRIPTION

    static final int SPECIFICATION_LINK_TYPE__DESCRIPTION

  The feature id for the 'Description' containment reference.

  See Also:
    Constant Field Values

### SPECIFICATION_LINK_TYPE__VERSION_INFO

    static final int SPECIFICATION_LINK_TYPE__VERSION_INFO

  The feature id for the 'Version Info' containment reference.

  See Also:
    Constant Field Values

### SPECIFICATION_LINK_TYPE__CLASSIFICATION

    static final int SPECIFICATION_LINK_TYPE__CLASSIFICATION

  The feature id for the 'Classification' containment reference list.

  See Also:
    Constant Field Values

### SPECIFICATION_LINK_TYPE__EXTERNAL_IDENTIFIER

    static final int SPECIFICATION_LINK_TYPE__EXTERNAL_IDENTIFIER

  The feature id for the 'External Identifier' containment reference list.

  See Also:
    Constant Field Values

### SPECIFICATION_LINK_TYPE__LID

    static final int SPECIFICATION_LINK_TYPE__LID

  The feature id for the 'Lid' attribute.

  See Also:
    Constant Field Values

### SPECIFICATION_LINK_TYPE__OBJECT_TYPE

    static final int SPECIFICATION_LINK_TYPE__OBJECT_TYPE

  The feature id for the 'Object Type' attribute.

  See Also:
    Constant Field Values

### SPECIFICATION_LINK_TYPE__STATUS

    static final int SPECIFICATION_LINK_TYPE__STATUS

  The feature id for the 'Status' attribute.

  See Also:
    Constant Field Values

### SPECIFICATION_LINK_TYPE__USAGE_DESCRIPTION

    static final int SPECIFICATION_LINK_TYPE__USAGE_DESCRIPTION

  The feature id for the 'Usage Description' containment reference.

  See Also:
    Constant Field Values

### SPECIFICATION_LINK_TYPE__USAGE_PARAMETER

    static final int SPECIFICATION_LINK_TYPE__USAGE_PARAMETER

  The feature id for the 'Usage Parameter' attribute list.

  See Also:
    Constant Field Values

### SPECIFICATION_LINK_TYPE__SERVICE_BINDING

    static final int SPECIFICATION_LINK_TYPE__SERVICE_BINDING

  The feature id for the 'Service Binding' attribute.

  See Also:
    Constant Field Values

### SPECIFICATION_LINK_TYPE__SPECIFICATION_OBJECT

    static final int SPECIFICATION_LINK_TYPE__SPECIFICATION_OBJECT

  The feature id for the 'Specification Object' attribute.

  See Also:
    Constant Field Values

### SPECIFICATION_LINK_TYPE_FEATURE_COUNT

    static final int SPECIFICATION_LINK_TYPE_FEATURE_COUNT

  The number of structural features of the 'Specification Link Type' class.

  See Also:
    Constant Field Values

### SUBSCRIPTION_TYPE

    static final int SUBSCRIPTION_TYPE

  The meta object id for the '`Subscription Type`' class.

  See Also:
    `SubscriptionTypeImpl`, `RimPackageImpl.getSubscriptionType()`, Constant Field Values

### SUBSCRIPTION_TYPE__SLOT

    static final int SUBSCRIPTION_TYPE__SLOT

  The feature id for the 'Slot' containment reference list.

  See Also:
    Constant Field Values

### SUBSCRIPTION_TYPE__HOME

    static final int SUBSCRIPTION_TYPE__HOME

  The feature id for the 'Home' attribute.

  See Also:
    Constant Field Values

### SUBSCRIPTION_TYPE__ID

    static final int SUBSCRIPTION_TYPE__ID

  The feature id for the 'Id' attribute.

  See Also:
    Constant Field Values

### SUBSCRIPTION_TYPE__NAME

    static final int SUBSCRIPTION_TYPE__NAME

  The feature id for the 'Name' containment reference.

  See Also:
    Constant Field Values

### SUBSCRIPTION_TYPE__DESCRIPTION

    static final int SUBSCRIPTION_TYPE__DESCRIPTION

  The feature id for the 'Description' containment reference.

  See Also:
    Constant Field Values

### SUBSCRIPTION_TYPE__VERSION_INFO

    static final int SUBSCRIPTION_TYPE__VERSION_INFO

  The feature id for the 'Version Info' containment reference.

  See Also:
    Constant Field Values

### SUBSCRIPTION_TYPE__CLASSIFICATION

    static final int SUBSCRIPTION_TYPE__CLASSIFICATION

  The feature id for the 'Classification' containment reference list.

  See Also:
    Constant Field Values

### SUBSCRIPTION_TYPE__EXTERNAL_IDENTIFIER

    static final int SUBSCRIPTION_TYPE__EXTERNAL_IDENTIFIER

  The feature id for the 'External Identifier' containment reference list.

  See Also:
    Constant Field Values

### SUBSCRIPTION_TYPE__LID

    static final int SUBSCRIPTION_TYPE__LID

  The feature id for the 'Lid' attribute.

  See Also:
    Constant Field Values

### SUBSCRIPTION_TYPE__OBJECT_TYPE

    static final int SUBSCRIPTION_TYPE__OBJECT_TYPE

  The feature id for the 'Object Type' attribute.

  See Also:
    Constant Field Values

### SUBSCRIPTION_TYPE__STATUS

    static final int SUBSCRIPTION_TYPE__STATUS

  The feature id for the 'Status' attribute.

  See Also:
    Constant Field Values

### SUBSCRIPTION_TYPE__ACTION_GROUP

    static final int SUBSCRIPTION_TYPE__ACTION_GROUP

  The feature id for the 'Action Group' attribute list.

  See Also:
    Constant Field Values

### SUBSCRIPTION_TYPE__ACTION

    static final int SUBSCRIPTION_TYPE__ACTION

  The feature id for the 'Action' containment reference list.

  See Also:
    Constant Field Values

### SUBSCRIPTION_TYPE__END_TIME

    static final int SUBSCRIPTION_TYPE__END_TIME

  The feature id for the 'End Time' attribute.

  See Also:
    Constant Field Values

### SUBSCRIPTION_TYPE__NOTIFICATION_INTERVAL

    static final int SUBSCRIPTION_TYPE__NOTIFICATION_INTERVAL

  The feature id for the 'Notification Interval' attribute.

  See Also:
    Constant Field Values

### SUBSCRIPTION_TYPE__SELECTOR

    static final int SUBSCRIPTION_TYPE__SELECTOR

  The feature id for the 'Selector' attribute.

  See Also:
    Constant Field Values

### SUBSCRIPTION_TYPE__START_TIME

    static final int SUBSCRIPTION_TYPE__START_TIME

  The feature id for the 'Start Time' attribute.

  See Also:
    Constant Field Values

### SUBSCRIPTION_TYPE_FEATURE_COUNT

    static final int SUBSCRIPTION_TYPE_FEATURE_COUNT

  The number of structural features of the 'Subscription Type' class.

  See Also:
    Constant Field Values

### TELEPHONE_NUMBER_LIST_TYPE

    static final int TELEPHONE_NUMBER_LIST_TYPE

  The meta object id for the '`Telephone Number List Type`' class.

  See Also:
    `TelephoneNumberListTypeImpl`, `RimPackageImpl.getTelephoneNumberListType()`, Constant Field Values

### TELEPHONE_NUMBER_LIST_TYPE__TELEPHONE_NUMBER

    static final int TELEPHONE_NUMBER_LIST_TYPE__TELEPHONE_NUMBER

  The feature id for the 'Telephone Number' containment reference list.

  See Also:
    Constant Field Values

### TELEPHONE_NUMBER_LIST_TYPE_FEATURE_COUNT

    static final int TELEPHONE_NUMBER_LIST_TYPE_FEATURE_COUNT

  The number of structural features of the 'Telephone Number List Type' class.

  See Also:
    Constant Field Values

### TELEPHONE_NUMBER_TYPE

    static final int TELEPHONE_NUMBER_TYPE

  The meta object id for the '`Telephone Number Type`' class.

  See Also:
    `TelephoneNumberTypeImpl`, `RimPackageImpl.getTelephoneNumberType()`, Constant Field Values

### TELEPHONE_NUMBER_TYPE__AREA_CODE

    static final int TELEPHONE_NUMBER_TYPE__AREA_CODE

  The feature id for the 'Area Code' attribute.

  See Also:
    Constant Field Values

### TELEPHONE_NUMBER_TYPE__COUNTRY_CODE

    static final int TELEPHONE_NUMBER_TYPE__COUNTRY_CODE

  The feature id for the 'Country Code' attribute.

  See Also:
    Constant Field Values

### TELEPHONE_NUMBER_TYPE__EXTENSION

    static final int TELEPHONE_NUMBER_TYPE__EXTENSION

  The feature id for the 'Extension' attribute.

  See Also:
    Constant Field Values

### TELEPHONE_NUMBER_TYPE__NUMBER

    static final int TELEPHONE_NUMBER_TYPE__NUMBER

  The feature id for the 'Number' attribute.

  See Also:
    Constant Field Values

### TELEPHONE_NUMBER_TYPE__PHONE_TYPE

    static final int TELEPHONE_NUMBER_TYPE__PHONE_TYPE

  The feature id for the 'Phone Type' attribute.

  See Also:
    Constant Field Values

### TELEPHONE_NUMBER_TYPE_FEATURE_COUNT

    static final int TELEPHONE_NUMBER_TYPE_FEATURE_COUNT

  The number of structural features of the 'Telephone Number Type' class.

  See Also:
    Constant Field Values

### USER_TYPE

    static final int USER_TYPE

  The meta object id for the '`User Type`' class.

  See Also:
    `UserTypeImpl`, `RimPackageImpl.getUserType()`, Constant Field Values

### USER_TYPE__SLOT

    static final int USER_TYPE__SLOT

  The feature id for the 'Slot' containment reference list.

  See Also:
    Constant Field Values

### USER_TYPE__HOME

    static final int USER_TYPE__HOME

  The feature id for the 'Home' attribute.

  See Also:
    Constant Field Values

### USER_TYPE__ID

    static final int USER_TYPE__ID

  The feature id for the 'Id' attribute.

  See Also:
    Constant Field Values

### USER_TYPE__NAME

    static final int USER_TYPE__NAME

  The feature id for the 'Name' containment reference.

  See Also:
    Constant Field Values

### USER_TYPE__DESCRIPTION

    static final int USER_TYPE__DESCRIPTION

  The feature id for the 'Description' containment reference.

  See Also:
    Constant Field Values

### USER_TYPE__VERSION_INFO

    static final int USER_TYPE__VERSION_INFO

  The feature id for the 'Version Info' containment reference.

  See Also:
    Constant Field Values

### USER_TYPE__CLASSIFICATION

    static final int USER_TYPE__CLASSIFICATION

  The feature id for the 'Classification' containment reference list.

  See Also:
    Constant Field Values

### USER_TYPE__EXTERNAL_IDENTIFIER

    static final int USER_TYPE__EXTERNAL_IDENTIFIER

  The feature id for the 'External Identifier' containment reference list.

  See Also:
    Constant Field Values

### USER_TYPE__LID

    static final int USER_TYPE__LID

  The feature id for the 'Lid' attribute.

  See Also:
    Constant Field Values

### USER_TYPE__OBJECT_TYPE

    static final int USER_TYPE__OBJECT_TYPE

  The feature id for the 'Object Type' attribute.

  See Also:
    Constant Field Values

### USER_TYPE__STATUS

    static final int USER_TYPE__STATUS

  The feature id for the 'Status' attribute.

  See Also:
    Constant Field Values

### USER_TYPE__ADDRESS

    static final int USER_TYPE__ADDRESS

  The feature id for the 'Address' containment reference list.

  See Also:
    Constant Field Values

### USER_TYPE__PERSON_NAME

    static final int USER_TYPE__PERSON_NAME

  The feature id for the 'Person Name' containment reference.

  See Also:
    Constant Field Values

### USER_TYPE__TELEPHONE_NUMBER

    static final int USER_TYPE__TELEPHONE_NUMBER

  The feature id for the 'Telephone Number' containment reference list.

  See Also:
    Constant Field Values

### USER_TYPE__EMAIL_ADDRESS

    static final int USER_TYPE__EMAIL_ADDRESS

  The feature id for the 'Email Address' containment reference list.

  See Also:
    Constant Field Values

### USER_TYPE_FEATURE_COUNT

    static final int USER_TYPE_FEATURE_COUNT

  The number of structural features of the 'User Type' class.

  See Also:
    Constant Field Values

### VALUE_LIST_TYPE

    static final int VALUE_LIST_TYPE

  The meta object id for the '`Value List Type`' class.

  See Also:
    `ValueListTypeImpl`, `RimPackageImpl.getValueListType()`, Constant Field Values

### VALUE_LIST_TYPE__GROUP

    static final int VALUE_LIST_TYPE__GROUP

  The feature id for the 'Group' attribute list.

  See Also:
    Constant Field Values

### VALUE_LIST_TYPE__VALUE

    static final int VALUE_LIST_TYPE__VALUE

  The feature id for the 'Value' attribute list.

  See Also:
    Constant Field Values

### VALUE_LIST_TYPE_FEATURE_COUNT

    static final int VALUE_LIST_TYPE_FEATURE_COUNT

  The number of structural features of the 'Value List Type' class.

  See Also:
    Constant Field Values

### VERSION_INFO_TYPE

    static final int VERSION_INFO_TYPE

  The meta object id for the '`Version Info Type`' class.

  See Also:
    `VersionInfoTypeImpl`, `RimPackageImpl.getVersionInfoType()`, Constant Field Values

### VERSION_INFO_TYPE__COMMENT

    static final int VERSION_INFO_TYPE__COMMENT

  The feature id for the 'Comment' attribute.

  See Also:
    Constant Field Values

### VERSION_INFO_TYPE__VERSION_NAME

    static final int VERSION_INFO_TYPE__VERSION_NAME

  The feature id for the 'Version Name' attribute.

  See Also:
    Constant Field Values

### VERSION_INFO_TYPE_FEATURE_COUNT

    static final int VERSION_INFO_TYPE_FEATURE_COUNT

  The number of structural features of the 'Version Info Type' class.

  See Also:
    Constant Field Values

### CONFORMANCE_PROFILE_TYPE

    static final int CONFORMANCE_PROFILE_TYPE

  The meta object id for the '`Conformance Profile Type`' enum.

  See Also:
    `ConformanceProfileType`, `RimPackageImpl.getConformanceProfileType()`, Constant Field Values

### CONFORMANCE_PROFILE_TYPE_OBJECT

    static final int CONFORMANCE_PROFILE_TYPE_OBJECT

  The meta object id for the 'Conformance Profile Type Object' data type.

  See Also:
    `ConformanceProfileType`, `RimPackageImpl.getConformanceProfileTypeObject()`, Constant Field Values

### FREE_FORM_TEXT

    static final int FREE_FORM_TEXT

  The meta object id for the 'Free Form Text' data type.

  See Also:
    `String`, `RimPackageImpl.getFreeFormText()`, Constant Field Values

### LONG_NAME

    static final int LONG_NAME

  The meta object id for the 'Long Name' data type.

  See Also:
    `String`, `RimPackageImpl.getLongName()`, Constant Field Values

### REFERENCE_URI

    static final int REFERENCE_URI

  The meta object id for the 'Reference URI' data type.

  See Also:
    `String`, `RimPackageImpl.getReferenceURI()`, Constant Field Values

### SHORT_NAME

    static final int SHORT_NAME

  The meta object id for the 'Short Name' data type.

  See Also:
    `String`, `RimPackageImpl.getShortName()`, Constant Field Values

### STRING16

    static final int STRING16

  The meta object id for the 'String16' data type.

  See Also:
    `String`, `RimPackageImpl.getString16()`, Constant Field Values

### STRING32

    static final int STRING32

  The meta object id for the 'String32' data type.

  See Also:
    `String`, `RimPackageImpl.getString32()`, Constant Field Values

### STRING4

    static final int STRING4

  The meta object id for the 'String4' data type.

  See Also:
    `String`, `RimPackageImpl.getString4()`, Constant Field Values

### STRING8

    static final int STRING8

  The meta object id for the 'String8' data type.

  See Also:
    `String`, `RimPackageImpl.getString8()`, Constant Field Values

Method Detail

### getActionType

    org.eclipse.emf.ecore.EClass getActionType()

  Returns the meta object for class '`Action Type`'.

  Returns:
    the meta object for class 'Action Type'.
  See Also:
    `ActionType`

### getAdhocQueryType

    org.eclipse.emf.ecore.EClass getAdhocQueryType()

  Returns the meta object for class '`Adhoc Query Type`'.

  Returns:
    the meta object for class 'Adhoc Query Type'.
  See Also:
    `AdhocQueryType`

### getAdhocQueryType_QueryExpression

    org.eclipse.emf.ecore.EReference getAdhocQueryType_QueryExpression()

  Returns the meta object for the containment reference '`Query Expression`'.

  Returns:
    the meta object for the containment reference 'Query Expression'.
  See Also:
    `AdhocQueryType.getQueryExpression()`, `getAdhocQueryType()`

### getAssociationType1

    org.eclipse.emf.ecore.EClass getAssociationType1()

  Returns the meta object for class '`Association Type1`'.

  Returns:
    the meta object for class 'Association Type1'.
  See Also:
    `AssociationType1`

### getAssociationType1_AssociationType

    org.eclipse.emf.ecore.EAttribute getAssociationType1_AssociationType()

  Returns the meta object for the attribute '`Association Type`'.

  Returns:
    the meta object for the attribute 'Association Type'.
  See Also:
    `AssociationType1.getAssociationType()`, `getAssociationType1()`

### getAssociationType1_SourceObject

    org.eclipse.emf.ecore.EAttribute getAssociationType1_SourceObject()

  Returns the meta object for the attribute '`Source Object`'.

  Returns:
    the meta object for the attribute 'Source Object'.
  See Also:
    `AssociationType1.getSourceObject()`, `getAssociationType1()`

### getAssociationType1_TargetObject

    org.eclipse.emf.ecore.EAttribute getAssociationType1_TargetObject()

  Returns the meta object for the attribute '`Target Object`'.

  Returns:
    the meta object for the attribute 'Target Object'.
  See Also:
    `AssociationType1.getTargetObject()`, `getAssociationType1()`

### getAuditableEventType

    org.eclipse.emf.ecore.EClass getAuditableEventType()

  Returns the meta object for class '`Auditable Event Type`'.

  Returns:
    the meta object for class 'Auditable Event Type'.
  See Also:
    `AuditableEventType`

### getAuditableEventType_AffectedObjects

    org.eclipse.emf.ecore.EReference getAuditableEventType_AffectedObjects()

  Returns the meta object for the containment reference '`Affected Objects`'.

  Returns:
    the meta object for the containment reference 'Affected Objects'.
  See Also:
    `AuditableEventType.getAffectedObjects()`, `getAuditableEventType()`

### getAuditableEventType_EventType

    org.eclipse.emf.ecore.EAttribute getAuditableEventType_EventType()

  Returns the meta object for the attribute '`Event Type`'.

  Returns:
    the meta object for the attribute 'Event Type'.
  See Also:
    `AuditableEventType.getEventType()`, `getAuditableEventType()`

### getAuditableEventType_RequestId

    org.eclipse.emf.ecore.EAttribute getAuditableEventType_RequestId()

  Returns the meta object for the attribute '`Request Id`'.

  Returns:
    the meta object for the attribute 'Request Id'.
  See Also:
    `AuditableEventType.getRequestId()`, `getAuditableEventType()`

### getAuditableEventType_Timestamp

    org.eclipse.emf.ecore.EAttribute getAuditableEventType_Timestamp()

  Returns the meta object for the attribute '`Timestamp`'.

  Returns:
    the meta object for the attribute 'Timestamp'.
  See Also:
    `AuditableEventType.getTimestamp()`, `getAuditableEventType()`

### getAuditableEventType_User

    org.eclipse.emf.ecore.EAttribute getAuditableEventType_User()

  Returns the meta object for the attribute '`User`'.

  Returns:
    the meta object for the attribute 'User'.
  See Also:
    `AuditableEventType.getUser()`, `getAuditableEventType()`

### getClassificationNodeType

    org.eclipse.emf.ecore.EClass getClassificationNodeType()

  Returns the meta object for class '`Classification Node Type`'.

  Returns:
    the meta object for class 'Classification Node Type'.
  See Also:
    `ClassificationNodeType`

### getClassificationNodeType_ClassificationNode

    org.eclipse.emf.ecore.EReference getClassificationNodeType_ClassificationNode()

  Returns the meta object for the containment reference list '`Classification Node`'.

  Returns:
    the meta object for the containment reference list 'Classification Node'.
  See Also:
    `ClassificationNodeType.getClassificationNode()`, `getClassificationNodeType()`

### getClassificationNodeType_Code

    org.eclipse.emf.ecore.EAttribute getClassificationNodeType_Code()

  Returns the meta object for the attribute '`Code`'.

  Returns:
    the meta object for the attribute 'Code'.
  See Also:
    `ClassificationNodeType.getCode()`, `getClassificationNodeType()`

### getClassificationNodeType_Parent

    org.eclipse.emf.ecore.EAttribute getClassificationNodeType_Parent()

  Returns the meta object for the attribute '`Parent`'.

  Returns:
    the meta object for the attribute 'Parent'.
  See Also:
    `ClassificationNodeType.getParent()`, `getClassificationNodeType()`

### getClassificationNodeType_Path

    org.eclipse.emf.ecore.EAttribute getClassificationNodeType_Path()

  Returns the meta object for the attribute '`Path`'.

  Returns:
    the meta object for the attribute 'Path'.
  See Also:
    `ClassificationNodeType.getPath()`, `getClassificationNodeType()`

### getClassificationSchemeType

    org.eclipse.emf.ecore.EClass getClassificationSchemeType()

  Returns the meta object for class '`Classification Scheme Type`'.

  Returns:
    the meta object for class 'Classification Scheme Type'.
  See Also:
    `ClassificationSchemeType`

### getClassificationSchemeType_ClassificationNode

    org.eclipse.emf.ecore.EReference getClassificationSchemeType_ClassificationNode()

  Returns the meta object for the containment reference list '`Classification Node`'.

  Returns:
    the meta object for the containment reference list 'Classification Node'.
  See Also:
    `ClassificationSchemeType.getClassificationNode()`, `getClassificationSchemeType()`

### getClassificationSchemeType_IsInternal

    org.eclipse.emf.ecore.EAttribute getClassificationSchemeType_IsInternal()

  Returns the meta object for the attribute '`Is Internal`'.

  Returns:
    the meta object for the attribute 'Is Internal'.
  See Also:
    `ClassificationSchemeType.isIsInternal()`, `getClassificationSchemeType()`

### getClassificationSchemeType_NodeType

    org.eclipse.emf.ecore.EAttribute getClassificationSchemeType_NodeType()

  Returns the meta object for the attribute '`Node Type`'.

  Returns:
    the meta object for the attribute 'Node Type'.
  See Also:
    `ClassificationSchemeType.getNodeType()`, `getClassificationSchemeType()`

### getClassificationType

    org.eclipse.emf.ecore.EClass getClassificationType()

  Returns the meta object for class '`Classification Type`'.

  Returns:
    the meta object for class 'Classification Type'.
  See Also:
    `ClassificationType`

### getClassificationType_ClassificationNode

    org.eclipse.emf.ecore.EAttribute getClassificationType_ClassificationNode()

  Returns the meta object for the attribute '`Classification Node`'.

  Returns:
    the meta object for the attribute 'Classification Node'.
  See Also:
    `ClassificationType.getClassificationNode()`, `getClassificationType()`

### getClassificationType_ClassificationScheme

    org.eclipse.emf.ecore.EAttribute getClassificationType_ClassificationScheme()

  Returns the meta object for the attribute '`Classification Scheme`'.

  Returns:
    the meta object for the attribute 'Classification Scheme'.
  See Also:
    `ClassificationType.getClassificationScheme()`, `getClassificationType()`

### getClassificationType_ClassifiedObject

    org.eclipse.emf.ecore.EAttribute getClassificationType_ClassifiedObject()

  Returns the meta object for the attribute '`Classified Object`'.

  Returns:
    the meta object for the attribute 'Classified Object'.
  See Also:
    `ClassificationType.getClassifiedObject()`, `getClassificationType()`

### getClassificationType_NodeRepresentation

    org.eclipse.emf.ecore.EAttribute getClassificationType_NodeRepresentation()

  Returns the meta object for the attribute '`Node Representation`'.

  Returns:
    the meta object for the attribute 'Node Representation'.
  See Also:
    `ClassificationType.getNodeRepresentation()`, `getClassificationType()`

### getDocumentRoot

    org.eclipse.emf.ecore.EClass getDocumentRoot()

  Returns the meta object for class '`Document Root`'.

  Returns:
    the meta object for class 'Document Root'.
  See Also:
    `DocumentRoot`

### getDocumentRoot_Mixed

    org.eclipse.emf.ecore.EAttribute getDocumentRoot_Mixed()

  Returns the meta object for the attribute list '`Mixed`'.

  Returns:
    the meta object for the attribute list 'Mixed'.
  See Also:
    `DocumentRoot.getMixed()`, `getDocumentRoot()`

### getDocumentRoot_XMLNSPrefixMap

    org.eclipse.emf.ecore.EReference getDocumentRoot_XMLNSPrefixMap()

  Returns the meta object for the map '`XMLNS Prefix Map`'.

  Returns:
    the meta object for the map 'XMLNS Prefix Map'.
  See Also:
    `DocumentRoot.getXMLNSPrefixMap()`, `getDocumentRoot()`

### getDocumentRoot_XSISchemaLocation

    org.eclipse.emf.ecore.EReference getDocumentRoot_XSISchemaLocation()

  Returns the meta object for the map '`XSI Schema Location`'.

  Returns:
    the meta object for the map 'XSI Schema Location'.
  See Also:
    `DocumentRoot.getXSISchemaLocation()`, `getDocumentRoot()`

### getDocumentRoot_Action

    org.eclipse.emf.ecore.EReference getDocumentRoot_Action()

  Returns the meta object for the containment reference '`Action`'.

  Returns:
    the meta object for the containment reference 'Action'.
  See Also:
    `DocumentRoot.getAction()`, `getDocumentRoot()`

### getDocumentRoot_Address

    org.eclipse.emf.ecore.EReference getDocumentRoot_Address()

  Returns the meta object for the containment reference '`Address`'.

  Returns:
    the meta object for the containment reference 'Address'.
  See Also:
    `DocumentRoot.getAddress()`, `getDocumentRoot()`

### getDocumentRoot_AdhocQuery

    org.eclipse.emf.ecore.EReference getDocumentRoot_AdhocQuery()

  Returns the meta object for the containment reference '`Adhoc Query`'.

  Returns:
    the meta object for the containment reference 'Adhoc Query'.
  See Also:
    `DocumentRoot.getAdhocQuery()`, `getDocumentRoot()`

### getDocumentRoot_RegistryObject

    org.eclipse.emf.ecore.EReference getDocumentRoot_RegistryObject()

  Returns the meta object for the containment reference '`Registry Object`'.

  Returns:
    the meta object for the containment reference 'Registry Object'.
  See Also:
    `DocumentRoot.getRegistryObject()`, `getDocumentRoot()`

### getDocumentRoot_Identifiable

    org.eclipse.emf.ecore.EReference getDocumentRoot_Identifiable()

  Returns the meta object for the containment reference '`Identifiable`'.

  Returns:
    the meta object for the containment reference 'Identifiable'.
  See Also:
    `DocumentRoot.getIdentifiable()`, `getDocumentRoot()`

### getDocumentRoot_Association

    org.eclipse.emf.ecore.EReference getDocumentRoot_Association()

  Returns the meta object for the containment reference '`Association`'.

  Returns:
    the meta object for the containment reference 'Association'.
  See Also:
    `DocumentRoot.getAssociation()`, `getDocumentRoot()`

### getDocumentRoot_AuditableEvent

    org.eclipse.emf.ecore.EReference getDocumentRoot_AuditableEvent()

  Returns the meta object for the containment reference '`Auditable Event`'.

  Returns:
    the meta object for the containment reference 'Auditable Event'.
  See Also:
    `DocumentRoot.getAuditableEvent()`, `getDocumentRoot()`

### getDocumentRoot_Classification

    org.eclipse.emf.ecore.EReference getDocumentRoot_Classification()

  Returns the meta object for the containment reference '`Classification`'.

  Returns:
    the meta object for the containment reference 'Classification'.
  See Also:
    `DocumentRoot.getClassification()`, `getDocumentRoot()`

### getDocumentRoot_ClassificationNode

    org.eclipse.emf.ecore.EReference getDocumentRoot_ClassificationNode()

  Returns the meta object for the containment reference '`Classification Node`'.

  Returns:
    the meta object for the containment reference 'Classification Node'.
  See Also:
    `DocumentRoot.getClassificationNode()`, `getDocumentRoot()`

### getDocumentRoot_ClassificationScheme

    org.eclipse.emf.ecore.EReference getDocumentRoot_ClassificationScheme()

  Returns the meta object for the containment reference '`Classification Scheme`'.

  Returns:
    the meta object for the containment reference 'Classification Scheme'.
  See Also:
    `DocumentRoot.getClassificationScheme()`, `getDocumentRoot()`

### getDocumentRoot_Description

    org.eclipse.emf.ecore.EReference getDocumentRoot_Description()

  Returns the meta object for the containment reference '`Description`'.

  Returns:
    the meta object for the containment reference 'Description'.
  See Also:
    `DocumentRoot.getDescription()`, `getDocumentRoot()`

### getDocumentRoot_EmailAddress

    org.eclipse.emf.ecore.EReference getDocumentRoot_EmailAddress()

  Returns the meta object for the containment reference '`Email Address`'.

  Returns:
    the meta object for the containment reference 'Email Address'.
  See Also:
    `DocumentRoot.getEmailAddress()`, `getDocumentRoot()`

### getDocumentRoot_ExternalIdentifier

    org.eclipse.emf.ecore.EReference getDocumentRoot_ExternalIdentifier()

  Returns the meta object for the containment reference '`External Identifier`'.

  Returns:
    the meta object for the containment reference 'External Identifier'.
  See Also:
    `DocumentRoot.getExternalIdentifier()`, `getDocumentRoot()`

### getDocumentRoot_ExternalLink

    org.eclipse.emf.ecore.EReference getDocumentRoot_ExternalLink()

  Returns the meta object for the containment reference '`External Link`'.

  Returns:
    the meta object for the containment reference 'External Link'.
  See Also:
    `DocumentRoot.getExternalLink()`, `getDocumentRoot()`

### getDocumentRoot_ExtrinsicObject

    org.eclipse.emf.ecore.EReference getDocumentRoot_ExtrinsicObject()

  Returns the meta object for the containment reference '`Extrinsic Object`'.

  Returns:
    the meta object for the containment reference 'Extrinsic Object'.
  See Also:
    `DocumentRoot.getExtrinsicObject()`, `getDocumentRoot()`

### getDocumentRoot_Federation

    org.eclipse.emf.ecore.EReference getDocumentRoot_Federation()

  Returns the meta object for the containment reference '`Federation`'.

  Returns:
    the meta object for the containment reference 'Federation'.
  See Also:
    `DocumentRoot.getFederation()`, `getDocumentRoot()`

### getDocumentRoot_InternationalString

    org.eclipse.emf.ecore.EReference getDocumentRoot_InternationalString()

  Returns the meta object for the containment reference '`International String`'.

  Returns:
    the meta object for the containment reference 'International String'.
  See Also:
    `DocumentRoot.getInternationalString()`, `getDocumentRoot()`

### getDocumentRoot_LocalizedString

    org.eclipse.emf.ecore.EReference getDocumentRoot_LocalizedString()

  Returns the meta object for the containment reference '`Localized String`'.

  Returns:
    the meta object for the containment reference 'Localized String'.
  See Also:
    `DocumentRoot.getLocalizedString()`, `getDocumentRoot()`

### getDocumentRoot_Name

    org.eclipse.emf.ecore.EReference getDocumentRoot_Name()

  Returns the meta object for the containment reference '`Name`'.

  Returns:
    the meta object for the containment reference 'Name'.
  See Also:
    `DocumentRoot.getName()`, `getDocumentRoot()`

### getDocumentRoot_Notification

    org.eclipse.emf.ecore.EReference getDocumentRoot_Notification()

  Returns the meta object for the containment reference '`Notification`'.

  Returns:
    the meta object for the containment reference 'Notification'.
  See Also:
    `DocumentRoot.getNotification()`, `getDocumentRoot()`

### getDocumentRoot_NotifyAction

    org.eclipse.emf.ecore.EReference getDocumentRoot_NotifyAction()

  Returns the meta object for the containment reference '`Notify Action`'.

  Returns:
    the meta object for the containment reference 'Notify Action'.
  See Also:
    `DocumentRoot.getNotifyAction()`, `getDocumentRoot()`

### getDocumentRoot_ObjectRef

    org.eclipse.emf.ecore.EReference getDocumentRoot_ObjectRef()

  Returns the meta object for the containment reference '`Object Ref`'.

  Returns:
    the meta object for the containment reference 'Object Ref'.
  See Also:
    `DocumentRoot.getObjectRef()`, `getDocumentRoot()`

### getDocumentRoot_ObjectRefList

    org.eclipse.emf.ecore.EReference getDocumentRoot_ObjectRefList()

  Returns the meta object for the containment reference '`Object Ref List`'.

  Returns:
    the meta object for the containment reference 'Object Ref List'.
  See Also:
    `DocumentRoot.getObjectRefList()`, `getDocumentRoot()`

### getDocumentRoot_Organization

    org.eclipse.emf.ecore.EReference getDocumentRoot_Organization()

  Returns the meta object for the containment reference '`Organization`'.

  Returns:
    the meta object for the containment reference 'Organization'.
  See Also:
    `DocumentRoot.getOrganization()`, `getDocumentRoot()`

### getDocumentRoot_Person

    org.eclipse.emf.ecore.EReference getDocumentRoot_Person()

  Returns the meta object for the containment reference '`Person`'.

  Returns:
    the meta object for the containment reference 'Person'.
  See Also:
    `DocumentRoot.getPerson()`, `getDocumentRoot()`

### getDocumentRoot_PersonName

    org.eclipse.emf.ecore.EReference getDocumentRoot_PersonName()

  Returns the meta object for the containment reference '`Person Name`'.

  Returns:
    the meta object for the containment reference 'Person Name'.
  See Also:
    `DocumentRoot.getPersonName()`, `getDocumentRoot()`

### getDocumentRoot_PostalAddress

    org.eclipse.emf.ecore.EReference getDocumentRoot_PostalAddress()

  Returns the meta object for the containment reference '`Postal Address`'.

  Returns:
    the meta object for the containment reference 'Postal Address'.
  See Also:
    `DocumentRoot.getPostalAddress()`, `getDocumentRoot()`

### getDocumentRoot_QueryExpression

    org.eclipse.emf.ecore.EReference getDocumentRoot_QueryExpression()

  Returns the meta object for the containment reference '`Query Expression`'.

  Returns:
    the meta object for the containment reference 'Query Expression'.
  See Also:
    `DocumentRoot.getQueryExpression()`, `getDocumentRoot()`

### getDocumentRoot_Registry

    org.eclipse.emf.ecore.EReference getDocumentRoot_Registry()

  Returns the meta object for the containment reference '`Registry`'.

  Returns:
    the meta object for the containment reference 'Registry'.
  See Also:
    `DocumentRoot.getRegistry()`, `getDocumentRoot()`

### getDocumentRoot_RegistryObjectList

    org.eclipse.emf.ecore.EReference getDocumentRoot_RegistryObjectList()

  Returns the meta object for the containment reference '`Registry Object List`'.

  Returns:
    the meta object for the containment reference 'Registry Object List'.
  See Also:
    `DocumentRoot.getRegistryObjectList()`, `getDocumentRoot()`

### getDocumentRoot_RegistryPackage

    org.eclipse.emf.ecore.EReference getDocumentRoot_RegistryPackage()

  Returns the meta object for the containment reference '`Registry Package`'.

  Returns:
    the meta object for the containment reference 'Registry Package'.
  See Also:
    `DocumentRoot.getRegistryPackage()`, `getDocumentRoot()`

### getDocumentRoot_Service

    org.eclipse.emf.ecore.EReference getDocumentRoot_Service()

  Returns the meta object for the containment reference '`Service`'.

  Returns:
    the meta object for the containment reference 'Service'.
  See Also:
    `DocumentRoot.getService()`, `getDocumentRoot()`

### getDocumentRoot_ServiceBinding

    org.eclipse.emf.ecore.EReference getDocumentRoot_ServiceBinding()

  Returns the meta object for the containment reference '`Service Binding`'.

  Returns:
    the meta object for the containment reference 'Service Binding'.
  See Also:
    `DocumentRoot.getServiceBinding()`, `getDocumentRoot()`

### getDocumentRoot_Slot

    org.eclipse.emf.ecore.EReference getDocumentRoot_Slot()

  Returns the meta object for the containment reference '`Slot`'.

  Returns:
    the meta object for the containment reference 'Slot'.
  See Also:
    `DocumentRoot.getSlot()`, `getDocumentRoot()`

### getDocumentRoot_SlotList

    org.eclipse.emf.ecore.EReference getDocumentRoot_SlotList()

  Returns the meta object for the containment reference '`Slot List`'.

  Returns:
    the meta object for the containment reference 'Slot List'.
  See Also:
    `DocumentRoot.getSlotList()`, `getDocumentRoot()`

### getDocumentRoot_SpecificationLink

    org.eclipse.emf.ecore.EReference getDocumentRoot_SpecificationLink()

  Returns the meta object for the containment reference '`Specification Link`'.

  Returns:
    the meta object for the containment reference 'Specification Link'.
  See Also:
    `DocumentRoot.getSpecificationLink()`, `getDocumentRoot()`

### getDocumentRoot_Subscription

    org.eclipse.emf.ecore.EReference getDocumentRoot_Subscription()

  Returns the meta object for the containment reference '`Subscription`'.

  Returns:
    the meta object for the containment reference 'Subscription'.
  See Also:
    `DocumentRoot.getSubscription()`, `getDocumentRoot()`

### getDocumentRoot_TelephoneNumber

    org.eclipse.emf.ecore.EReference getDocumentRoot_TelephoneNumber()

  Returns the meta object for the containment reference '`Telephone Number`'.

  Returns:
    the meta object for the containment reference 'Telephone Number'.
  See Also:
    `DocumentRoot.getTelephoneNumber()`, `getDocumentRoot()`

### getDocumentRoot_UsageDescription

    org.eclipse.emf.ecore.EReference getDocumentRoot_UsageDescription()

  Returns the meta object for the containment reference '`Usage Description`'.

  Returns:
    the meta object for the containment reference 'Usage Description'.
  See Also:
    `DocumentRoot.getUsageDescription()`, `getDocumentRoot()`

### getDocumentRoot_UsageParameter

    org.eclipse.emf.ecore.EAttribute getDocumentRoot_UsageParameter()

  Returns the meta object for the attribute '`Usage Parameter`'.

  Returns:
    the meta object for the attribute 'Usage Parameter'.
  See Also:
    `DocumentRoot.getUsageParameter()`, `getDocumentRoot()`

### getDocumentRoot_User

    org.eclipse.emf.ecore.EReference getDocumentRoot_User()

  Returns the meta object for the containment reference '`User`'.

  Returns:
    the meta object for the containment reference 'User'.
  See Also:
    `DocumentRoot.getUser()`, `getDocumentRoot()`

### getDocumentRoot_Value

    org.eclipse.emf.ecore.EAttribute getDocumentRoot_Value()

  Returns the meta object for the attribute '`Value`'.

  Returns:
    the meta object for the attribute 'Value'.
  See Also:
    `DocumentRoot.getValue()`, `getDocumentRoot()`

### getDocumentRoot_ValueList

    org.eclipse.emf.ecore.EReference getDocumentRoot_ValueList()

  Returns the meta object for the containment reference '`Value List`'.

  Returns:
    the meta object for the containment reference 'Value List'.
  See Also:
    `DocumentRoot.getValueList()`, `getDocumentRoot()`

### getEmailAddressType

    org.eclipse.emf.ecore.EClass getEmailAddressType()

  Returns the meta object for class '`Email Address Type`'.

  Returns:
    the meta object for class 'Email Address Type'.
  See Also:
    `EmailAddressType`

### getEmailAddressType_Address

    org.eclipse.emf.ecore.EAttribute getEmailAddressType_Address()

  Returns the meta object for the attribute '`Address`'.

  Returns:
    the meta object for the attribute 'Address'.
  See Also:
    `EmailAddressType.getAddress()`, `getEmailAddressType()`

### getEmailAddressType_Type

    org.eclipse.emf.ecore.EAttribute getEmailAddressType_Type()

  Returns the meta object for the attribute '`Type`'.

  Returns:
    the meta object for the attribute 'Type'.
  See Also:
    `EmailAddressType.getType()`, `getEmailAddressType()`

### getExternalIdentifierType

    org.eclipse.emf.ecore.EClass getExternalIdentifierType()

  Returns the meta object for class '`External Identifier Type`'.

  Returns:
    the meta object for class 'External Identifier Type'.
  See Also:
    `ExternalIdentifierType`

### getExternalIdentifierType_IdentificationScheme

    org.eclipse.emf.ecore.EAttribute getExternalIdentifierType_IdentificationScheme()

  Returns the meta object for the attribute '`Identification Scheme`'.

  Returns:
    the meta object for the attribute 'Identification Scheme'.
  See Also:
    `ExternalIdentifierType.getIdentificationScheme()`, `getExternalIdentifierType()`

### getExternalIdentifierType_RegistryObject

    org.eclipse.emf.ecore.EAttribute getExternalIdentifierType_RegistryObject()

  Returns the meta object for the attribute '`Registry Object`'.

  Returns:
    the meta object for the attribute 'Registry Object'.
  See Also:
    `ExternalIdentifierType.getRegistryObject()`, `getExternalIdentifierType()`

### getExternalIdentifierType_Value

    org.eclipse.emf.ecore.EAttribute getExternalIdentifierType_Value()

  Returns the meta object for the attribute '`Value`'.

  Returns:
    the meta object for the attribute 'Value'.
  See Also:
    `ExternalIdentifierType.getValue()`, `getExternalIdentifierType()`

### getExternalLinkType

    org.eclipse.emf.ecore.EClass getExternalLinkType()

  Returns the meta object for class '`External Link Type`'.

  Returns:
    the meta object for class 'External Link Type'.
  See Also:
    `ExternalLinkType`

### getExternalLinkType_ExternalURI

    org.eclipse.emf.ecore.EAttribute getExternalLinkType_ExternalURI()

  Returns the meta object for the attribute '`External URI`'.

  Returns:
    the meta object for the attribute 'External URI'.
  See Also:
    `ExternalLinkType.getExternalURI()`, `getExternalLinkType()`

### getExtrinsicObjectType

    org.eclipse.emf.ecore.EClass getExtrinsicObjectType()

  Returns the meta object for class '`Extrinsic Object Type`'.

  Returns:
    the meta object for class 'Extrinsic Object Type'.
  See Also:
    `ExtrinsicObjectType`

### getExtrinsicObjectType_ContentVersionInfo

    org.eclipse.emf.ecore.EReference getExtrinsicObjectType_ContentVersionInfo()

  Returns the meta object for the containment reference '`Content Version Info`'.

  Returns:
    the meta object for the containment reference 'Content Version Info'.
  See Also:
    `ExtrinsicObjectType.getContentVersionInfo()`, `getExtrinsicObjectType()`

### getExtrinsicObjectType_IsOpaque

    org.eclipse.emf.ecore.EAttribute getExtrinsicObjectType_IsOpaque()

  Returns the meta object for the attribute '`Is Opaque`'.

  Returns:
    the meta object for the attribute 'Is Opaque'.
  See Also:
    `ExtrinsicObjectType.isIsOpaque()`, `getExtrinsicObjectType()`

### getExtrinsicObjectType_MimeType

    org.eclipse.emf.ecore.EAttribute getExtrinsicObjectType_MimeType()

  Returns the meta object for the attribute '`Mime Type`'.

  Returns:
    the meta object for the attribute 'Mime Type'.
  See Also:
    `ExtrinsicObjectType.getMimeType()`, `getExtrinsicObjectType()`

### getFederationType

    org.eclipse.emf.ecore.EClass getFederationType()

  Returns the meta object for class '`Federation Type`'.

  Returns:
    the meta object for class 'Federation Type'.
  See Also:
    `FederationType`

### getFederationType_ReplicationSyncLatency

    org.eclipse.emf.ecore.EAttribute getFederationType_ReplicationSyncLatency()

  Returns the meta object for the attribute '`Replication Sync Latency`'.

  Returns:
    the meta object for the attribute 'Replication Sync Latency'.
  See Also:
    `FederationType.getReplicationSyncLatency()`, `getFederationType()`

### getIdentifiableType

    org.eclipse.emf.ecore.EClass getIdentifiableType()

  Returns the meta object for class '`Identifiable Type`'.

  Returns:
    the meta object for class 'Identifiable Type'.
  See Also:
    `IdentifiableType`

### getIdentifiableType_Slot

    org.eclipse.emf.ecore.EReference getIdentifiableType_Slot()

  Returns the meta object for the containment reference list '`Slot`'.

  Returns:
    the meta object for the containment reference list 'Slot'.
  See Also:
    `IdentifiableType.getSlot()`, `getIdentifiableType()`

### getIdentifiableType_Home

    org.eclipse.emf.ecore.EAttribute getIdentifiableType_Home()

  Returns the meta object for the attribute '`Home`'.

  Returns:
    the meta object for the attribute 'Home'.
  See Also:
    `IdentifiableType.getHome()`, `getIdentifiableType()`

### getIdentifiableType_Id

    org.eclipse.emf.ecore.EAttribute getIdentifiableType_Id()

  Returns the meta object for the attribute '`Id`'.

  Returns:
    the meta object for the attribute 'Id'.
  See Also:
    `IdentifiableType.getId()`, `getIdentifiableType()`

### getInternationalStringType

    org.eclipse.emf.ecore.EClass getInternationalStringType()

  Returns the meta object for class '`International String Type`'.

  Returns:
    the meta object for class 'International String Type'.
  See Also:
    `InternationalStringType`

### getInternationalStringType_Group

    org.eclipse.emf.ecore.EAttribute getInternationalStringType_Group()

  Returns the meta object for the attribute list '`Group`'.

  Returns:
    the meta object for the attribute list 'Group'.
  See Also:
    `InternationalStringType.getGroup()`, `getInternationalStringType()`

### getInternationalStringType_LocalizedString

    org.eclipse.emf.ecore.EReference getInternationalStringType_LocalizedString()

  Returns the meta object for the containment reference list '`Localized String`'.

  Returns:
    the meta object for the containment reference list 'Localized String'.
  See Also:
    `InternationalStringType.getLocalizedString()`, `getInternationalStringType()`

### getLocalizedStringType

    org.eclipse.emf.ecore.EClass getLocalizedStringType()

  Returns the meta object for class '`Localized String Type`'.

  Returns:
    the meta object for class 'Localized String Type'.
  See Also:
    `LocalizedStringType`

### getLocalizedStringType_Charset

    org.eclipse.emf.ecore.EAttribute getLocalizedStringType_Charset()

  Returns the meta object for the attribute '`Charset`'.

  Returns:
    the meta object for the attribute 'Charset'.
  See Also:
    `LocalizedStringType.getCharset()`, `getLocalizedStringType()`

### getLocalizedStringType_Lang

    org.eclipse.emf.ecore.EAttribute getLocalizedStringType_Lang()

  Returns the meta object for the attribute '`Lang`'.

  Returns:
    the meta object for the attribute 'Lang'.
  See Also:
    `LocalizedStringType.getLang()`, `getLocalizedStringType()`

### getLocalizedStringType_Value

    org.eclipse.emf.ecore.EAttribute getLocalizedStringType_Value()

  Returns the meta object for the attribute '`Value`'.

  Returns:
    the meta object for the attribute 'Value'.
  See Also:
    `LocalizedStringType.getValue()`, `getLocalizedStringType()`

### getNotificationType

    org.eclipse.emf.ecore.EClass getNotificationType()

  Returns the meta object for class '`Notification Type`'.

  Returns:
    the meta object for class 'Notification Type'.
  See Also:
    `NotificationType`

### getNotificationType_RegistryObjectList

    org.eclipse.emf.ecore.EReference getNotificationType_RegistryObjectList()

  Returns the meta object for the containment reference '`Registry Object List`'.

  Returns:
    the meta object for the containment reference 'Registry Object List'.
  See Also:
    `NotificationType.getRegistryObjectList()`, `getNotificationType()`

### getNotificationType_Subscription

    org.eclipse.emf.ecore.EAttribute getNotificationType_Subscription()

  Returns the meta object for the attribute '`Subscription`'.

  Returns:
    the meta object for the attribute 'Subscription'.
  See Also:
    `NotificationType.getSubscription()`, `getNotificationType()`

### getNotifyActionType

    org.eclipse.emf.ecore.EClass getNotifyActionType()

  Returns the meta object for class '`Notify Action Type`'.

  Returns:
    the meta object for class 'Notify Action Type'.
  See Also:
    `NotifyActionType`

### getNotifyActionType_EndPoint

    org.eclipse.emf.ecore.EAttribute getNotifyActionType_EndPoint()

  Returns the meta object for the attribute '`End Point`'.

  Returns:
    the meta object for the attribute 'End Point'.
  See Also:
    `NotifyActionType.getEndPoint()`, `getNotifyActionType()`

### getNotifyActionType_NotificationOption

    org.eclipse.emf.ecore.EAttribute getNotifyActionType_NotificationOption()

  Returns the meta object for the attribute '`Notification Option`'.

  Returns:
    the meta object for the attribute 'Notification Option'.
  See Also:
    `NotifyActionType.getNotificationOption()`, `getNotifyActionType()`

### getObjectRefListType

    org.eclipse.emf.ecore.EClass getObjectRefListType()

  Returns the meta object for class '`Object Ref List Type`'.

  Returns:
    the meta object for class 'Object Ref List Type'.
  See Also:
    `ObjectRefListType`

### getObjectRefListType_Group

    org.eclipse.emf.ecore.EAttribute getObjectRefListType_Group()

  Returns the meta object for the attribute list '`Group`'.

  Returns:
    the meta object for the attribute list 'Group'.
  See Also:
    `ObjectRefListType.getGroup()`, `getObjectRefListType()`

### getObjectRefListType_ObjectRef

    org.eclipse.emf.ecore.EReference getObjectRefListType_ObjectRef()

  Returns the meta object for the containment reference list '`Object Ref`'.

  Returns:
    the meta object for the containment reference list 'Object Ref'.
  See Also:
    `ObjectRefListType.getObjectRef()`, `getObjectRefListType()`

### getObjectRefType

    org.eclipse.emf.ecore.EClass getObjectRefType()

  Returns the meta object for class '`Object Ref Type`'.

  Returns:
    the meta object for class 'Object Ref Type'.
  See Also:
    `ObjectRefType`

### getObjectRefType_CreateReplica

    org.eclipse.emf.ecore.EAttribute getObjectRefType_CreateReplica()

  Returns the meta object for the attribute '`Create Replica`'.

  Returns:
    the meta object for the attribute 'Create Replica'.
  See Also:
    `ObjectRefType.isCreateReplica()`, `getObjectRefType()`

### getOrganizationType

    org.eclipse.emf.ecore.EClass getOrganizationType()

  Returns the meta object for class '`Organization Type`'.

  Returns:
    the meta object for class 'Organization Type'.
  See Also:
    `OrganizationType`

### getOrganizationType_Address

    org.eclipse.emf.ecore.EReference getOrganizationType_Address()

  Returns the meta object for the containment reference list '`Address`'.

  Returns:
    the meta object for the containment reference list 'Address'.
  See Also:
    `OrganizationType.getAddress()`, `getOrganizationType()`

### getOrganizationType_TelephoneNumber

    org.eclipse.emf.ecore.EReference getOrganizationType_TelephoneNumber()

  Returns the meta object for the containment reference list '`Telephone Number`'.

  Returns:
    the meta object for the containment reference list 'Telephone Number'.
  See Also:
    `OrganizationType.getTelephoneNumber()`, `getOrganizationType()`

### getOrganizationType_EmailAddress

    org.eclipse.emf.ecore.EReference getOrganizationType_EmailAddress()

  Returns the meta object for the containment reference list '`Email Address`'.

  Returns:
    the meta object for the containment reference list 'Email Address'.
  See Also:
    `OrganizationType.getEmailAddress()`, `getOrganizationType()`

### getOrganizationType_Parent

    org.eclipse.emf.ecore.EAttribute getOrganizationType_Parent()

  Returns the meta object for the attribute '`Parent`'.

  Returns:
    the meta object for the attribute 'Parent'.
  See Also:
    `OrganizationType.getParent()`, `getOrganizationType()`

### getOrganizationType_PrimaryContact

    org.eclipse.emf.ecore.EAttribute getOrganizationType_PrimaryContact()

  Returns the meta object for the attribute '`Primary Contact`'.

  Returns:
    the meta object for the attribute 'Primary Contact'.
  See Also:
    `OrganizationType.getPrimaryContact()`, `getOrganizationType()`

### getPersonNameType

    org.eclipse.emf.ecore.EClass getPersonNameType()

  Returns the meta object for class '`Person Name Type`'.

  Returns:
    the meta object for class 'Person Name Type'.
  See Also:
    `PersonNameType`

### getPersonNameType_FirstName

    org.eclipse.emf.ecore.EAttribute getPersonNameType_FirstName()

  Returns the meta object for the attribute '`First Name`'.

  Returns:
    the meta object for the attribute 'First Name'.
  See Also:
    `PersonNameType.getFirstName()`, `getPersonNameType()`

### getPersonNameType_LastName

    org.eclipse.emf.ecore.EAttribute getPersonNameType_LastName()

  Returns the meta object for the attribute '`Last Name`'.

  Returns:
    the meta object for the attribute 'Last Name'.
  See Also:
    `PersonNameType.getLastName()`, `getPersonNameType()`

### getPersonNameType_MiddleName

    org.eclipse.emf.ecore.EAttribute getPersonNameType_MiddleName()

  Returns the meta object for the attribute '`Middle Name`'.

  Returns:
    the meta object for the attribute 'Middle Name'.
  See Also:
    `PersonNameType.getMiddleName()`, `getPersonNameType()`

### getPersonType

    org.eclipse.emf.ecore.EClass getPersonType()

  Returns the meta object for class '`Person Type`'.

  Returns:
    the meta object for class 'Person Type'.
  See Also:
    `PersonType`

### getPersonType_Address

    org.eclipse.emf.ecore.EReference getPersonType_Address()

  Returns the meta object for the containment reference list '`Address`'.

  Returns:
    the meta object for the containment reference list 'Address'.
  See Also:
    `PersonType.getAddress()`, `getPersonType()`

### getPersonType_PersonName

    org.eclipse.emf.ecore.EReference getPersonType_PersonName()

  Returns the meta object for the containment reference '`Person Name`'.

  Returns:
    the meta object for the containment reference 'Person Name'.
  See Also:
    `PersonType.getPersonName()`, `getPersonType()`

### getPersonType_TelephoneNumber

    org.eclipse.emf.ecore.EReference getPersonType_TelephoneNumber()

  Returns the meta object for the containment reference list '`Telephone Number`'.

  Returns:
    the meta object for the containment reference list 'Telephone Number'.
  See Also:
    `PersonType.getTelephoneNumber()`, `getPersonType()`

### getPersonType_EmailAddress

    org.eclipse.emf.ecore.EReference getPersonType_EmailAddress()

  Returns the meta object for the containment reference list '`Email Address`'.

  Returns:
    the meta object for the containment reference list 'Email Address'.
  See Also:
    `PersonType.getEmailAddress()`, `getPersonType()`

### getPostalAddressType

    org.eclipse.emf.ecore.EClass getPostalAddressType()

  Returns the meta object for class '`Postal Address Type`'.

  Returns:
    the meta object for class 'Postal Address Type'.
  See Also:
    `PostalAddressType`

### getPostalAddressType_City

    org.eclipse.emf.ecore.EAttribute getPostalAddressType_City()

  Returns the meta object for the attribute '`City`'.

  Returns:
    the meta object for the attribute 'City'.
  See Also:
    `PostalAddressType.getCity()`, `getPostalAddressType()`

### getPostalAddressType_Country

    org.eclipse.emf.ecore.EAttribute getPostalAddressType_Country()

  Returns the meta object for the attribute '`Country`'.

  Returns:
    the meta object for the attribute 'Country'.
  See Also:
    `PostalAddressType.getCountry()`, `getPostalAddressType()`

### getPostalAddressType_PostalCode

    org.eclipse.emf.ecore.EAttribute getPostalAddressType_PostalCode()

  Returns the meta object for the attribute '`Postal Code`'.

  Returns:
    the meta object for the attribute 'Postal Code'.
  See Also:
    `PostalAddressType.getPostalCode()`, `getPostalAddressType()`

### getPostalAddressType_StateOrProvince

    org.eclipse.emf.ecore.EAttribute getPostalAddressType_StateOrProvince()

  Returns the meta object for the attribute '`State Or Province`'.

  Returns:
    the meta object for the attribute 'State Or Province'.
  See Also:
    `PostalAddressType.getStateOrProvince()`, `getPostalAddressType()`

### getPostalAddressType_Street

    org.eclipse.emf.ecore.EAttribute getPostalAddressType_Street()

  Returns the meta object for the attribute '`Street`'.

  Returns:
    the meta object for the attribute 'Street'.
  See Also:
    `PostalAddressType.getStreet()`, `getPostalAddressType()`

### getPostalAddressType_StreetNumber

    org.eclipse.emf.ecore.EAttribute getPostalAddressType_StreetNumber()

  Returns the meta object for the attribute '`Street Number`'.

  Returns:
    the meta object for the attribute 'Street Number'.
  See Also:
    `PostalAddressType.getStreetNumber()`, `getPostalAddressType()`

### getQueryExpressionType

    org.eclipse.emf.ecore.EClass getQueryExpressionType()

  Returns the meta object for class '`Query Expression Type`'.

  Returns:
    the meta object for class 'Query Expression Type'.
  See Also:
    `QueryExpressionType`

### getQueryExpressionType_Mixed

    org.eclipse.emf.ecore.EAttribute getQueryExpressionType_Mixed()

  Returns the meta object for the attribute list '`Mixed`'.

  Returns:
    the meta object for the attribute list 'Mixed'.
  See Also:
    `QueryExpressionType.getMixed()`, `getQueryExpressionType()`

### getQueryExpressionType_Any

    org.eclipse.emf.ecore.EAttribute getQueryExpressionType_Any()

  Returns the meta object for the attribute list '`Any`'.

  Returns:
    the meta object for the attribute list 'Any'.
  See Also:
    `QueryExpressionType.getAny()`, `getQueryExpressionType()`

### getQueryExpressionType_QueryLanguage

    org.eclipse.emf.ecore.EAttribute getQueryExpressionType_QueryLanguage()

  Returns the meta object for the attribute '`Query Language`'.

  Returns:
    the meta object for the attribute 'Query Language'.
  See Also:
    `QueryExpressionType.getQueryLanguage()`, `getQueryExpressionType()`

### getRegistryObjectListType

    org.eclipse.emf.ecore.EClass getRegistryObjectListType()

  Returns the meta object for class '`Registry Object List Type`'.

  Returns:
    the meta object for class 'Registry Object List Type'.
  See Also:
    `RegistryObjectListType`

### getRegistryObjectListType_IdentifiableGroup

    org.eclipse.emf.ecore.EAttribute getRegistryObjectListType_IdentifiableGroup()

  Returns the meta object for the attribute list '`Identifiable Group`'.

  Returns:
    the meta object for the attribute list 'Identifiable Group'.
  See Also:
    `RegistryObjectListType.getIdentifiableGroup()`, `getRegistryObjectListType()`

### getRegistryObjectListType_Identifiable

    org.eclipse.emf.ecore.EReference getRegistryObjectListType_Identifiable()

  Returns the meta object for the containment reference list '`Identifiable`'.

  Returns:
    the meta object for the containment reference list 'Identifiable'.
  See Also:
    `RegistryObjectListType.getIdentifiable()`, `getRegistryObjectListType()`

### getRegistryObjectType

    org.eclipse.emf.ecore.EClass getRegistryObjectType()

  Returns the meta object for class '`Registry Object Type`'.

  Returns:
    the meta object for class 'Registry Object Type'.
  See Also:
    `RegistryObjectType`

### getRegistryObjectType_Name

    org.eclipse.emf.ecore.EReference getRegistryObjectType_Name()

  Returns the meta object for the containment reference '`Name`'.

  Returns:
    the meta object for the containment reference 'Name'.
  See Also:
    `RegistryObjectType.getName()`, `getRegistryObjectType()`

### getRegistryObjectType_Description

    org.eclipse.emf.ecore.EReference getRegistryObjectType_Description()

  Returns the meta object for the containment reference '`Description`'.

  Returns:
    the meta object for the containment reference 'Description'.
  See Also:
    `RegistryObjectType.getDescription()`, `getRegistryObjectType()`

### getRegistryObjectType_VersionInfo

    org.eclipse.emf.ecore.EReference getRegistryObjectType_VersionInfo()

  Returns the meta object for the containment reference '`Version Info`'.

  Returns:
    the meta object for the containment reference 'Version Info'.
  See Also:
    `RegistryObjectType.getVersionInfo()`, `getRegistryObjectType()`

### getRegistryObjectType_Classification

    org.eclipse.emf.ecore.EReference getRegistryObjectType_Classification()

  Returns the meta object for the containment reference list '`Classification`'.

  Returns:
    the meta object for the containment reference list 'Classification'.
  See Also:
    `RegistryObjectType.getClassification()`, `getRegistryObjectType()`

### getRegistryObjectType_ExternalIdentifier

    org.eclipse.emf.ecore.EReference getRegistryObjectType_ExternalIdentifier()

  Returns the meta object for the containment reference list '`External Identifier`'.

  Returns:
    the meta object for the containment reference list 'External Identifier'.
  See Also:
    `RegistryObjectType.getExternalIdentifier()`, `getRegistryObjectType()`

### getRegistryObjectType_Lid

    org.eclipse.emf.ecore.EAttribute getRegistryObjectType_Lid()

  Returns the meta object for the attribute '`Lid`'.

  Returns:
    the meta object for the attribute 'Lid'.
  See Also:
    `RegistryObjectType.getLid()`, `getRegistryObjectType()`

### getRegistryObjectType_ObjectType

    org.eclipse.emf.ecore.EAttribute getRegistryObjectType_ObjectType()

  Returns the meta object for the attribute '`Object Type`'.

  Returns:
    the meta object for the attribute 'Object Type'.
  See Also:
    `RegistryObjectType.getObjectType()`, `getRegistryObjectType()`

### getRegistryObjectType_Status

    org.eclipse.emf.ecore.EAttribute getRegistryObjectType_Status()

  Returns the meta object for the attribute '`Status`'.

  Returns:
    the meta object for the attribute 'Status'.
  See Also:
    `RegistryObjectType.getStatus()`, `getRegistryObjectType()`

### getRegistryPackageType

    org.eclipse.emf.ecore.EClass getRegistryPackageType()

  Returns the meta object for class '`Registry Package Type`'.

  Returns:
    the meta object for class 'Registry Package Type'.
  See Also:
    `RegistryPackageType`

### getRegistryPackageType_RegistryObjectList

    org.eclipse.emf.ecore.EReference getRegistryPackageType_RegistryObjectList()

  Returns the meta object for the containment reference '`Registry Object List`'.

  Returns:
    the meta object for the containment reference 'Registry Object List'.
  See Also:
    `RegistryPackageType.getRegistryObjectList()`, `getRegistryPackageType()`

### getRegistryType

    org.eclipse.emf.ecore.EClass getRegistryType()

  Returns the meta object for class '`Registry Type`'.

  Returns:
    the meta object for class 'Registry Type'.
  See Also:
    `RegistryType`

### getRegistryType_CatalogingLatency

    org.eclipse.emf.ecore.EAttribute getRegistryType_CatalogingLatency()

  Returns the meta object for the attribute '`Cataloging Latency`'.

  Returns:
    the meta object for the attribute 'Cataloging Latency'.
  See Also:
    `RegistryType.getCatalogingLatency()`, `getRegistryType()`

### getRegistryType_ConformanceProfile

    org.eclipse.emf.ecore.EAttribute getRegistryType_ConformanceProfile()

  Returns the meta object for the attribute '`Conformance Profile`'.

  Returns:
    the meta object for the attribute 'Conformance Profile'.
  See Also:
    `RegistryType.getConformanceProfile()`, `getRegistryType()`

### getRegistryType_Operator

    org.eclipse.emf.ecore.EAttribute getRegistryType_Operator()

  Returns the meta object for the attribute '`Operator`'.

  Returns:
    the meta object for the attribute 'Operator'.
  See Also:
    `RegistryType.getOperator()`, `getRegistryType()`

### getRegistryType_ReplicationSyncLatency

    org.eclipse.emf.ecore.EAttribute getRegistryType_ReplicationSyncLatency()

  Returns the meta object for the attribute '`Replication Sync Latency`'.

  Returns:
    the meta object for the attribute 'Replication Sync Latency'.
  See Also:
    `RegistryType.getReplicationSyncLatency()`, `getRegistryType()`

### getRegistryType_SpecificationVersion

    org.eclipse.emf.ecore.EAttribute getRegistryType_SpecificationVersion()

  Returns the meta object for the attribute '`Specification Version`'.

  Returns:
    the meta object for the attribute 'Specification Version'.
  See Also:
    `RegistryType.getSpecificationVersion()`, `getRegistryType()`

### getServiceBindingType

    org.eclipse.emf.ecore.EClass getServiceBindingType()

  Returns the meta object for class '`Service Binding Type`'.

  Returns:
    the meta object for class 'Service Binding Type'.
  See Also:
    `ServiceBindingType`

### getServiceBindingType_SpecificationLink

    org.eclipse.emf.ecore.EReference getServiceBindingType_SpecificationLink()

  Returns the meta object for the containment reference list '`Specification Link`'.

  Returns:
    the meta object for the containment reference list 'Specification Link'.
  See Also:
    `ServiceBindingType.getSpecificationLink()`, `getServiceBindingType()`

### getServiceBindingType_AccessURI

    org.eclipse.emf.ecore.EAttribute getServiceBindingType_AccessURI()

  Returns the meta object for the attribute '`Access URI`'.

  Returns:
    the meta object for the attribute 'Access URI'.
  See Also:
    `ServiceBindingType.getAccessURI()`, `getServiceBindingType()`

### getServiceBindingType_Service

    org.eclipse.emf.ecore.EAttribute getServiceBindingType_Service()

  Returns the meta object for the attribute '`Service`'.

  Returns:
    the meta object for the attribute 'Service'.
  See Also:
    `ServiceBindingType.getService()`, `getServiceBindingType()`

### getServiceBindingType_TargetBinding

    org.eclipse.emf.ecore.EAttribute getServiceBindingType_TargetBinding()

  Returns the meta object for the attribute '`Target Binding`'.

  Returns:
    the meta object for the attribute 'Target Binding'.
  See Also:
    `ServiceBindingType.getTargetBinding()`, `getServiceBindingType()`

### getServiceType

    org.eclipse.emf.ecore.EClass getServiceType()

  Returns the meta object for class '`Service Type`'.

  Returns:
    the meta object for class 'Service Type'.
  See Also:
    `ServiceType`

### getServiceType_ServiceBinding

    org.eclipse.emf.ecore.EReference getServiceType_ServiceBinding()

  Returns the meta object for the containment reference list '`Service Binding`'.

  Returns:
    the meta object for the containment reference list 'Service Binding'.
  See Also:
    `ServiceType.getServiceBinding()`, `getServiceType()`

### getSlotListType

    org.eclipse.emf.ecore.EClass getSlotListType()

  Returns the meta object for class '`Slot List Type`'.

  Returns:
    the meta object for class 'Slot List Type'.
  See Also:
    `SlotListType`

### getSlotListType_Slot

    org.eclipse.emf.ecore.EReference getSlotListType_Slot()

  Returns the meta object for the containment reference list '`Slot`'.

  Returns:
    the meta object for the containment reference list 'Slot'.
  See Also:
    `SlotListType.getSlot()`, `getSlotListType()`

### getSlotType1

    org.eclipse.emf.ecore.EClass getSlotType1()

  Returns the meta object for class '`Slot Type1`'.

  Returns:
    the meta object for class 'Slot Type1'.
  See Also:
    `SlotType1`

### getSlotType1_ValueList

    org.eclipse.emf.ecore.EReference getSlotType1_ValueList()

  Returns the meta object for the containment reference '`Value List`'.

  Returns:
    the meta object for the containment reference 'Value List'.
  See Also:
    `SlotType1.getValueList()`, `getSlotType1()`

### getSlotType1_Name

    org.eclipse.emf.ecore.EAttribute getSlotType1_Name()

  Returns the meta object for the attribute '`Name`'.

  Returns:
    the meta object for the attribute 'Name'.
  See Also:
    `SlotType1.getName()`, `getSlotType1()`

### getSlotType1_SlotType

    org.eclipse.emf.ecore.EAttribute getSlotType1_SlotType()

  Returns the meta object for the attribute '`Slot Type`'.

  Returns:
    the meta object for the attribute 'Slot Type'.
  See Also:
    `SlotType1.getSlotType()`, `getSlotType1()`

### getSpecificationLinkType

    org.eclipse.emf.ecore.EClass getSpecificationLinkType()

  Returns the meta object for class '`Specification Link Type`'.

  Returns:
    the meta object for class 'Specification Link Type'.
  See Also:
    `SpecificationLinkType`

### getSpecificationLinkType_UsageDescription

    org.eclipse.emf.ecore.EReference getSpecificationLinkType_UsageDescription()

  Returns the meta object for the containment reference '`Usage Description`'.

  Returns:
    the meta object for the containment reference 'Usage Description'.
  See Also:
    `SpecificationLinkType.getUsageDescription()`, `getSpecificationLinkType()`

### getSpecificationLinkType_UsageParameter

    org.eclipse.emf.ecore.EAttribute getSpecificationLinkType_UsageParameter()

  Returns the meta object for the attribute list '`Usage Parameter`'.

  Returns:
    the meta object for the attribute list 'Usage Parameter'.
  See Also:
    `SpecificationLinkType.getUsageParameter()`, `getSpecificationLinkType()`

### getSpecificationLinkType_ServiceBinding

    org.eclipse.emf.ecore.EAttribute getSpecificationLinkType_ServiceBinding()

  Returns the meta object for the attribute '`Service Binding`'.

  Returns:
    the meta object for the attribute 'Service Binding'.
  See Also:
    `SpecificationLinkType.getServiceBinding()`, `getSpecificationLinkType()`

### getSpecificationLinkType_SpecificationObject

    org.eclipse.emf.ecore.EAttribute getSpecificationLinkType_SpecificationObject()

  Returns the meta object for the attribute '`Specification Object`'.

  Returns:
    the meta object for the attribute 'Specification Object'.
  See Also:
    `SpecificationLinkType.getSpecificationObject()`, `getSpecificationLinkType()`

### getSubscriptionType

    org.eclipse.emf.ecore.EClass getSubscriptionType()

  Returns the meta object for class '`Subscription Type`'.

  Returns:
    the meta object for class 'Subscription Type'.
  See Also:
    `SubscriptionType`

### getSubscriptionType_ActionGroup

    org.eclipse.emf.ecore.EAttribute getSubscriptionType_ActionGroup()

  Returns the meta object for the attribute list '`Action Group`'.

  Returns:
    the meta object for the attribute list 'Action Group'.
  See Also:
    `SubscriptionType.getActionGroup()`, `getSubscriptionType()`

### getSubscriptionType_Action

    org.eclipse.emf.ecore.EReference getSubscriptionType_Action()

  Returns the meta object for the containment reference list '`Action`'.

  Returns:
    the meta object for the containment reference list 'Action'.
  See Also:
    `SubscriptionType.getAction()`, `getSubscriptionType()`

### getSubscriptionType_EndTime

    org.eclipse.emf.ecore.EAttribute getSubscriptionType_EndTime()

  Returns the meta object for the attribute '`End Time`'.

  Returns:
    the meta object for the attribute 'End Time'.
  See Also:
    `SubscriptionType.getEndTime()`, `getSubscriptionType()`

### getSubscriptionType_NotificationInterval

    org.eclipse.emf.ecore.EAttribute getSubscriptionType_NotificationInterval()

  Returns the meta object for the attribute '`Notification Interval`'.

  Returns:
    the meta object for the attribute 'Notification Interval'.
  See Also:
    `SubscriptionType.getNotificationInterval()`, `getSubscriptionType()`

### getSubscriptionType_Selector

    org.eclipse.emf.ecore.EAttribute getSubscriptionType_Selector()

  Returns the meta object for the attribute '`Selector`'.

  Returns:
    the meta object for the attribute 'Selector'.
  See Also:
    `SubscriptionType.getSelector()`, `getSubscriptionType()`

### getSubscriptionType_StartTime

    org.eclipse.emf.ecore.EAttribute getSubscriptionType_StartTime()

  Returns the meta object for the attribute '`Start Time`'.

  Returns:
    the meta object for the attribute 'Start Time'.
  See Also:
    `SubscriptionType.getStartTime()`, `getSubscriptionType()`

### getTelephoneNumberListType

    org.eclipse.emf.ecore.EClass getTelephoneNumberListType()

  Returns the meta object for class '`Telephone Number List Type`'.

  Returns:
    the meta object for class 'Telephone Number List Type'.
  See Also:
    `TelephoneNumberListType`

### getTelephoneNumberListType_TelephoneNumber

    org.eclipse.emf.ecore.EReference getTelephoneNumberListType_TelephoneNumber()

  Returns the meta object for the containment reference list '`Telephone Number`'.

  Returns:
    the meta object for the containment reference list 'Telephone Number'.
  See Also:
    `TelephoneNumberListType.getTelephoneNumber()`, `getTelephoneNumberListType()`

### getTelephoneNumberType

    org.eclipse.emf.ecore.EClass getTelephoneNumberType()

  Returns the meta object for class '`Telephone Number Type`'.

  Returns:
    the meta object for class 'Telephone Number Type'.
  See Also:
    `TelephoneNumberType`

### getTelephoneNumberType_AreaCode

    org.eclipse.emf.ecore.EAttribute getTelephoneNumberType_AreaCode()

  Returns the meta object for the attribute '`Area Code`'.

  Returns:
    the meta object for the attribute 'Area Code'.
  See Also:
    `TelephoneNumberType.getAreaCode()`, `getTelephoneNumberType()`

### getTelephoneNumberType_CountryCode

    org.eclipse.emf.ecore.EAttribute getTelephoneNumberType_CountryCode()

  Returns the meta object for the attribute '`Country Code`'.

  Returns:
    the meta object for the attribute 'Country Code'.
  See Also:
    `TelephoneNumberType.getCountryCode()`, `getTelephoneNumberType()`

### getTelephoneNumberType_Extension

    org.eclipse.emf.ecore.EAttribute getTelephoneNumberType_Extension()

  Returns the meta object for the attribute '`Extension`'.

  Returns:
    the meta object for the attribute 'Extension'.
  See Also:
    `TelephoneNumberType.getExtension()`, `getTelephoneNumberType()`

### getTelephoneNumberType_Number

    org.eclipse.emf.ecore.EAttribute getTelephoneNumberType_Number()

  Returns the meta object for the attribute '`Number`'.

  Returns:
    the meta object for the attribute 'Number'.
  See Also:
    `TelephoneNumberType.getNumber()`, `getTelephoneNumberType()`

### getTelephoneNumberType_PhoneType

    org.eclipse.emf.ecore.EAttribute getTelephoneNumberType_PhoneType()

  Returns the meta object for the attribute '`Phone Type`'.

  Returns:
    the meta object for the attribute 'Phone Type'.
  See Also:
    `TelephoneNumberType.getPhoneType()`, `getTelephoneNumberType()`

### getUserType

    org.eclipse.emf.ecore.EClass getUserType()

  Returns the meta object for class '`User Type`'.

  Returns:
    the meta object for class 'User Type'.
  See Also:
    `UserType`

### getValueListType

    org.eclipse.emf.ecore.EClass getValueListType()

  Returns the meta object for class '`Value List Type`'.

  Returns:
    the meta object for class 'Value List Type'.
  See Also:
    `ValueListType`

### getValueListType_Group

    org.eclipse.emf.ecore.EAttribute getValueListType_Group()

  Returns the meta object for the attribute list '`Group`'.

  Returns:
    the meta object for the attribute list 'Group'.
  See Also:
    `ValueListType.getGroup()`, `getValueListType()`

### getValueListType_Value

    org.eclipse.emf.ecore.EAttribute getValueListType_Value()

  Returns the meta object for the attribute list '`Value`'.

  Returns:
    the meta object for the attribute list 'Value'.
  See Also:
    `ValueListType.getValue()`, `getValueListType()`

### getVersionInfoType

    org.eclipse.emf.ecore.EClass getVersionInfoType()

  Returns the meta object for class '`Version Info Type`'.

  Returns:
    the meta object for class 'Version Info Type'.
  See Also:
    `VersionInfoType`

### getVersionInfoType_Comment

    org.eclipse.emf.ecore.EAttribute getVersionInfoType_Comment()

  Returns the meta object for the attribute '`Comment`'.

  Returns:
    the meta object for the attribute 'Comment'.
  See Also:
    `VersionInfoType.getComment()`, `getVersionInfoType()`

### getVersionInfoType_VersionName

    org.eclipse.emf.ecore.EAttribute getVersionInfoType_VersionName()

  Returns the meta object for the attribute '`Version Name`'.

  Returns:
    the meta object for the attribute 'Version Name'.
  See Also:
    `VersionInfoType.getVersionName()`, `getVersionInfoType()`

### getConformanceProfileType

    org.eclipse.emf.ecore.EEnum getConformanceProfileType()

  Returns the meta object for enum '`Conformance Profile Type`'.

  Returns:
    the meta object for enum 'Conformance Profile Type'.
  See Also:
    `ConformanceProfileType`

### getConformanceProfileTypeObject

    org.eclipse.emf.ecore.EDataType getConformanceProfileTypeObject()

  Returns the meta object for data type '`Conformance Profile Type Object`'.

  Returns:
    the meta object for data type 'Conformance Profile Type Object'.
  See Also:
    `ConformanceProfileType`

### getFreeFormText

    org.eclipse.emf.ecore.EDataType getFreeFormText()

  Returns the meta object for data type '`Free Form Text`'.

  Returns:
    the meta object for data type 'Free Form Text'.
  See Also:
    `String`

### getLongName

    org.eclipse.emf.ecore.EDataType getLongName()

  Returns the meta object for data type '`Long Name`'.

  Returns:
    the meta object for data type 'Long Name'.
  See Also:
    `String`

### getReferenceURI

    org.eclipse.emf.ecore.EDataType getReferenceURI()

  Returns the meta object for data type '`Reference URI`'.

  Returns:
    the meta object for data type 'Reference URI'.
  See Also:
    `String`

### getShortName

    org.eclipse.emf.ecore.EDataType getShortName()

  Returns the meta object for data type '`Short Name`'.

  Returns:
    the meta object for data type 'Short Name'.
  See Also:
    `String`

### getString16

    org.eclipse.emf.ecore.EDataType getString16()

  Returns the meta object for data type '`String16`'.

  Returns:
    the meta object for data type 'String16'.
  See Also:
    `String`

### getString32

    org.eclipse.emf.ecore.EDataType getString32()

  Returns the meta object for data type '`String32`'.

  Returns:
    the meta object for data type 'String32'.
  See Also:
    `String`

### getString4

    org.eclipse.emf.ecore.EDataType getString4()

  Returns the meta object for data type '`String4`'.

  Returns:
    the meta object for data type 'String4'.
  See Also:
    `String`

### getString8

    org.eclipse.emf.ecore.EDataType getString8()

  Returns the meta object for data type '`String8`'.

  Returns:
    the meta object for data type 'String8'.
  See Also:
    `String`

### getRimFactory

    RimFactory getRimFactory()

  Returns the factory that creates the instances of the model.

  Returns:
    the factory that creates the instances of the model.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD